/*! For license information please see index.cjs.LICENSE.txt */
(()=>{"use strict";var n,e,a={816:(n,e,a)=>{a.d(e,{A:()=>l});var r=a(758),t=a.n(r),o=a(935),i=a.n(o)()(t());i.push([n.id,"/* ----- CSS reset ----- */\n*,\n*::before,\n*::after {\n  box-sizing: border-box;\n}\n\ninput,\nbutton,\ntextarea,\nselect {\n  font: inherit;\n}\n\nbutton,\nselect {\n  text-transform: none;\n}\n\n/* ----- Global styles ----- */\nbody {\n  margin: 0;\n  font-family: var(--mantine-font-family);\n  font-size: var(--mantine-font-size-md);\n  line-height: var(--mantine-line-height);\n  background-color: var(--mantine-color-body);\n  color: var(--mantine-color-text);\n\n  -webkit-font-smoothing: var(--mantine-webkit-font-smoothing);\n  -moz-osx-font-smoothing: var(--mantine-moz-font-smoothing);\n}\n@media screen and (max-device-width: 31.25em) {\nbody {\n    -webkit-text-size-adjust: 100%\n}\n  }\n\n@media (prefers-reduced-motion: reduce) {\n    [data-respect-reduced-motion] [data-reduce-motion] {\n      transition: none;\n      animation: none;\n    }\n  }\n\n[data-mantine-color-scheme='light'] .mantine-light-hidden {\n    display: none;\n}\n\n[data-mantine-color-scheme='dark'] .mantine-dark-hidden {\n    display: none;\n}\n\n.mantine-focus-auto:focus-visible {\n    outline: 2px solid var(--mantine-primary-color-filled);\n    outline-offset: calc(0.125rem * var(--mantine-scale));\n  }\n\n.mantine-focus-always:focus {\n    outline: 2px solid var(--mantine-primary-color-filled);\n    outline-offset: calc(0.125rem * var(--mantine-scale));\n  }\n\n.mantine-focus-never:focus {\n    outline: none;\n  }\n\n.mantine-active:active {\n    transform: translateY(calc(0.0625rem * var(--mantine-scale)));\n  }\n\n:where([dir=\"rtl\"]) .mantine-rotate-rtl {\n    transform: rotate(180deg);\n}\n\n/* ----- Default CSS variables ----- */\n\n:root {\n  color-scheme: var(--mantine-color-scheme);\n\n  --mantine-z-index-app: 100;\n  --mantine-z-index-modal: 200;\n  --mantine-z-index-popover: 300;\n  --mantine-z-index-overlay: 400;\n  --mantine-z-index-max: 9999;\n\n  --mantine-scale: 1;\n  --mantine-cursor-type: default;\n  --mantine-webkit-font-smoothing: antialiased;\n  --mantine-color-scheme: light dark;\n  --mantine-moz-font-smoothing: grayscale;\n  --mantine-color-white: #fff;\n  --mantine-color-black: #000;\n  --mantine-line-height: 1.55;\n  --mantine-font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial,\n    sans-serif, Apple Color Emoji, Segoe UI Emoji;\n  --mantine-font-family-monospace: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas,\n    Liberation Mono, Courier New, monospace;\n  --mantine-font-family-headings: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica,\n    Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji;\n  --mantine-heading-font-weight: 700;\n  --mantine-radius-default: calc(0.25rem * var(--mantine-scale));\n  --mantine-primary-color-0: var(--mantine-color-blue-0);\n  --mantine-primary-color-1: var(--mantine-color-blue-1);\n  --mantine-primary-color-2: var(--mantine-color-blue-2);\n  --mantine-primary-color-3: var(--mantine-color-blue-3);\n  --mantine-primary-color-4: var(--mantine-color-blue-4);\n  --mantine-primary-color-5: var(--mantine-color-blue-5);\n  --mantine-primary-color-6: var(--mantine-color-blue-6);\n  --mantine-primary-color-7: var(--mantine-color-blue-7);\n  --mantine-primary-color-8: var(--mantine-color-blue-8);\n  --mantine-primary-color-9: var(--mantine-color-blue-9);\n  --mantine-primary-color-filled: var(--mantine-color-blue-filled);\n  --mantine-primary-color-filled-hover: var(--mantine-color-blue-filled-hover);\n  --mantine-primary-color-light: var(--mantine-color-blue-light);\n  --mantine-primary-color-light-hover: var(--mantine-color-blue-light-hover);\n  --mantine-primary-color-light-color: var(--mantine-color-blue-light-color);\n  --mantine-breakpoint-xs: 36em;\n  --mantine-breakpoint-sm: 48em;\n  --mantine-breakpoint-md: 62em;\n  --mantine-breakpoint-lg: 75em;\n  --mantine-breakpoint-xl: 88em;\n  --mantine-spacing-xs: calc(0.625rem * var(--mantine-scale));\n  --mantine-spacing-sm: calc(0.75rem * var(--mantine-scale));\n  --mantine-spacing-md: calc(1rem * var(--mantine-scale));\n  --mantine-spacing-lg: calc(1.25rem * var(--mantine-scale));\n  --mantine-spacing-xl: calc(2rem * var(--mantine-scale));\n  --mantine-font-size-xs: calc(0.75rem * var(--mantine-scale));\n  --mantine-font-size-sm: calc(0.875rem * var(--mantine-scale));\n  --mantine-font-size-md: calc(1rem * var(--mantine-scale));\n  --mantine-font-size-lg: calc(1.125rem * var(--mantine-scale));\n  --mantine-font-size-xl: calc(1.25rem * var(--mantine-scale));\n  --mantine-line-height-xs: 1.4;\n  --mantine-line-height-sm: 1.45;\n  --mantine-line-height-md: 1.55;\n  --mantine-line-height-lg: 1.6;\n  --mantine-line-height-xl: 1.65;\n  --mantine-shadow-xs: 0 calc(0.0625rem * var(--mantine-scale))\n      calc(0.1875rem * var(--mantine-scale)) rgba(0, 0, 0, 0.05),\n    0 calc(0.0625rem * var(--mantine-scale)) calc(0.125rem * var(--mantine-scale))\n      rgba(0, 0, 0, 0.1);\n  --mantine-shadow-sm: 0 calc(0.0625rem * var(--mantine-scale))\n      calc(0.1875rem * var(--mantine-scale)) rgba(0, 0, 0, 0.05),\n    rgba(0, 0, 0, 0.05) 0 calc(0.625rem * var(--mantine-scale))\n      calc(0.9375rem * var(--mantine-scale)) calc(-0.3125rem * var(--mantine-scale)),\n    rgba(0, 0, 0, 0.04) 0 calc(0.4375rem * var(--mantine-scale))\n      calc(0.4375rem * var(--mantine-scale)) calc(-0.3125rem * var(--mantine-scale));\n  --mantine-shadow-md: 0 calc(0.0625rem * var(--mantine-scale))\n      calc(0.1875rem * var(--mantine-scale)) rgba(0, 0, 0, 0.05),\n    rgba(0, 0, 0, 0.05) 0 calc(1.25rem * var(--mantine-scale))\n      calc(1.5625rem * var(--mantine-scale)) calc(-0.3125rem * var(--mantine-scale)),\n    rgba(0, 0, 0, 0.04) 0 calc(0.625rem * var(--mantine-scale))\n      calc(0.625rem * var(--mantine-scale)) calc(-0.3125rem * var(--mantine-scale));\n  --mantine-shadow-lg: 0 calc(0.0625rem * var(--mantine-scale))\n      calc(0.1875rem * var(--mantine-scale)) rgba(0, 0, 0, 0.05),\n    rgba(0, 0, 0, 0.05) 0 calc(1.75rem * var(--mantine-scale))\n      calc(1.4375rem * var(--mantine-scale)) calc(-0.4375rem * var(--mantine-scale)),\n    rgba(0, 0, 0, 0.04) 0 calc(0.75rem * var(--mantine-scale)) calc(0.75rem * var(--mantine-scale))\n      calc(-0.4375rem * var(--mantine-scale));\n  --mantine-shadow-xl: 0 calc(0.0625rem * var(--mantine-scale))\n      calc(0.1875rem * var(--mantine-scale)) rgba(0, 0, 0, 0.05),\n    rgba(0, 0, 0, 0.05) 0 calc(2.25rem * var(--mantine-scale)) calc(1.75rem * var(--mantine-scale))\n      calc(-0.4375rem * var(--mantine-scale)),\n    rgba(0, 0, 0, 0.04) 0 calc(1.0625rem * var(--mantine-scale))\n      calc(1.0625rem * var(--mantine-scale)) calc(-0.4375rem * var(--mantine-scale));\n  --mantine-radius-xs: calc(0.125rem * var(--mantine-scale));\n  --mantine-radius-sm: calc(0.25rem * var(--mantine-scale));\n  --mantine-radius-md: calc(0.5rem * var(--mantine-scale));\n  --mantine-radius-lg: calc(1rem * var(--mantine-scale));\n  --mantine-radius-xl: calc(2rem * var(--mantine-scale));\n  --mantine-color-dark-0: #c9c9c9;\n  --mantine-color-dark-1: #b8b8b8;\n  --mantine-color-dark-2: #828282;\n  --mantine-color-dark-3: #696969;\n  --mantine-color-dark-4: #424242;\n  --mantine-color-dark-5: #3b3b3b;\n  --mantine-color-dark-6: #2e2e2e;\n  --mantine-color-dark-7: #242424;\n  --mantine-color-dark-8: #1f1f1f;\n  --mantine-color-dark-9: #141414;\n  --mantine-color-gray-0: #f8f9fa;\n  --mantine-color-gray-1: #f1f3f5;\n  --mantine-color-gray-2: #e9ecef;\n  --mantine-color-gray-3: #dee2e6;\n  --mantine-color-gray-4: #ced4da;\n  --mantine-color-gray-5: #adb5bd;\n  --mantine-color-gray-6: #868e96;\n  --mantine-color-gray-7: #495057;\n  --mantine-color-gray-8: #343a40;\n  --mantine-color-gray-9: #212529;\n  --mantine-color-red-0: #fff5f5;\n  --mantine-color-red-1: #ffe3e3;\n  --mantine-color-red-2: #ffc9c9;\n  --mantine-color-red-3: #ffa8a8;\n  --mantine-color-red-4: #ff8787;\n  --mantine-color-red-5: #ff6b6b;\n  --mantine-color-red-6: #fa5252;\n  --mantine-color-red-7: #f03e3e;\n  --mantine-color-red-8: #e03131;\n  --mantine-color-red-9: #c92a2a;\n  --mantine-color-pink-0: #fff0f6;\n  --mantine-color-pink-1: #ffdeeb;\n  --mantine-color-pink-2: #fcc2d7;\n  --mantine-color-pink-3: #faa2c1;\n  --mantine-color-pink-4: #f783ac;\n  --mantine-color-pink-5: #f06595;\n  --mantine-color-pink-6: #e64980;\n  --mantine-color-pink-7: #d6336c;\n  --mantine-color-pink-8: #c2255c;\n  --mantine-color-pink-9: #a61e4d;\n  --mantine-color-grape-0: #f8f0fc;\n  --mantine-color-grape-1: #f3d9fa;\n  --mantine-color-grape-2: #eebefa;\n  --mantine-color-grape-3: #e599f7;\n  --mantine-color-grape-4: #da77f2;\n  --mantine-color-grape-5: #cc5de8;\n  --mantine-color-grape-6: #be4bdb;\n  --mantine-color-grape-7: #ae3ec9;\n  --mantine-color-grape-8: #9c36b5;\n  --mantine-color-grape-9: #862e9c;\n  --mantine-color-violet-0: #f3f0ff;\n  --mantine-color-violet-1: #e5dbff;\n  --mantine-color-violet-2: #d0bfff;\n  --mantine-color-violet-3: #b197fc;\n  --mantine-color-violet-4: #9775fa;\n  --mantine-color-violet-5: #845ef7;\n  --mantine-color-violet-6: #7950f2;\n  --mantine-color-violet-7: #7048e8;\n  --mantine-color-violet-8: #6741d9;\n  --mantine-color-violet-9: #5f3dc4;\n  --mantine-color-indigo-0: #edf2ff;\n  --mantine-color-indigo-1: #dbe4ff;\n  --mantine-color-indigo-2: #bac8ff;\n  --mantine-color-indigo-3: #91a7ff;\n  --mantine-color-indigo-4: #748ffc;\n  --mantine-color-indigo-5: #5c7cfa;\n  --mantine-color-indigo-6: #4c6ef5;\n  --mantine-color-indigo-7: #4263eb;\n  --mantine-color-indigo-8: #3b5bdb;\n  --mantine-color-indigo-9: #364fc7;\n  --mantine-color-blue-0: #e7f5ff;\n  --mantine-color-blue-1: #d0ebff;\n  --mantine-color-blue-2: #a5d8ff;\n  --mantine-color-blue-3: #74c0fc;\n  --mantine-color-blue-4: #4dabf7;\n  --mantine-color-blue-5: #339af0;\n  --mantine-color-blue-6: #228be6;\n  --mantine-color-blue-7: #1c7ed6;\n  --mantine-color-blue-8: #1971c2;\n  --mantine-color-blue-9: #1864ab;\n  --mantine-color-cyan-0: #e3fafc;\n  --mantine-color-cyan-1: #c5f6fa;\n  --mantine-color-cyan-2: #99e9f2;\n  --mantine-color-cyan-3: #66d9e8;\n  --mantine-color-cyan-4: #3bc9db;\n  --mantine-color-cyan-5: #22b8cf;\n  --mantine-color-cyan-6: #15aabf;\n  --mantine-color-cyan-7: #1098ad;\n  --mantine-color-cyan-8: #0c8599;\n  --mantine-color-cyan-9: #0b7285;\n  --mantine-color-teal-0: #e6fcf5;\n  --mantine-color-teal-1: #c3fae8;\n  --mantine-color-teal-2: #96f2d7;\n  --mantine-color-teal-3: #63e6be;\n  --mantine-color-teal-4: #38d9a9;\n  --mantine-color-teal-5: #20c997;\n  --mantine-color-teal-6: #12b886;\n  --mantine-color-teal-7: #0ca678;\n  --mantine-color-teal-8: #099268;\n  --mantine-color-teal-9: #087f5b;\n  --mantine-color-green-0: #ebfbee;\n  --mantine-color-green-1: #d3f9d8;\n  --mantine-color-green-2: #b2f2bb;\n  --mantine-color-green-3: #8ce99a;\n  --mantine-color-green-4: #69db7c;\n  --mantine-color-green-5: #51cf66;\n  --mantine-color-green-6: #40c057;\n  --mantine-color-green-7: #37b24d;\n  --mantine-color-green-8: #2f9e44;\n  --mantine-color-green-9: #2b8a3e;\n  --mantine-color-lime-0: #f4fce3;\n  --mantine-color-lime-1: #e9fac8;\n  --mantine-color-lime-2: #d8f5a2;\n  --mantine-color-lime-3: #c0eb75;\n  --mantine-color-lime-4: #a9e34b;\n  --mantine-color-lime-5: #94d82d;\n  --mantine-color-lime-6: #82c91e;\n  --mantine-color-lime-7: #74b816;\n  --mantine-color-lime-8: #66a80f;\n  --mantine-color-lime-9: #5c940d;\n  --mantine-color-yellow-0: #fff9db;\n  --mantine-color-yellow-1: #fff3bf;\n  --mantine-color-yellow-2: #ffec99;\n  --mantine-color-yellow-3: #ffe066;\n  --mantine-color-yellow-4: #ffd43b;\n  --mantine-color-yellow-5: #fcc419;\n  --mantine-color-yellow-6: #fab005;\n  --mantine-color-yellow-7: #f59f00;\n  --mantine-color-yellow-8: #f08c00;\n  --mantine-color-yellow-9: #e67700;\n  --mantine-color-orange-0: #fff4e6;\n  --mantine-color-orange-1: #ffe8cc;\n  --mantine-color-orange-2: #ffd8a8;\n  --mantine-color-orange-3: #ffc078;\n  --mantine-color-orange-4: #ffa94d;\n  --mantine-color-orange-5: #ff922b;\n  --mantine-color-orange-6: #fd7e14;\n  --mantine-color-orange-7: #f76707;\n  --mantine-color-orange-8: #e8590c;\n  --mantine-color-orange-9: #d9480f;\n  --mantine-h1-font-size: calc(2.125rem * var(--mantine-scale));\n  --mantine-h1-line-height: 1.3;\n  --mantine-h1-font-weight: 700;\n  --mantine-h2-font-size: calc(1.625rem * var(--mantine-scale));\n  --mantine-h2-line-height: 1.35;\n  --mantine-h2-font-weight: 700;\n  --mantine-h3-font-size: calc(1.375rem * var(--mantine-scale));\n  --mantine-h3-line-height: 1.4;\n  --mantine-h3-font-weight: 700;\n  --mantine-h4-font-size: calc(1.125rem * var(--mantine-scale));\n  --mantine-h4-line-height: 1.45;\n  --mantine-h4-font-weight: 700;\n  --mantine-h5-font-size: calc(1rem * var(--mantine-scale));\n  --mantine-h5-line-height: 1.5;\n  --mantine-h5-font-weight: 700;\n  --mantine-h6-font-size: calc(0.875rem * var(--mantine-scale));\n  --mantine-h6-line-height: 1.5;\n  --mantine-h6-font-weight: 700;\n}\n\n:root[data-mantine-color-scheme='dark'] {\n  --mantine-color-scheme: dark;\n  --mantine-primary-color-contrast: var(--mantine-color-white);\n  --mantine-color-bright: var(--mantine-color-white);\n  --mantine-color-text: var(--mantine-color-dark-0);\n  --mantine-color-body: var(--mantine-color-dark-7);\n  --mantine-color-error: var(--mantine-color-red-8);\n  --mantine-color-placeholder: var(--mantine-color-dark-3);\n  --mantine-color-anchor: var(--mantine-color-blue-4);\n  --mantine-color-default: var(--mantine-color-dark-6);\n  --mantine-color-default-hover: var(--mantine-color-dark-5);\n  --mantine-color-default-color: var(--mantine-color-white);\n  --mantine-color-default-border: var(--mantine-color-dark-4);\n  --mantine-color-dimmed: var(--mantine-color-dark-2);\n  --mantine-color-dark-text: var(--mantine-color-dark-4);\n  --mantine-color-dark-filled: var(--mantine-color-dark-8);\n  --mantine-color-dark-filled-hover: var(--mantine-color-dark-7);\n  --mantine-color-dark-light: rgba(36, 36, 36, 0.15);\n  --mantine-color-dark-light-hover: rgba(36, 36, 36, 0.2);\n  --mantine-color-dark-light-color: var(--mantine-color-dark-3);\n  --mantine-color-dark-outline: var(--mantine-color-dark-4);\n  --mantine-color-dark-outline-hover: rgba(36, 36, 36, 0.05);\n  --mantine-color-gray-text: var(--mantine-color-gray-4);\n  --mantine-color-gray-filled: var(--mantine-color-gray-8);\n  --mantine-color-gray-filled-hover: var(--mantine-color-gray-9);\n  --mantine-color-gray-light: rgba(134, 142, 150, 0.15);\n  --mantine-color-gray-light-hover: rgba(134, 142, 150, 0.2);\n  --mantine-color-gray-light-color: var(--mantine-color-gray-3);\n  --mantine-color-gray-outline: var(--mantine-color-gray-4);\n  --mantine-color-gray-outline-hover: rgba(206, 212, 218, 0.05);\n  --mantine-color-red-text: var(--mantine-color-red-4);\n  --mantine-color-red-filled: var(--mantine-color-red-8);\n  --mantine-color-red-filled-hover: var(--mantine-color-red-9);\n  --mantine-color-red-light: rgba(250, 82, 82, 0.15);\n  --mantine-color-red-light-hover: rgba(250, 82, 82, 0.2);\n  --mantine-color-red-light-color: var(--mantine-color-red-3);\n  --mantine-color-red-outline: var(--mantine-color-red-4);\n  --mantine-color-red-outline-hover: rgba(255, 135, 135, 0.05);\n  --mantine-color-pink-text: var(--mantine-color-pink-4);\n  --mantine-color-pink-filled: var(--mantine-color-pink-8);\n  --mantine-color-pink-filled-hover: var(--mantine-color-pink-9);\n  --mantine-color-pink-light: rgba(230, 73, 128, 0.15);\n  --mantine-color-pink-light-hover: rgba(230, 73, 128, 0.2);\n  --mantine-color-pink-light-color: var(--mantine-color-pink-3);\n  --mantine-color-pink-outline: var(--mantine-color-pink-4);\n  --mantine-color-pink-outline-hover: rgba(247, 131, 172, 0.05);\n  --mantine-color-grape-text: var(--mantine-color-grape-4);\n  --mantine-color-grape-filled: var(--mantine-color-grape-8);\n  --mantine-color-grape-filled-hover: var(--mantine-color-grape-9);\n  --mantine-color-grape-light: rgba(190, 75, 219, 0.15);\n  --mantine-color-grape-light-hover: rgba(190, 75, 219, 0.2);\n  --mantine-color-grape-light-color: var(--mantine-color-grape-3);\n  --mantine-color-grape-outline: var(--mantine-color-grape-4);\n  --mantine-color-grape-outline-hover: rgba(218, 119, 242, 0.05);\n  --mantine-color-violet-text: var(--mantine-color-violet-4);\n  --mantine-color-violet-filled: var(--mantine-color-violet-8);\n  --mantine-color-violet-filled-hover: var(--mantine-color-violet-9);\n  --mantine-color-violet-light: rgba(121, 80, 242, 0.15);\n  --mantine-color-violet-light-hover: rgba(121, 80, 242, 0.2);\n  --mantine-color-violet-light-color: var(--mantine-color-violet-3);\n  --mantine-color-violet-outline: var(--mantine-color-violet-4);\n  --mantine-color-violet-outline-hover: rgba(151, 117, 250, 0.05);\n  --mantine-color-indigo-text: var(--mantine-color-indigo-4);\n  --mantine-color-indigo-filled: var(--mantine-color-indigo-8);\n  --mantine-color-indigo-filled-hover: var(--mantine-color-indigo-9);\n  --mantine-color-indigo-light: rgba(76, 110, 245, 0.15);\n  --mantine-color-indigo-light-hover: rgba(76, 110, 245, 0.2);\n  --mantine-color-indigo-light-color: var(--mantine-color-indigo-3);\n  --mantine-color-indigo-outline: var(--mantine-color-indigo-4);\n  --mantine-color-indigo-outline-hover: rgba(116, 143, 252, 0.05);\n  --mantine-color-blue-text: var(--mantine-color-blue-4);\n  --mantine-color-blue-filled: var(--mantine-color-blue-8);\n  --mantine-color-blue-filled-hover: var(--mantine-color-blue-9);\n  --mantine-color-blue-light: rgba(34, 139, 230, 0.15);\n  --mantine-color-blue-light-hover: rgba(34, 139, 230, 0.2);\n  --mantine-color-blue-light-color: var(--mantine-color-blue-3);\n  --mantine-color-blue-outline: var(--mantine-color-blue-4);\n  --mantine-color-blue-outline-hover: rgba(77, 171, 247, 0.05);\n  --mantine-color-cyan-text: var(--mantine-color-cyan-4);\n  --mantine-color-cyan-filled: var(--mantine-color-cyan-8);\n  --mantine-color-cyan-filled-hover: var(--mantine-color-cyan-9);\n  --mantine-color-cyan-light: rgba(21, 170, 191, 0.15);\n  --mantine-color-cyan-light-hover: rgba(21, 170, 191, 0.2);\n  --mantine-color-cyan-light-color: var(--mantine-color-cyan-3);\n  --mantine-color-cyan-outline: var(--mantine-color-cyan-4);\n  --mantine-color-cyan-outline-hover: rgba(59, 201, 219, 0.05);\n  --mantine-color-teal-text: var(--mantine-color-teal-4);\n  --mantine-color-teal-filled: var(--mantine-color-teal-8);\n  --mantine-color-teal-filled-hover: var(--mantine-color-teal-9);\n  --mantine-color-teal-light: rgba(18, 184, 134, 0.15);\n  --mantine-color-teal-light-hover: rgba(18, 184, 134, 0.2);\n  --mantine-color-teal-light-color: var(--mantine-color-teal-3);\n  --mantine-color-teal-outline: var(--mantine-color-teal-4);\n  --mantine-color-teal-outline-hover: rgba(56, 217, 169, 0.05);\n  --mantine-color-green-text: var(--mantine-color-green-4);\n  --mantine-color-green-filled: var(--mantine-color-green-8);\n  --mantine-color-green-filled-hover: var(--mantine-color-green-9);\n  --mantine-color-green-light: rgba(64, 192, 87, 0.15);\n  --mantine-color-green-light-hover: rgba(64, 192, 87, 0.2);\n  --mantine-color-green-light-color: var(--mantine-color-green-3);\n  --mantine-color-green-outline: var(--mantine-color-green-4);\n  --mantine-color-green-outline-hover: rgba(105, 219, 124, 0.05);\n  --mantine-color-lime-text: var(--mantine-color-lime-4);\n  --mantine-color-lime-filled: var(--mantine-color-lime-8);\n  --mantine-color-lime-filled-hover: var(--mantine-color-lime-9);\n  --mantine-color-lime-light: rgba(130, 201, 30, 0.15);\n  --mantine-color-lime-light-hover: rgba(130, 201, 30, 0.2);\n  --mantine-color-lime-light-color: var(--mantine-color-lime-3);\n  --mantine-color-lime-outline: var(--mantine-color-lime-4);\n  --mantine-color-lime-outline-hover: rgba(169, 227, 75, 0.05);\n  --mantine-color-yellow-text: var(--mantine-color-yellow-4);\n  --mantine-color-yellow-filled: var(--mantine-color-yellow-8);\n  --mantine-color-yellow-filled-hover: var(--mantine-color-yellow-9);\n  --mantine-color-yellow-light: rgba(250, 176, 5, 0.15);\n  --mantine-color-yellow-light-hover: rgba(250, 176, 5, 0.2);\n  --mantine-color-yellow-light-color: var(--mantine-color-yellow-3);\n  --mantine-color-yellow-outline: var(--mantine-color-yellow-4);\n  --mantine-color-yellow-outline-hover: rgba(255, 212, 59, 0.05);\n  --mantine-color-orange-text: var(--mantine-color-orange-4);\n  --mantine-color-orange-filled: var(--mantine-color-orange-8);\n  --mantine-color-orange-filled-hover: var(--mantine-color-orange-9);\n  --mantine-color-orange-light: rgba(253, 126, 20, 0.15);\n  --mantine-color-orange-light-hover: rgba(253, 126, 20, 0.2);\n  --mantine-color-orange-light-color: var(--mantine-color-orange-3);\n  --mantine-color-orange-outline: var(--mantine-color-orange-4);\n  --mantine-color-orange-outline-hover: rgba(255, 169, 77, 0.05);\n}\n\n:root[data-mantine-color-scheme='light'] {\n  --mantine-color-scheme: light;\n  --mantine-color-bright: var(--mantine-color-black);\n  --mantine-color-text: var(--mantine-color-black);\n  --mantine-color-body: var(--mantine-color-white);\n  --mantine-primary-color-contrast: var(--mantine-color-white);\n  --mantine-color-error: var(--mantine-color-red-6);\n  --mantine-color-placeholder: var(--mantine-color-gray-5);\n  --mantine-color-anchor: var(--mantine-primary-color-filled);\n  --mantine-color-default: var(--mantine-color-white);\n  --mantine-color-default-hover: var(--mantine-color-gray-0);\n  --mantine-color-default-color: var(--mantine-color-gray-9);\n  --mantine-color-default-border: var(--mantine-color-gray-4);\n  --mantine-color-dimmed: var(--mantine-color-gray-6);\n  --mantine-color-dark-text: var(--mantine-color-dark-filled);\n  --mantine-color-dark-filled: var(--mantine-color-dark-6);\n  --mantine-color-dark-filled-hover: var(--mantine-color-dark-7);\n  --mantine-color-dark-light: rgba(56, 56, 56, 0.1);\n  --mantine-color-dark-light-hover: rgba(56, 56, 56, 0.12);\n  --mantine-color-dark-light-color: var(--mantine-color-dark-6);\n  --mantine-color-dark-outline: var(--mantine-color-dark-6);\n  --mantine-color-dark-outline-hover: rgba(56, 56, 56, 0.05);\n  --mantine-color-gray-text: var(--mantine-color-gray-filled);\n  --mantine-color-gray-filled: var(--mantine-color-gray-6);\n  --mantine-color-gray-filled-hover: var(--mantine-color-gray-7);\n  --mantine-color-gray-light: rgba(134, 142, 150, 0.1);\n  --mantine-color-gray-light-hover: rgba(134, 142, 150, 0.12);\n  --mantine-color-gray-light-color: var(--mantine-color-gray-6);\n  --mantine-color-gray-outline: var(--mantine-color-gray-6);\n  --mantine-color-gray-outline-hover: rgba(134, 142, 150, 0.05);\n  --mantine-color-red-text: var(--mantine-color-red-filled);\n  --mantine-color-red-filled: var(--mantine-color-red-6);\n  --mantine-color-red-filled-hover: var(--mantine-color-red-7);\n  --mantine-color-red-light: rgba(250, 82, 82, 0.1);\n  --mantine-color-red-light-hover: rgba(250, 82, 82, 0.12);\n  --mantine-color-red-light-color: var(--mantine-color-red-6);\n  --mantine-color-red-outline: var(--mantine-color-red-6);\n  --mantine-color-red-outline-hover: rgba(250, 82, 82, 0.05);\n  --mantine-color-pink-text: var(--mantine-color-pink-filled);\n  --mantine-color-pink-filled: var(--mantine-color-pink-6);\n  --mantine-color-pink-filled-hover: var(--mantine-color-pink-7);\n  --mantine-color-pink-light: rgba(230, 73, 128, 0.1);\n  --mantine-color-pink-light-hover: rgba(230, 73, 128, 0.12);\n  --mantine-color-pink-light-color: var(--mantine-color-pink-6);\n  --mantine-color-pink-outline: var(--mantine-color-pink-6);\n  --mantine-color-pink-outline-hover: rgba(230, 73, 128, 0.05);\n  --mantine-color-grape-text: var(--mantine-color-grape-filled);\n  --mantine-color-grape-filled: var(--mantine-color-grape-6);\n  --mantine-color-grape-filled-hover: var(--mantine-color-grape-7);\n  --mantine-color-grape-light: rgba(190, 75, 219, 0.1);\n  --mantine-color-grape-light-hover: rgba(190, 75, 219, 0.12);\n  --mantine-color-grape-light-color: var(--mantine-color-grape-6);\n  --mantine-color-grape-outline: var(--mantine-color-grape-6);\n  --mantine-color-grape-outline-hover: rgba(190, 75, 219, 0.05);\n  --mantine-color-violet-text: var(--mantine-color-violet-filled);\n  --mantine-color-violet-filled: var(--mantine-color-violet-6);\n  --mantine-color-violet-filled-hover: var(--mantine-color-violet-7);\n  --mantine-color-violet-light: rgba(121, 80, 242, 0.1);\n  --mantine-color-violet-light-hover: rgba(121, 80, 242, 0.12);\n  --mantine-color-violet-light-color: var(--mantine-color-violet-6);\n  --mantine-color-violet-outline: var(--mantine-color-violet-6);\n  --mantine-color-violet-outline-hover: rgba(121, 80, 242, 0.05);\n  --mantine-color-indigo-text: var(--mantine-color-indigo-filled);\n  --mantine-color-indigo-filled: var(--mantine-color-indigo-6);\n  --mantine-color-indigo-filled-hover: var(--mantine-color-indigo-7);\n  --mantine-color-indigo-light: rgba(76, 110, 245, 0.1);\n  --mantine-color-indigo-light-hover: rgba(76, 110, 245, 0.12);\n  --mantine-color-indigo-light-color: var(--mantine-color-indigo-6);\n  --mantine-color-indigo-outline: var(--mantine-color-indigo-6);\n  --mantine-color-indigo-outline-hover: rgba(76, 110, 245, 0.05);\n  --mantine-color-blue-text: var(--mantine-color-blue-filled);\n  --mantine-color-blue-filled: var(--mantine-color-blue-6);\n  --mantine-color-blue-filled-hover: var(--mantine-color-blue-7);\n  --mantine-color-blue-light: rgba(34, 139, 230, 0.1);\n  --mantine-color-blue-light-hover: rgba(34, 139, 230, 0.12);\n  --mantine-color-blue-light-color: var(--mantine-color-blue-6);\n  --mantine-color-blue-outline: var(--mantine-color-blue-6);\n  --mantine-color-blue-outline-hover: rgba(34, 139, 230, 0.05);\n  --mantine-color-cyan-text: var(--mantine-color-cyan-filled);\n  --mantine-color-cyan-filled: var(--mantine-color-cyan-6);\n  --mantine-color-cyan-filled-hover: var(--mantine-color-cyan-7);\n  --mantine-color-cyan-light: rgba(21, 170, 191, 0.1);\n  --mantine-color-cyan-light-hover: rgba(21, 170, 191, 0.12);\n  --mantine-color-cyan-light-color: var(--mantine-color-cyan-6);\n  --mantine-color-cyan-outline: var(--mantine-color-cyan-6);\n  --mantine-color-cyan-outline-hover: rgba(21, 170, 191, 0.05);\n  --mantine-color-teal-text: var(--mantine-color-teal-filled);\n  --mantine-color-teal-filled: var(--mantine-color-teal-6);\n  --mantine-color-teal-filled-hover: var(--mantine-color-teal-7);\n  --mantine-color-teal-light: rgba(18, 184, 134, 0.1);\n  --mantine-color-teal-light-hover: rgba(18, 184, 134, 0.12);\n  --mantine-color-teal-light-color: var(--mantine-color-teal-6);\n  --mantine-color-teal-outline: var(--mantine-color-teal-6);\n  --mantine-color-teal-outline-hover: rgba(18, 184, 134, 0.05);\n  --mantine-color-green-text: var(--mantine-color-green-filled);\n  --mantine-color-green-filled: var(--mantine-color-green-6);\n  --mantine-color-green-filled-hover: var(--mantine-color-green-7);\n  --mantine-color-green-light: rgba(64, 192, 87, 0.1);\n  --mantine-color-green-light-hover: rgba(64, 192, 87, 0.12);\n  --mantine-color-green-light-color: var(--mantine-color-green-6);\n  --mantine-color-green-outline: var(--mantine-color-green-6);\n  --mantine-color-green-outline-hover: rgba(64, 192, 87, 0.05);\n  --mantine-color-lime-text: var(--mantine-color-lime-filled);\n  --mantine-color-lime-filled: var(--mantine-color-lime-6);\n  --mantine-color-lime-filled-hover: var(--mantine-color-lime-7);\n  --mantine-color-lime-light: rgba(130, 201, 30, 0.1);\n  --mantine-color-lime-light-hover: rgba(130, 201, 30, 0.12);\n  --mantine-color-lime-light-color: var(--mantine-color-lime-6);\n  --mantine-color-lime-outline: var(--mantine-color-lime-6);\n  --mantine-color-lime-outline-hover: rgba(130, 201, 30, 0.05);\n  --mantine-color-yellow-text: var(--mantine-color-yellow-filled);\n  --mantine-color-yellow-filled: var(--mantine-color-yellow-6);\n  --mantine-color-yellow-filled-hover: var(--mantine-color-yellow-7);\n  --mantine-color-yellow-light: rgba(250, 176, 5, 0.1);\n  --mantine-color-yellow-light-hover: rgba(250, 176, 5, 0.12);\n  --mantine-color-yellow-light-color: var(--mantine-color-yellow-6);\n  --mantine-color-yellow-outline: var(--mantine-color-yellow-6);\n  --mantine-color-yellow-outline-hover: rgba(250, 176, 5, 0.05);\n  --mantine-color-orange-text: var(--mantine-color-orange-filled);\n  --mantine-color-orange-filled: var(--mantine-color-orange-6);\n  --mantine-color-orange-filled-hover: var(--mantine-color-orange-7);\n  --mantine-color-orange-light: rgba(253, 126, 20, 0.1);\n  --mantine-color-orange-light-hover: rgba(253, 126, 20, 0.12);\n  --mantine-color-orange-light-color: var(--mantine-color-orange-6);\n  --mantine-color-orange-outline: var(--mantine-color-orange-6);\n  --mantine-color-orange-outline-hover: rgba(253, 126, 20, 0.05);\n}\n\n.m_d57069b5 {\n  --scrollarea-scrollbar-size: calc(0.75rem * var(--mantine-scale));\n\n  position: relative;\n  overflow: hidden;\n}\n\n.m_c0783ff9 {\n  scrollbar-width: none;\n  -ms-overflow-style: none;\n  -webkit-overflow-scrolling: touch;\n  width: 100%;\n  height: 100%;\n}\n\n.m_c0783ff9::-webkit-scrollbar {\n    display: none;\n  }\n\n.m_c0783ff9:where([data-scrollbars='xy'], [data-scrollbars='y']):where([data-offset-scrollbars='xy'], [data-offset-scrollbars='y']) {\n      padding-inline-end: var(--scrollarea-scrollbar-size);\n      padding-inline-start: unset;\n    }\n\n.m_c0783ff9:where([data-scrollbars='xy'], [data-scrollbars='x']):where([data-offset-scrollbars='xy'], [data-offset-scrollbars='x']) {\n      padding-bottom: var(--scrollarea-scrollbar-size);\n    }\n\n.m_f8f631dd {\n  min-width: 100%;\n  display: table;\n}\n\n.m_c44ba933 {\n  user-select: none;\n  touch-action: none;\n  box-sizing: border-box;\n  transition:\n    background-color 150ms ease,\n    opacity 150ms ease;\n\n  padding: calc(var(--scrollarea-scrollbar-size) / 5);\n  display: flex;\n  background-color: transparent;\n  flex-direction: row;\n}\n\n@media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_c44ba933:hover {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n      :where([data-mantine-color-scheme='light']) .m_c44ba933:hover > .m_d8b5e363 {\n        background-color: rgba(0, 0, 0, 0.5);\n      }\n\n    :where([data-mantine-color-scheme='dark']) .m_c44ba933:hover {\n      background-color: var(--mantine-color-dark-8);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_c44ba933:hover > .m_d8b5e363 {\n        background-color: rgba(255, 255, 255, 0.5);\n      }\n}\n\n@media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_c44ba933:active {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n      :where([data-mantine-color-scheme='light']) .m_c44ba933:active > .m_d8b5e363 {\n        background-color: rgba(0, 0, 0, 0.5);\n      }\n\n    :where([data-mantine-color-scheme='dark']) .m_c44ba933:active {\n      background-color: var(--mantine-color-dark-8);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_c44ba933:active > .m_d8b5e363 {\n        background-color: rgba(255, 255, 255, 0.5);\n      }\n}\n\n.m_c44ba933:where([data-hidden], [data-state='hidden']) {\n    display: none;\n  }\n\n.m_c44ba933:where([data-orientation='vertical']) {\n    width: var(--scrollarea-scrollbar-size);\n    top: 0;\n    bottom: var(--sa-corner-width);\n    inset-inline-end: 0;\n  }\n\n.m_c44ba933:where([data-orientation='horizontal']) {\n    height: var(--scrollarea-scrollbar-size);\n    flex-direction: column;\n    bottom: 0;\n    inset-inline-start: 0;\n    inset-inline-end: var(--sa-corner-width);\n  }\n\n.m_d8b5e363 {\n  flex: 1;\n  border-radius: var(--scrollarea-scrollbar-size);\n  position: relative;\n  transition: background-color 150ms ease;\n  overflow: hidden;\n}\n\n.m_d8b5e363::before {\n    content: '\"\"';\n    position: absolute;\n    top: 50%;\n    left: 50%;\n    transform: translate(-50%, -50%);\n    width: 100%;\n    height: 100%;\n    min-width: calc(2.75rem * var(--mantine-scale));\n    min-height: calc(2.75rem * var(--mantine-scale));\n  }\n\n:where([data-mantine-color-scheme='light']) .m_d8b5e363 {\n    background-color: rgba(0, 0, 0, 0.4);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_d8b5e363 {\n    background-color: rgba(255, 255, 255, 0.4);\n}\n\n.m_21657268 {\n  position: absolute;\n  opacity: 0;\n  transition: opacity 150ms ease;\n  display: block;\n  inset-inline-end: 0;\n  bottom: 0;\n}\n\n:where([data-mantine-color-scheme='light']) .m_21657268 {\n    background-color: var(--mantine-color-gray-0);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_21657268 {\n    background-color: var(--mantine-color-dark-8);\n}\n\n.m_21657268:where([data-hovered]) {\n    opacity: 1;\n  }\n\n.m_21657268:where([data-hidden]) {\n    display: none;\n  }\n\n.m_87cf2631 {\n  background-color: transparent;\n  cursor: pointer;\n  border: 0;\n  padding: 0;\n  appearance: none;\n  font-size: var(--mantine-font-size-md);\n  text-align: left;\n  text-decoration: none;\n  color: inherit;\n  touch-action: manipulation;\n  -webkit-tap-highlight-color: transparent;\n}\n\n  :where([dir=\"rtl\"]) .m_87cf2631 {\n    text-align: right;\n}\n\n.m_515a97f8 {\n  border: 0;\n  clip: rect(0 0 0 0);\n  height: calc(0.0625rem * var(--mantine-scale));\n  width: calc(0.0625rem * var(--mantine-scale));\n  margin: calc(-0.0625rem * var(--mantine-scale));\n  overflow: hidden;\n  padding: 0;\n  position: absolute;\n  white-space: nowrap;\n}\n\n.m_1b7284a3 {\n  --paper-radius: var(--mantine-radius-default);\n\n  outline: 0;\n  -webkit-tap-highlight-color: transparent;\n  display: block;\n  touch-action: manipulation;\n  text-decoration: none;\n  border-radius: var(--paper-radius);\n  box-shadow: var(--paper-shadow);\n  background-color: var(--mantine-color-body);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_1b7284a3:where([data-with-border]) {\n      border: 1px solid var(--mantine-color-gray-3);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_1b7284a3:where([data-with-border]) {\n      border: 1px solid var(--mantine-color-dark-4);\n}\n\n.m_38a85659 {\n  position: absolute;\n  border: 1px solid var(--popover-border-color);\n  padding: var(--mantine-spacing-sm) var(--mantine-spacing-md);\n  box-shadow: var(--popover-shadow, none);\n  border-radius: var(--popover-radius, var(--mantine-radius-default));\n}\n\n  .m_38a85659:focus {\n    outline: none;\n  }\n\n  :where([data-mantine-color-scheme='light']) .m_38a85659 {\n    --popover-border-color: var(--mantine-color-gray-2);\n    background-color: var(--mantine-color-white);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_38a85659 {\n    --popover-border-color: var(--mantine-color-dark-4);\n    background-color: var(--mantine-color-dark-6);\n}\n\n.m_a31dc6c1 {\n  background-color: inherit;\n  border: 1px solid var(--popover-border-color);\n  z-index: 1;\n}\n\n.m_5ae2e3c {\n  --loader-size-xs: calc(1.125rem * var(--mantine-scale));\n  --loader-size-sm: calc(1.375rem * var(--mantine-scale));\n  --loader-size-md: calc(2.25rem * var(--mantine-scale));\n  --loader-size-lg: calc(2.75rem * var(--mantine-scale));\n  --loader-size-xl: calc(3.625rem * var(--mantine-scale));\n  --loader-size: var(--loader-size-md);\n  --loader-color: var(--mantine-primary-color-filled);\n}\n\n/* ----- Bars loader ----- */\n@keyframes m_5d2b3b9d {\n  0% {\n    transform: scale(0.6);\n    opacity: 0;\n  }\n\n  50%,\n  100% {\n    transform: scale(1);\n  }\n}\n\n.m_7a2bd4cd {\n  position: relative;\n  width: var(--loader-size);\n  height: var(--loader-size);\n  display: flex;\n  gap: calc(var(--loader-size) / 5);\n}\n\n.m_870bb79 {\n  flex: 1;\n  background: var(--loader-color);\n  animation: m_5d2b3b9d 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;\n  border-radius: calc(0.125rem * var(--mantine-scale));\n}\n\n.m_870bb79:nth-of-type(1) {\n    animation-delay: -240ms;\n  }\n\n.m_870bb79:nth-of-type(2) {\n    animation-delay: -120ms;\n  }\n\n.m_870bb79:nth-of-type(3) {\n    animation-delay: 0;\n  }\n\n/* ----- Dots loader ----- */\n@keyframes m_aac34a1 {\n  0%,\n  100% {\n    transform: scale(1);\n    opacity: 1;\n  }\n\n  50% {\n    transform: scale(0.6);\n    opacity: 0.5;\n  }\n}\n\n.m_4e3f22d7 {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: calc(var(--loader-size) / 10);\n  position: relative;\n  width: var(--loader-size);\n  height: var(--loader-size);\n}\n\n.m_870c4af {\n  width: calc(var(--loader-size) / 3 - var(--loader-size) / 15);\n  height: calc(var(--loader-size) / 3 - var(--loader-size) / 15);\n  border-radius: 50%;\n  background: var(--loader-color);\n  animation: m_aac34a1 0.8s infinite linear;\n}\n\n.m_870c4af:nth-child(2) {\n    animation-delay: 0.4s;\n  }\n\n/* ----- Oval loader ----- */\n@keyframes m_f8e89c4b {\n  0% {\n    transform: rotate(0deg);\n  }\n\n  100% {\n    transform: rotate(360deg);\n  }\n}\n\n.m_b34414df {\n  display: inline-block;\n  width: var(--loader-size);\n  height: var(--loader-size);\n}\n\n.m_b34414df::after {\n    content: '';\n    display: block;\n    width: var(--loader-size);\n    height: var(--loader-size);\n    border-radius: calc(625rem * var(--mantine-scale));\n    border-width: calc(var(--loader-size) / 8);\n    border-style: solid;\n    border-color: var(--loader-color) var(--loader-color) var(--loader-color) transparent;\n    animation: m_f8e89c4b 1.2s linear infinite;\n  }\n\n.m_8d3f4000 {\n  --ai-size-xs: calc(1.125rem * var(--mantine-scale));\n  --ai-size-sm: calc(1.375rem * var(--mantine-scale));\n  --ai-size-md: calc(1.75rem * var(--mantine-scale));\n  --ai-size-lg: calc(2.125rem * var(--mantine-scale));\n  --ai-size-xl: calc(2.75rem * var(--mantine-scale));\n\n  --ai-size-input-xs: calc(1.875rem * var(--mantine-scale));\n  --ai-size-input-sm: calc(2.25rem * var(--mantine-scale));\n  --ai-size-input-md: calc(2.625rem * var(--mantine-scale));\n  --ai-size-input-lg: calc(3.125rem * var(--mantine-scale));\n  --ai-size-input-xl: calc(3.75rem * var(--mantine-scale));\n\n  --ai-size: var(--ai-size-md);\n  --ai-color: var(--mantine-color-white);\n\n  line-height: 1;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  position: relative;\n  user-select: none;\n  overflow: hidden;\n\n  width: var(--ai-size);\n  height: var(--ai-size);\n  min-width: var(--ai-size);\n  min-height: var(--ai-size);\n  border-radius: var(--ai-radius, var(--mantine-radius-default));\n  background: var(--ai-bg, var(--mantine-primary-color-filled));\n  color: var(--ai-color, var(--mantine-color-white));\n  border: var(--ai-bd, calc(0.0625rem * var(--mantine-scale)) solid transparent);\n  cursor: pointer;\n}\n\n  @media (hover: hover) {\n    .m_8d3f4000:hover:where(:not([data-loading], :disabled, [data-disabled])) {\n      background-color: var(--ai-hover, var(--mantine-primary-color-filled-hover));\n      color: var(--ai-hover-color, var(--ai-color));\n    }\n}\n\n  @media (hover: none) {\n    .m_8d3f4000:active:where(:not([data-loading], :disabled, [data-disabled])) {\n      background-color: var(--ai-hover, var(--mantine-primary-color-filled-hover));\n      color: var(--ai-hover-color, var(--ai-color));\n    }\n}\n\n  .m_8d3f4000[data-loading] {\n    cursor: not-allowed;\n  }\n\n  .m_8d3f4000[data-loading] .m_8d3afb97 {\n      opacity: 0;\n      transform: translateY(100%);\n    }\n\n  .m_8d3f4000:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])) {\n    cursor: not-allowed;\n    border: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  }\n\n  :where([data-mantine-color-scheme='light']) .m_8d3f4000:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])) {\n      background-color: var(--mantine-color-gray-1);\n      color: var(--mantine-color-gray-5);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_8d3f4000:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])) {\n      background-color: var(--mantine-color-dark-6);\n      color: var(--mantine-color-dark-3);\n}\n\n  .m_8d3f4000:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])):active {\n      transform: none;\n    }\n\n.m_302b9fb1 {\n  inset: calc(-0.0625rem * var(--mantine-scale));\n  position: absolute;\n  border-radius: var(--ai-radius, var(--mantine-radius-default));\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n\n:where([data-mantine-color-scheme='light']) .m_302b9fb1 {\n    background-color: rgba(255, 255, 255, 0.35);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_302b9fb1 {\n    background-color: rgba(0, 0, 0, 0.35);\n}\n\n.m_1a0f1b21 {\n  --ai-border-width: calc(0.0625rem * var(--mantine-scale));\n  display: flex;\n}\n\n.m_1a0f1b21 :where(*):focus {\n      position: relative;\n      z-index: 1;\n    }\n\n.m_1a0f1b21[data-orientation='horizontal'] {\n    flex-direction: row;\n  }\n\n.m_1a0f1b21[data-orientation='horizontal'] .m_8d3f4000:not(:only-child):first-child {\n        border-end-end-radius: 0;\n        border-start-end-radius: 0;\n        border-inline-end-width: calc(var(--ai-border-width) / 2);\n      }\n\n.m_1a0f1b21[data-orientation='horizontal'] .m_8d3f4000:not(:only-child):last-child {\n        border-end-start-radius: 0;\n        border-start-start-radius: 0;\n        border-inline-start-width: calc(var(--ai-border-width) / 2);\n      }\n\n.m_1a0f1b21[data-orientation='horizontal'] .m_8d3f4000:not(:only-child):not(:first-child):not(:last-child) {\n        border-radius: 0;\n        border-inline-width: calc(var(--ai-border-width) / 2);\n      }\n\n.m_1a0f1b21[data-orientation='vertical'] {\n    flex-direction: column;\n  }\n\n.m_1a0f1b21[data-orientation='vertical'] .m_8d3f4000:not(:only-child):first-child {\n        border-end-start-radius: 0;\n        border-end-end-radius: 0;\n        border-bottom-width: calc(var(--ai-border-width) / 2);\n      }\n\n.m_1a0f1b21[data-orientation='vertical'] .m_8d3f4000:not(:only-child):last-child {\n        border-start-start-radius: 0;\n        border-start-end-radius: 0;\n        border-top-width: calc(var(--ai-border-width) / 2);\n      }\n\n.m_1a0f1b21[data-orientation='vertical'] .m_8d3f4000:not(:only-child):not(:first-child):not(:last-child) {\n        border-radius: 0;\n        border-bottom-width: calc(var(--ai-border-width) / 2);\n        border-top-width: calc(var(--ai-border-width) / 2);\n      }\n\n.m_8d3afb97 {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  transition:\n    transform 150ms ease,\n    opacity 100ms ease;\n  width: 100%;\n  height: 100%;\n}\n\n.m_86a44da5 {\n  --cb-size-xs: calc(1.125rem * var(--mantine-scale));\n  --cb-size-sm: calc(1.375rem * var(--mantine-scale));\n  --cb-size-md: calc(1.75rem * var(--mantine-scale));\n  --cb-size-lg: calc(2.125rem * var(--mantine-scale));\n  --cb-size-xl: calc(2.75rem * var(--mantine-scale));\n\n  --cb-size: var(--cb-size-md);\n  --cb-icon-size: 70%;\n  --cb-radius: var(--mantine-radius-default);\n\n  line-height: 1;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  position: relative;\n  user-select: none;\n\n  width: var(--cb-size);\n  height: var(--cb-size);\n  min-width: var(--cb-size);\n  min-height: var(--cb-size);\n  border-radius: var(--cb-radius);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_86a44da5 {\n    color: var(--mantine-color-gray-7);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_86a44da5 {\n    color: var(--mantine-color-dark-1);\n}\n\n  .m_86a44da5[data-disabled],\n  .m_86a44da5:disabled {\n    cursor: not-allowed;\n    opacity: 0.6;\n  }\n\n@media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_220c80f2:not([data-disabled], :disabled):hover {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_220c80f2:not([data-disabled], :disabled):hover {\n      background-color: var(--mantine-color-dark-6);\n  }\n}\n\n@media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_220c80f2:not([data-disabled], :disabled):active {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_220c80f2:not([data-disabled], :disabled):active {\n      background-color: var(--mantine-color-dark-6);\n  }\n}\n\n.m_4081bf90 {\n  display: flex;\n  flex-direction: row;\n  flex-wrap: var(--group-wrap, wrap);\n  justify-content: var(--group-justify, flex-start);\n  align-items: var(--group-align, center);\n  gap: var(--group-gap, var(--mantine-spacing-md));\n}\n\n  .m_4081bf90:where([data-grow]) > * {\n      flex-grow: 1;\n      max-width: var(--group-child-width);\n    }\n\n.m_9814e45f {\n  inset: 0;\n  position: absolute;\n  background: var(--overlay-bg, rgba(0, 0, 0, 0.6));\n  backdrop-filter: var(--overlay-filter);\n  -webkit-backdrop-filter: var(--overlay-filter);\n  border-radius: var(--overlay-radius, 0);\n  z-index: var(--overlay-z-index);\n}\n\n  .m_9814e45f:where([data-fixed]) {\n    position: fixed;\n  }\n\n  .m_9814e45f:where([data-center]) {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n  }\n\n.m_615af6c9 {\n  line-height: 1;\n  padding: 0;\n  margin: 0;\n  font-weight: 400;\n  font-size: var(--mantine-font-size-md);\n}\n\n.m_b5489c3c {\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: var(--mb-padding, var(--mantine-spacing-md));\n  padding-inline-end: calc(var(--mb-padding, var(--mantine-spacing-md)) - calc(0.3125rem * var(--mantine-scale)));\n  position: sticky;\n  top: 0;\n  background-color: var(--mantine-color-body);\n  z-index: 1000;\n  min-height: calc(3.75rem * var(--mantine-scale));\n}\n\n.m_60c222c7 {\n  position: fixed;\n  width: 100%;\n  top: 0;\n  bottom: 0;\n  z-index: var(--mb-z-index);\n  pointer-events: none;\n}\n\n.m_fd1ab0aa {\n  pointer-events: all;\n  box-shadow: var(--mb-shadow, var(--mantine-shadow-xl));\n}\n\n.m_606cb269 {\n  margin-inline-start: auto;\n}\n\n.m_5df29311 {\n  padding: var(--mb-padding, var(--mantine-spacing-md));\n  padding-top: var(--mb-padding, var(--mantine-spacing-md));\n}\n\n.m_5df29311:where(:not(:only-child)) {\n    padding-top: 0;\n  }\n\n.m_6c018570 {\n  position: relative;\n  margin-top: var(--input-margin-top, 0rem);\n  margin-bottom: var(--input-margin-bottom, 0rem);\n\n  --input-height-xs: calc(1.875rem * var(--mantine-scale));\n  --input-height-sm: calc(2.25rem * var(--mantine-scale));\n  --input-height-md: calc(2.625rem * var(--mantine-scale));\n  --input-height-lg: calc(3.125rem * var(--mantine-scale));\n  --input-height-xl: calc(3.75rem * var(--mantine-scale));\n\n  --input-padding-y-xs: calc(0.3125rem * var(--mantine-scale));\n  --input-padding-y-sm: calc(0.375rem * var(--mantine-scale));\n  --input-padding-y-md: calc(0.5rem * var(--mantine-scale));\n  --input-padding-y-lg: calc(0.625rem * var(--mantine-scale));\n  --input-padding-y-xl: calc(0.8125rem * var(--mantine-scale));\n\n  --input-height: var(--input-height-sm);\n  --input-radius: var(--mantine-radius-default);\n\n  --input-cursor: text;\n  --input-text-align: left;\n  --input-line-height: calc(var(--input-height) - calc(0.125rem * var(--mantine-scale)));\n  --input-padding: calc(var(--input-height) / 3);\n  --input-padding-inline-start: var(--input-padding);\n  --input-padding-inline-end: var(--input-padding);\n  --input-placeholder-color: var(--mantine-color-placeholder);\n  --input-color: var(--mantine-color-text);\n\n  --input-left-section-size: var(--input-left-section-width, calc(var(--input-height) - calc(0.125rem * var(--mantine-scale))));\n\n  --input-right-section-size: var(\n    --input-right-section-width,\n    calc(var(--input-height) - calc(0.125rem * var(--mantine-scale)))\n  );\n\n  --input-size: var(--input-height);\n\n  --section-y: calc(0.0625rem * var(--mantine-scale));\n  --left-section-start: calc(0.0625rem * var(--mantine-scale));\n  --left-section-border-radius: var(--input-radius) 0 0 var(--input-radius);\n\n  --right-section-end: calc(0.0625rem * var(--mantine-scale));\n  --right-section-border-radius: 0 var(--input-radius) var(--input-radius) 0;\n}\n\n  .m_6c018570[data-variant='unstyled'] {\n    --input-padding: 0;\n    --input-padding-y: 0;\n    --input-padding-inline-start: 0;\n    --input-padding-inline-end: 0;\n  }\n\n  .m_6c018570[data-pointer] {\n    --input-cursor: pointer;\n  }\n\n  .m_6c018570[data-multiline] {\n    --input-padding-y-xs: calc(0.28125rem * var(--mantine-scale));\n    --input-padding-y-sm: calc(0.34375rem * var(--mantine-scale));\n    --input-padding-y-md: calc(0.4375rem * var(--mantine-scale));\n    --input-padding-y-lg: calc(0.59375rem * var(--mantine-scale));\n    --input-padding-y-xl: calc(0.8125rem * var(--mantine-scale));\n\n    --input-size: auto;\n    --input-line-height: var(--mantine-line-height);\n    --input-padding-y: var(--input-padding-y-sm);\n  }\n\n  .m_6c018570[data-with-left-section] {\n    --input-padding-inline-start: var(--input-left-section-size);\n  }\n\n  .m_6c018570[data-with-right-section] {\n    --input-padding-inline-end: var(--input-right-section-size);\n  }\n\n  [data-mantine-color-scheme='light'] .m_6c018570 {\n    --input-disabled-bg: var(--mantine-color-gray-1);\n    --input-disabled-color: var(--mantine-color-gray-6);\n}\n\n  [data-mantine-color-scheme='light'] .m_6c018570[data-variant='default'] {\n      --input-bd: var(--mantine-color-gray-4);\n      --input-bg: var(--mantine-color-white);\n      --input-bd-focus: var(--mantine-primary-color-filled);\n    }\n\n  [data-mantine-color-scheme='light'] .m_6c018570[data-variant='filled'] {\n      --input-bd: transparent;\n      --input-bg: var(--mantine-color-gray-1);\n      --input-bd-focus: var(--mantine-primary-color-filled);\n    }\n\n  [data-mantine-color-scheme='light'] .m_6c018570[data-variant='unstyled'] {\n      --input-bd: transparent;\n      --input-bg: transparent;\n      --input-bd-focus: transparent;\n    }\n\n  [data-mantine-color-scheme='dark'] .m_6c018570 {\n    --input-disabled-bg: var(--mantine-color-dark-6);\n    --input-disabled-color: var(--mantine-color-dark-2);\n}\n\n  [data-mantine-color-scheme='dark'] .m_6c018570[data-variant='default'] {\n      --input-bd: var(--mantine-color-dark-4);\n      --input-bg: var(--mantine-color-dark-6);\n      --input-bd-focus: var(--mantine-primary-color-filled);\n    }\n\n  [data-mantine-color-scheme='dark'] .m_6c018570[data-variant='filled'] {\n      --input-bd: transparent;\n      --input-bg: var(--mantine-color-dark-5);\n      --input-bd-focus: var(--mantine-primary-color-filled);\n    }\n\n  [data-mantine-color-scheme='dark'] .m_6c018570[data-variant='unstyled'] {\n      --input-bd: transparent;\n      --input-bg: transparent;\n      --input-bd-focus: transparent;\n    }\n\n  [data-mantine-color-scheme] .m_6c018570[data-error]:not([data-variant='unstyled']) {\n      --input-bd: var(--mantine-color-error);\n    }\n\n  [data-mantine-color-scheme] .m_6c018570[data-error] {\n\n    --input-color: var(--mantine-color-error);\n    --input-placeholder-color: var(--mantine-color-error);\n    --input-section-color: var(--mantine-color-error);\n}\n\n  :where([dir=\"rtl\"]) .m_6c018570 {\n    --input-text-align: right;\n    --left-section-border-radius: 0 var(--input-radius) var(--input-radius) 0;\n    --right-section-border-radius: var(--input-radius) 0 0 var(--input-radius);\n}\n\n.m_8fb7ebe7 {\n  -webkit-tap-highlight-color: transparent;\n  appearance: none;\n  resize: var(--input-resize, none);\n  display: block;\n  width: 100%;\n  transition: border-color 100ms ease;\n\n  text-align: var(--input-text-align);\n  color: var(--input-color);\n  border: 1px solid var(--input-bd);\n  background-color: var(--input-bg);\n  font-family: var(--input-font-family, var(--mantine-font-family));\n  height: var(--input-size);\n  min-height: var(--input-height);\n  line-height: var(--input-line-height);\n  font-size: var(--input-fz, var(--input-fz, var(--mantine-font-size-sm)));\n  border-radius: var(--input-radius);\n  padding-inline-start: var(--input-padding-inline-start);\n  padding-inline-end: var(--input-padding-inline-end);\n  padding-top: var(--input-padding-y, 0rem);\n  padding-bottom: var(--input-padding-y, 0rem);\n  cursor: var(--input-cursor);\n  overflow: var(--input-overflow);\n}\n\n/* Used as data attribute in Textarea component, does not have associated prop on the Input component */\n\n.m_8fb7ebe7[data-no-overflow] {\n    --input-overflow: hidden;\n  }\n\n/* Used as data attribute in JsonInput component, does not have associated prop on the Input component */\n\n.m_8fb7ebe7[data-monospace] {\n    --input-font-family: var(--mantine-font-family-monospace);\n    --input-fz: calc(var(--input-fz, var(--mantine-font-size-sm)) - calc(0.125rem * var(--mantine-scale)));\n  }\n\n.m_8fb7ebe7:focus,\n  .m_8fb7ebe7:focus-within {\n    outline: none;\n    --input-bd: var(--input-bd-focus);\n  }\n\n[data-error] .m_8fb7ebe7:focus, [data-error] .m_8fb7ebe7:focus-within {\n      --input-bd: var(--mantine-color-error);\n    }\n\n.m_8fb7ebe7::placeholder {\n    color: var(--input-placeholder-color);\n    opacity: 1;\n  }\n\n.m_8fb7ebe7::-webkit-inner-spin-button,\n  .m_8fb7ebe7::-webkit-outer-spin-button,\n  .m_8fb7ebe7::-webkit-search-decoration,\n  .m_8fb7ebe7::-webkit-search-cancel-button,\n  .m_8fb7ebe7::-webkit-search-results-button,\n  .m_8fb7ebe7::-webkit-search-results-decoration {\n    appearance: none;\n  }\n\n.m_8fb7ebe7[type='number'] {\n    -moz-appearance: textfield;\n  }\n\n.m_8fb7ebe7:disabled,\n  .m_8fb7ebe7[data-disabled] {\n    cursor: not-allowed;\n    opacity: 0.6;\n    background-color: var(--input-disabled-bg);\n    color: var(--input-disabled-color);\n  }\n\n/* Required to be a separate selector to work in Firefox, can be merged with &:disabled once :has is supported */\n\n.m_8fb7ebe7:has(input:disabled) {\n    cursor: not-allowed;\n    opacity: 0.6;\n    background-color: var(--input-disabled-bg);\n    color: var(--input-disabled-color);\n  }\n\n.m_82577fc2 {\n  pointer-events: var(--section-pointer-events);\n  position: absolute;\n  z-index: 1;\n  inset-inline-start: var(--section-start);\n  inset-inline-end: var(--section-end);\n  bottom: var(--section-y);\n  top: var(--section-y);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: var(--section-size);\n  border-radius: var(--section-border-radius);\n  color: var(--input-section-color, var(--mantine-color-dimmed));\n}\n\n.m_82577fc2[data-position='right'] {\n    --section-pointer-events: var(--input-right-section-pointer-events);\n    --section-end: var(--right-section-end);\n    --section-size: var(--input-right-section-size);\n    --section-border-radius: var(--right-section-border-radius);\n  }\n\n.m_82577fc2[data-position='left'] {\n    --section-pointer-events: var(--input-left-section-pointer-events);\n    --section-start: var(--left-section-start);\n    --section-size: var(--input-left-section-size);\n    --section-border-radius: var(--left-section-border-radius);\n  }\n\n/* ----- Input.Placeholder ----- */\n.m_88bacfd0 {\n  color: var(--input-placeholder-color, var(--mantine-color-placeholder));\n}\n[data-error] .m_88bacfd0 {\n    --input-placeholder-color: var(--input-color, var(--mantine-color-placeholder));\n  }\n\n/* ----- Input.Wrapper ----- */\n.m_46b77525 {\n  line-height: var(--mantine-line-height);\n}\n\n.m_8fdc1311 {\n  display: inline-block;\n  font-weight: 500;\n  word-break: break-word;\n  cursor: default;\n  -webkit-tap-highlight-color: transparent;\n  font-size: var(--input-label-size, var(--mantine-font-size-sm));\n}\n\n.m_78a94662 {\n  color: var(--input-asterisk-color, var(--mantine-color-error));\n}\n\n.m_8f816625,\n.m_fe47ce59 {\n  word-wrap: break-word;\n  line-height: 1.2;\n  display: block;\n  margin: 0;\n  padding: 0;\n}\n\n.m_8f816625 {\n  color: var(--mantine-color-error);\n  font-size: var(--input-error-size, calc(var(--mantine-font-size-sm) - calc(0.125rem * var(--mantine-scale))));\n}\n\n.m_fe47ce59 {\n  color: var(--mantine-color-dimmed);\n  font-size: var(--input-description-size, calc(var(--mantine-font-size-sm) - calc(0.125rem * var(--mantine-scale))));\n}\n\n.m_8bffd616 {\n  display: flex;\n}\n\n.m_96b553a6 {\n  --transition-duration: 150ms;\n\n  top: 0;\n  left: 0;\n  position: absolute;\n  z-index: 0;\n  transition-property: transform, width, height;\n  transition-timing-function: ease;\n  transition-duration: 0ms;\n}\n\n  .m_96b553a6:where([data-initialized]) {\n    transition-duration: var(--transition-duration);\n  }\n\n  .m_96b553a6:where([data-hidden]) {\n    background-color: red;\n    display: none;\n  }\n\n.m_9bdbb667 {\n  --accordion-radius: var(--mantine-radius-default);\n}\n\n.m_df78851f {\n  word-break: break-word;\n}\n\n.m_4ba554d4 {\n  padding: var(--mantine-spacing-md);\n  padding-top: calc(var(--mantine-spacing-xs) / 2);\n}\n\n.m_8fa820a0 {\n  margin: 0;\n  padding: 0;\n}\n\n.m_4ba585b8 {\n  width: 100%;\n  display: flex;\n  align-items: center;\n  flex-direction: row-reverse;\n  padding-inline: var(--mantine-spacing-md);\n  opacity: 1;\n  cursor: pointer;\n  background-color: transparent;\n}\n\n.m_4ba585b8:where([data-chevron-position='left']) {\n    flex-direction: row;\n    padding-inline-start: 0;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_4ba585b8 {\n    color: var(--mantine-color-black);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_4ba585b8 {\n    color: var(--mantine-color-dark-0);\n}\n\n.m_4ba585b8:where(:disabled, [data-disabled]) {\n    opacity: 0.4;\n    cursor: not-allowed;\n  }\n\n@media (hover: hover) {\n      :where([data-mantine-color-scheme='light']) .m_6939a5e9:where(:not(:disabled, [data-disabled])):hover, :where([data-mantine-color-scheme='light']) .m_4271d21b:where(:not(:disabled, [data-disabled])):hover {\n        background-color: var(--mantine-color-gray-0);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_6939a5e9:where(:not(:disabled, [data-disabled])):hover, :where([data-mantine-color-scheme='dark']) .m_4271d21b:where(:not(:disabled, [data-disabled])):hover {\n        background-color: var(--mantine-color-dark-6);\n  }\n}\n\n@media (hover: none) {\n      :where([data-mantine-color-scheme='light']) .m_6939a5e9:where(:not(:disabled, [data-disabled])):active, :where([data-mantine-color-scheme='light']) .m_4271d21b:where(:not(:disabled, [data-disabled])):active {\n        background-color: var(--mantine-color-gray-0);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_6939a5e9:where(:not(:disabled, [data-disabled])):active, :where([data-mantine-color-scheme='dark']) .m_4271d21b:where(:not(:disabled, [data-disabled])):active {\n        background-color: var(--mantine-color-dark-6);\n  }\n}\n\n.m_df3ffa0f {\n  color: inherit;\n  font-weight: 400;\n  flex: 1;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  padding-top: var(--mantine-spacing-sm);\n  padding-bottom: var(--mantine-spacing-sm);\n}\n\n.m_3f35ae96 {\n  display: flex;\n  align-items: center;\n  justify-content: flex-start;\n  transition: transform var(--accordion-transition-duration, 200ms) ease;\n  width: var(--accordion-chevron-size, calc(0.9375rem * var(--mantine-scale)));\n  min-width: var(--accordion-chevron-size, calc(0.9375rem * var(--mantine-scale)));\n  transform: rotate(0deg);\n}\n\n.m_3f35ae96:where([data-rotate]) {\n    transform: rotate(180deg);\n  }\n\n.m_3f35ae96:where([data-position='left']) {\n    margin-inline-end: var(--mantine-spacing-md);\n    margin-inline-start: var(--mantine-spacing-md);\n  }\n\n.m_9bd771fe {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  margin-inline-end: var(--mantine-spacing-sm);\n}\n\n.m_9bd771fe:where([data-chevron-position='left']) {\n    margin-inline-end: 0;\n    margin-inline-start: var(--mantine-spacing-lg);\n  }\n\n:where([data-mantine-color-scheme='light']) .m_9bd7b098 {\n    --item-border-color: var(--mantine-color-gray-3);\n    --item-filled-color: var(--mantine-color-gray-0);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_9bd7b098 {\n    --item-border-color: var(--mantine-color-dark-4);\n    --item-filled-color: var(--mantine-color-dark-6);\n}\n\n.m_fe19b709 {\n  border-bottom: 1px solid var(--item-border-color);\n}\n\n.m_1f921b3b {\n  border: 1px solid var(--item-border-color);\n  transition: background-color 150ms ease;\n}\n\n.m_1f921b3b:where([data-active]) {\n    background-color: var(--item-filled-color);\n  }\n\n.m_1f921b3b:first-of-type {\n    border-start-start-radius: var(--accordion-radius);\n    border-start-end-radius: var(--accordion-radius);\n  }\n\n.m_1f921b3b:first-of-type > [data-accordion-control] {\n      border-start-start-radius: var(--accordion-radius);\n      border-start-end-radius: var(--accordion-radius);\n    }\n\n.m_1f921b3b:last-of-type {\n    border-end-start-radius: var(--accordion-radius);\n    border-end-end-radius: var(--accordion-radius);\n  }\n\n.m_1f921b3b:last-of-type > [data-accordion-control] {\n      border-end-start-radius: var(--accordion-radius);\n      border-end-end-radius: var(--accordion-radius);\n    }\n\n.m_1f921b3b + .m_1f921b3b {\n    border-top: 0;\n  }\n\n.m_2cdf939a {\n  border-radius: var(--accordion-radius);\n}\n\n.m_2cdf939a:where([data-active]) {\n    background-color: var(--item-filled-color);\n  }\n\n.m_9f59b069 {\n  background-color: var(--item-filled-color);\n  border-radius: var(--accordion-radius);\n  border: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  transition: background-color 150ms ease;\n}\n\n.m_9f59b069[data-active] {\n    border-color: var(--item-border-color);\n  }\n\n:where([data-mantine-color-scheme='light']) .m_9f59b069[data-active] {\n      background-color: var(--mantine-color-white);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_9f59b069[data-active] {\n      background-color: var(--mantine-color-dark-7);\n}\n\n.m_9f59b069 + .m_9f59b069 {\n    margin-top: var(--mantine-spacing-md);\n  }\n\n.m_7f854edf {\n  position: fixed;\n  z-index: var(--affix-z-index);\n  inset-inline-start: var(--affix-left);\n  inset-inline-end: var(--affix-right);\n  top: var(--affix-top);\n  bottom: var(--affix-bottom);\n}\n\n.m_66836ed3 {\n  --alert-radius: var(--mantine-radius-default);\n  --alert-bg: var(--mantine-primary-color-light);\n  --alert-bd: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  --alert-color: var(--mantine-primary-color-light-color);\n\n  padding: var(--mantine-spacing-md) var(--mantine-spacing-md);\n  border-radius: var(--alert-radius);\n  position: relative;\n  overflow: hidden;\n  background-color: var(--alert-bg);\n  border: var(--alert-bd);\n  color: var(--alert-color);\n}\n\n.m_a5d60502 {\n  display: flex;\n}\n\n.m_667c2793 {\n  flex: 1;\n  display: flex;\n  flex-direction: column;\n  gap: var(--mantine-spacing-xs);\n}\n\n.m_6a03f287 {\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  font-size: var(--mantine-font-size-sm);\n  font-weight: 700;\n}\n\n.m_6a03f287:where([data-with-close-button]) {\n    padding-inline-end: var(--mantine-spacing-md);\n  }\n\n.m_698f4f23 {\n  display: block;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n.m_667f2a6a {\n  line-height: 1;\n  width: calc(1.25rem * var(--mantine-scale));\n  height: calc(1.25rem * var(--mantine-scale));\n  display: flex;\n  align-items: center;\n  justify-content: flex-start;\n  margin-inline-end: var(--mantine-spacing-md);\n  margin-top: calc(0.0625rem * var(--mantine-scale));\n}\n\n.m_7fa78076 {\n  text-overflow: ellipsis;\n  overflow: hidden;\n  font-size: var(--mantine-font-size-sm);\n}\n\n:where([data-mantine-color-scheme='light']) .m_7fa78076 {\n    color: var(--mantine-color-black);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_7fa78076 {\n    color: var(--mantine-color-white);\n}\n\n.m_7fa78076:where([data-variant='filled']) {\n    color: var(--alert-color);\n  }\n\n.m_7fa78076:where([data-variant='white']) {\n    color: var(--mantine-color-black);\n  }\n\n.m_87f54839 {\n  width: calc(1.25rem * var(--mantine-scale));\n  height: calc(1.25rem * var(--mantine-scale));\n  color: var(--alert-color);\n}\n\n.m_b6d8b162 {\n  -webkit-tap-highlight-color: transparent;\n  text-decoration: none;\n  font-size: var(--text-fz, var(--mantine-font-size-md));\n  line-height: var(--text-lh, var(--mantine-line-height-md));\n  font-weight: normal;\n  margin: 0;\n  padding: 0;\n  color: var(--text-color);\n}\n\n  .m_b6d8b162:where([data-truncate]) {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  }\n\n  .m_b6d8b162:where([data-truncate='start']) {\n    direction: rtl;\n    text-align: right;\n  }\n\n  :where([dir=\"rtl\"]) .m_b6d8b162:where([data-truncate='start']) {\n      direction: ltr;\n      text-align: left;\n}\n\n  .m_b6d8b162:where([data-variant='gradient']) {\n    background-image: var(--text-gradient);\n    background-clip: text;\n    -webkit-background-clip: text;\n    -webkit-text-fill-color: transparent;\n  }\n\n  .m_b6d8b162:where([data-line-clamp]) {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    display: -webkit-box;\n    -webkit-line-clamp: var(--text-line-clamp);\n    -webkit-box-orient: vertical;\n  }\n\n  .m_b6d8b162:where([data-inherit]) {\n    line-height: inherit;\n    font-weight: inherit;\n    font-size: inherit;\n  }\n\n  .m_b6d8b162:where([data-inline]) {\n    line-height: 1;\n  }\n\n.m_849cf0da {\n  color: var(--mantine-color-anchor);\n  text-decoration: none;\n  appearance: none;\n  border: none;\n  display: inline;\n  padding: 0;\n  margin: 0;\n  background-color: transparent;\n  cursor: pointer;\n}\n\n  @media (hover: hover) {\n\n  .m_849cf0da:where([data-underline='hover']):hover {\n      text-decoration: underline;\n  }\n}\n\n  @media (hover: none) {\n\n  .m_849cf0da:where([data-underline='hover']):active {\n      text-decoration: underline;\n  }\n}\n\n  .m_849cf0da:where([data-underline='always']) {\n    text-decoration: underline;\n  }\n\n.m_89ab340[data-resizing] {\n    --app-shell-transition-duration: 0ms !important;\n  }\n  .m_89ab340[data-disabled] {\n    --app-shell-header-offset: 0rem !important;\n    --app-shell-navbar-offset: 0rem !important;\n  }\n  [data-mantine-color-scheme='light'] .m_89ab340 {\n    --app-shell-border-color: var(--mantine-color-gray-3);\n}\n  [data-mantine-color-scheme='dark'] .m_89ab340 {\n    --app-shell-border-color: var(--mantine-color-dark-4);\n}\n\n.m_45252eee,\n.m_9cdde9a,\n.m_3b16f56b,\n.m_8983817,\n.m_3840c879 {\n  transition-duration: var(--app-shell-transition-duration);\n  transition-timing-function: var(--app-shell-transition-timing-function);\n}\n\n.m_45252eee,\n.m_9cdde9a {\n  position: fixed;\n  display: flex;\n  flex-direction: column;\n  top: var(--app-shell-header-offset, 0rem);\n  height: calc(\n    100dvh - var(--app-shell-header-offset, 0rem) - var(--app-shell-footer-offset, 0rem)\n  );\n  background-color: var(--mantine-color-body);\n  transition-property: transform, top, height;\n}\n\n:where([data-layout='alt']) .m_45252eee, :where([data-layout='alt']) .m_9cdde9a {\n    top: 0rem;\n    height: 100dvh;\n  }\n\n.m_45252eee {\n  inset-inline-start: 0;\n  width: var(--app-shell-navbar-width);\n  transition-property: transform, top, height;\n  transform: var(--app-shell-navbar-transform);\n  z-index: var(--app-shell-navbar-z-index);\n}\n\n:where([dir=\"rtl\"]) .m_45252eee {\n    transform: var(--app-shell-navbar-transform-rtl);\n}\n\n.m_45252eee:where([data-with-border]) {\n    border-inline-end: 1px solid var(--app-shell-border-color);\n  }\n\n.m_9cdde9a {\n  inset-inline-end: 0;\n  width: var(--app-shell-aside-width);\n  transform: var(--app-shell-aside-transform);\n  z-index: var(--app-shell-aside-z-index);\n}\n\n:where([dir=\"rtl\"]) .m_9cdde9a {\n    transform: var(--app-shell-aside-transform-rtl);\n}\n\n.m_9cdde9a:where([data-with-border]) {\n    border-inline-start: 1px solid var(--app-shell-border-color);\n  }\n\n.m_8983817 {\n  padding-inline-start: calc(var(--app-shell-navbar-offset, 0rem) + var(--app-shell-padding));\n  padding-inline-end: calc(var(--app-shell-aside-offset, 0rem) + var(--app-shell-padding));\n  padding-top: calc(var(--app-shell-header-offset, 0rem) + var(--app-shell-padding));\n  padding-bottom: calc(var(--app-shell-footer-offset, 0rem) + var(--app-shell-padding));\n  min-height: 100dvh;\n  transition-property: padding;\n}\n\n.m_3b16f56b,\n.m_3840c879 {\n  position: fixed;\n  inset-inline: 0;\n  transition-property: transform, left, right;\n  background-color: var(--mantine-color-body);\n}\n\n:where([data-layout='alt']) .m_3b16f56b, :where([data-layout='alt']) .m_3840c879 {\n    inset-inline-start: var(--app-shell-navbar-offset, 0rem);\n    inset-inline-end: var(--app-shell-aside-offset, 0rem);\n  }\n\n.m_3b16f56b {\n  top: 0;\n  height: var(--app-shell-header-height);\n  background-color: var(--mantine-color-body);\n  transform: var(--app-shell-header-transform);\n  z-index: var(--app-shell-header-z-index);\n}\n\n.m_3b16f56b:where([data-with-border]) {\n    border-bottom: 1px solid var(--app-shell-border-color);\n  }\n\n.m_3840c879 {\n  bottom: 0;\n  height: calc(var(--app-shell-footer-height) + env(safe-area-inset-bottom));\n  padding-bottom: env(safe-area-inset-bottom);\n  transform: var(--app-shell-footer-transform);\n  z-index: var(--app-shell-footer-z-index);\n}\n\n.m_3840c879:where([data-with-border]) {\n    border-top: 1px solid var(--app-shell-border-color);\n  }\n\n.m_6dcfc7c7 {\n  flex-grow: 0;\n}\n\n.m_6dcfc7c7:where([data-grow]) {\n    flex-grow: 1;\n  }\n\n.m_71ac47fc {\n  --ar-ratio: 1;\n  max-width: 100%;\n}\n\n  .m_71ac47fc > :where(*:not(style)) {\n    aspect-ratio: var(--ar-ratio);\n    width: 100%;\n  }\n\n  .m_71ac47fc > :where(img, video) {\n    object-fit: cover;\n  }\n\n.m_88b62a41 {\n  --combobox-padding: calc(0.25rem * var(--mantine-scale));\n  padding: var(--combobox-padding);\n}\n\n  .m_88b62a41[data-hidden] {\n    display: none;\n  }\n\n/* Variables must be both on dropdown and options to support usage of Combobox.Options without Combobox.Dropdown */\n.m_88b62a41,\n.m_b2821a6e {\n  --combobox-option-padding-xs: calc(0.25rem * var(--mantine-scale)) calc(0.5rem * var(--mantine-scale));\n  --combobox-option-padding-sm: calc(0.375rem * var(--mantine-scale)) calc(0.625rem * var(--mantine-scale));\n  --combobox-option-padding-md: calc(0.5rem * var(--mantine-scale)) calc(0.75rem * var(--mantine-scale));\n  --combobox-option-padding-lg: calc(0.625rem * var(--mantine-scale)) calc(1rem * var(--mantine-scale));\n  --combobox-option-padding-xl: calc(0.875rem * var(--mantine-scale)) calc(1.25rem * var(--mantine-scale));\n  --combobox-option-padding: var(--combobox-option-padding-sm);\n}\n\n.m_92253aa5 {\n  padding: var(--combobox-option-padding);\n  font-size: var(--combobox-option-fz, var(--mantine-font-size-sm));\n  border-radius: var(--mantine-radius-default);\n  background-color: transparent;\n  color: inherit;\n  cursor: pointer;\n  word-break: break-word;\n}\n\n.m_92253aa5:where([data-combobox-selected]) {\n    background-color: var(--mantine-primary-color-filled);\n    color: var(--mantine-color-white);\n  }\n\n.m_92253aa5:where([data-combobox-disabled]) {\n    cursor: not-allowed;\n    opacity: 0.35;\n  }\n\n@media (hover: hover) {\n      :where([data-mantine-color-scheme='light']) .m_92253aa5:hover:where(:not([data-combobox-selected], [data-combobox-disabled])) {\n        background-color: var(--mantine-color-gray-0);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_92253aa5:hover:where(:not([data-combobox-selected], [data-combobox-disabled])) {\n        background-color: var(--mantine-color-dark-7);\n  }\n}\n\n@media (hover: none) {\n      :where([data-mantine-color-scheme='light']) .m_92253aa5:active:where(:not([data-combobox-selected], [data-combobox-disabled])) {\n        background-color: var(--mantine-color-gray-0);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_92253aa5:active:where(:not([data-combobox-selected], [data-combobox-disabled])) {\n        background-color: var(--mantine-color-dark-7);\n  }\n}\n\n.m_985517d8 {\n  margin-inline: calc(var(--combobox-padding) * -1);\n  margin-top: calc(var(--combobox-padding) * -1);\n  width: calc(100% + var(--combobox-padding) * 2);\n  border-top-width: 0;\n  border-inline-width: 0;\n  border-end-start-radius: 0;\n  border-end-end-radius: 0;\n  margin-bottom: var(--combobox-padding);\n  position: relative;\n}\n\n:where([data-mantine-color-scheme='light']) .m_985517d8, :where([data-mantine-color-scheme='light']) .m_985517d8:focus {\n      border-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_985517d8, :where([data-mantine-color-scheme='dark']) .m_985517d8:focus {\n      border-color: var(--mantine-color-dark-4);\n}\n\n:where([data-mantine-color-scheme='light']) .m_985517d8 {\n    background-color: var(--mantine-color-white);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_985517d8 {\n    background-color: var(--mantine-color-dark-7);\n}\n\n.m_2530cd1d {\n  font-size: var(--combobox-option-fz, var(--mantine-font-size-sm));\n  text-align: center;\n  padding: var(--combobox-option-padding);\n  color: var(--mantine-color-dimmed);\n}\n\n.m_858f94bd,\n.m_82b967cb {\n  font-size: var(--combobox-option-fz, var(--mantine-font-size-sm));\n  border: 0 solid transparent;\n  margin-inline: calc(var(--combobox-padding) * -1);\n  padding: var(--combobox-option-padding);\n}\n\n:where([data-mantine-color-scheme='light']) .m_858f94bd, :where([data-mantine-color-scheme='light']) .m_82b967cb {\n    border-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_858f94bd, :where([data-mantine-color-scheme='dark']) .m_82b967cb {\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_82b967cb {\n  border-top-width: calc(0.0625rem * var(--mantine-scale));\n  margin-top: var(--combobox-padding);\n  margin-bottom: calc(var(--combobox-padding) * -1);\n}\n\n.m_858f94bd {\n  border-bottom-width: calc(0.0625rem * var(--mantine-scale));\n  margin-bottom: var(--combobox-padding);\n  margin-top: calc(var(--combobox-padding) * -1);\n}\n\n.m_254f3e4f:has(.m_2bb2e9e5:only-child) {\n    display: none;\n  }\n\n.m_2bb2e9e5 {\n  color: var(--mantine-color-dimmed);\n  font-size: calc(var(--combobox-option-fz, var(--mantine-font-size-sm)) * 0.85);\n  padding: var(--combobox-option-padding);\n  font-weight: 500;\n  position: relative;\n  display: flex;\n  align-items: center;\n}\n\n.m_2bb2e9e5::after {\n    content: '';\n    flex: 1;\n    inset-inline: 0;\n    height: calc(0.0625rem * var(--mantine-scale));\n    margin-inline-start: var(--mantine-spacing-xs);\n  }\n\n:where([data-mantine-color-scheme='light']) .m_2bb2e9e5::after {\n      background-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_2bb2e9e5::after {\n      background-color: var(--mantine-color-dark-4);\n}\n\n.m_2bb2e9e5:only-child {\n    display: none;\n  }\n\n/* ------- Combobox.Chevron ------- */\n.m_2943220b {\n  --combobox-chevron-size-xs: calc(0.875rem * var(--mantine-scale));\n  --combobox-chevron-size-sm: calc(1.125rem * var(--mantine-scale));\n  --combobox-chevron-size-md: calc(1.25rem * var(--mantine-scale));\n  --combobox-chevron-size-lg: calc(1.5rem * var(--mantine-scale));\n  --combobox-chevron-size-xl: calc(1.75rem * var(--mantine-scale));\n  --combobox-chevron-size: var(--combobox-chevron-size-sm);\n\n  width: var(--combobox-chevron-size);\n  height: var(--combobox-chevron-size);\n}\n:where([data-mantine-color-scheme='light']) .m_2943220b {\n    color: var(--mantine-color-gray-6);\n}\n:where([data-mantine-color-scheme='dark']) .m_2943220b {\n    color: var(--mantine-color-dark-3);\n}\n.m_2943220b:where([data-error]) {\n    color: var(--mantine-color-error);\n  }\n\n/* ------- OptionsDropdown ------- */\n.m_390b5f4 {\n  display: flex;\n  align-items: center;\n  gap: calc(0.5rem * var(--mantine-scale));\n}\n.m_390b5f4:where([data-reverse]) {\n    justify-content: space-between;\n  }\n\n.m_8ee53fc2 {\n  opacity: 0.4;\n  width: 0.8em;\n  min-width: 0.8em;\n  height: 0.8em;\n}\n\n:where([data-combobox-selected]) .m_8ee53fc2 {\n    opacity: 1;\n  }\n\n.m_5f75b09e {\n  --label-lh-xs: calc(1rem * var(--mantine-scale));\n  --label-lh-sm: calc(1.25rem * var(--mantine-scale));\n  --label-lh-md: calc(1.5rem * var(--mantine-scale));\n  --label-lh-lg: calc(1.875rem * var(--mantine-scale));\n  --label-lh-xl: calc(2.25rem * var(--mantine-scale));\n  --label-lh: var(--label-lh-sm);\n}\n\n  .m_5f75b09e[data-label-position='left'] {\n    --label-order: 1;\n    --label-offset-end: var(--mantine-spacing-sm);\n    --label-offset-start: 0;\n  }\n\n  .m_5f75b09e[data-label-position='right'] {\n    --label-order: 2;\n    --label-offset-end: 0;\n    --label-offset-start: var(--mantine-spacing-sm);\n  }\n\n.m_5f6e695e {\n  display: flex;\n}\n\n.m_d3ea56bb {\n  --label-cursor: var(--mantine-cursor-type);\n\n  -webkit-tap-highlight-color: transparent;\n  display: inline-flex;\n  flex-direction: column;\n  font-size: var(--label-fz, var(--mantine-font-size-sm));\n  line-height: var(--label-lh);\n  cursor: var(--label-cursor);\n  order: var(--label-order);\n}\n\nfieldset:disabled .m_d3ea56bb,\n  .m_d3ea56bb[data-disabled] {\n    --label-cursor: not-allowed;\n  }\n\n.m_8ee546b8 {\n  cursor: var(--label-cursor);\n  color: inherit;\n  padding-inline-start: var(--label-offset-start);\n  padding-inline-end: var(--label-offset-end);\n}\n\n:where([data-mantine-color-scheme='light']) fieldset:disabled .m_8ee546b8, :where([data-mantine-color-scheme='light']) .m_8ee546b8:where([data-disabled]) {\n      color: var(--mantine-color-gray-5);\n}\n\n:where([data-mantine-color-scheme='dark']) fieldset:disabled .m_8ee546b8, :where([data-mantine-color-scheme='dark']) .m_8ee546b8:where([data-disabled]) {\n      color: var(--mantine-color-dark-3);\n}\n\n.m_328f68c0 {\n  margin-top: calc(var(--mantine-spacing-xs) / 2);\n  padding-inline-start: var(--label-offset-start);\n  padding-inline-end: var(--label-offset-end);\n}\n\n.m_8e8a99cc {\n  margin-top: calc(var(--mantine-spacing-xs) / 2);\n  padding-inline-start: var(--label-offset-start);\n  padding-inline-end: var(--label-offset-end);\n}\n\n.m_bf2d988c {\n  --checkbox-size-xs: calc(1rem * var(--mantine-scale));\n  --checkbox-size-sm: calc(1.25rem * var(--mantine-scale));\n  --checkbox-size-md: calc(1.5rem * var(--mantine-scale));\n  --checkbox-size-lg: calc(1.875rem * var(--mantine-scale));\n  --checkbox-size-xl: calc(2.25rem * var(--mantine-scale));\n\n  --checkbox-size: var(--checkbox-size-sm);\n  --checkbox-color: var(--mantine-primary-color-filled);\n  --checkbox-icon-color: var(--mantine-color-white);\n}\n\n.m_26062bec {\n  position: relative;\n  width: var(--checkbox-size);\n  height: var(--checkbox-size);\n  order: 1;\n}\n\n.m_26062bec:where([data-label-position='left']) {\n    order: 2;\n  }\n\n.m_26063560 {\n  appearance: none;\n  border: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  width: var(--checkbox-size);\n  height: var(--checkbox-size);\n  border-radius: var(--checkbox-radius, var(--mantine-radius-default));\n  padding: 0;\n  display: block;\n  margin: 0;\n  transition:\n    border-color 100ms ease,\n    background-color 100ms ease;\n  cursor: var(--mantine-cursor-type);\n  -webkit-tap-highlight-color: transparent;\n}\n\n:where([data-mantine-color-scheme='light']) .m_26063560 {\n    background-color: var(--mantine-color-white);\n    border-color: var(--mantine-color-gray-4);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_26063560 {\n    background-color: var(--mantine-color-dark-6);\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_26063560:where([data-error]) {\n    border-color: var(--mantine-color-error);\n  }\n\n.m_26063560[data-indeterminate],\n  .m_26063560:checked {\n    background-color: var(--checkbox-color);\n    border-color: var(--checkbox-color);\n  }\n\n.m_26063560[data-indeterminate] + .m_bf295423, .m_26063560:checked + .m_bf295423 {\n      opacity: 1;\n      transform: none;\n    }\n\n.m_26063560:disabled {\n    cursor: not-allowed;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_26063560:disabled {\n      background-color: var(--mantine-color-gray-2);\n      border-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_26063560:disabled {\n      background-color: var(--mantine-color-dark-6);\n      border-color: var(--mantine-color-dark-6);\n}\n\n[data-mantine-color-scheme='light'] .m_26063560:disabled + .m_bf295423 {\n        color: var(--mantine-color-gray-5);\n}\n\n[data-mantine-color-scheme='dark'] .m_26063560:disabled + .m_bf295423 {\n        color: var(--mantine-color-dark-3);\n}\n\n.m_215c4542 + .m_bf295423 {\n    color: var(--checkbox-color);\n  }\n\n.m_215c4542[data-indeterminate]:not(:disabled),\n  .m_215c4542:checked:not(:disabled) {\n    background-color: transparent;\n    border-color: var(--checkbox-color);\n  }\n\n.m_215c4542[data-indeterminate]:not(:disabled) + .m_bf295423, .m_215c4542:checked:not(:disabled) + .m_bf295423 {\n      color: var(--checkbox-color);\n      opacity: 1;\n      transform: none;\n    }\n\n.m_bf295423 {\n  position: absolute;\n  inset: 0;\n  width: 60%;\n  margin: auto;\n  color: var(--checkbox-icon-color);\n  pointer-events: none;\n  transform: translateY(calc(0.3125rem * var(--mantine-scale))) scale(0.5);\n  opacity: 0;\n  transition:\n    transform 100ms ease,\n    opacity 100ms ease;\n}\n\n/* Avatar.Group root element */\n.m_11def92b {\n  --ag-spacing: var(--mantine-spacing-sm);\n  --ag-offset: calc(var(--ag-spacing) * -1);\n\n  display: flex;\n  padding-inline-start: var(--ag-spacing);\n}\n\n/* Avatar root element */\n.m_f85678b6 {\n  --avatar-size-xs: calc(1rem * var(--mantine-scale));\n  --avatar-size-sm: calc(1.625rem * var(--mantine-scale));\n  --avatar-size-md: calc(2.375rem * var(--mantine-scale));\n  --avatar-size-lg: calc(3.5rem * var(--mantine-scale));\n  --avatar-size-xl: calc(5.25rem * var(--mantine-scale));\n\n  --avatar-size: var(--avatar-size-md);\n  --avatar-radius: calc(62.5rem * var(--mantine-scale));\n  --avatar-bg: var(--mantine-color-gray-light);\n  --avatar-bd: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  --avatar-color: var(--mantine-color-gray-light-color);\n  --avatar-placeholder-fz: calc(var(--avatar-size) / 2.5);\n\n  -webkit-tap-highlight-color: transparent;\n  position: relative;\n  display: block;\n  user-select: none;\n  overflow: hidden;\n  border-radius: var(--avatar-radius);\n  text-decoration: none;\n  padding: 0;\n  width: var(--avatar-size);\n  height: var(--avatar-size);\n  min-width: var(--avatar-size);\n}\n.m_f85678b6:where([data-within-group]) {\n    margin-inline-start: var(--ag-offset);\n    border: 2px solid var(--mantine-color-body);\n    background: var(--mantine-color-body);\n  }\n\n.m_11f8ac07 {\n  object-fit: cover;\n  width: 100%;\n  height: 100%;\n  display: block;\n}\n\n.m_104cd71f {\n  font-weight: 700;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  height: 100%;\n  user-select: none;\n  border-radius: var(--avatar-radius);\n  font-size: var(--avatar-placeholder-fz);\n  background: var(--avatar-bg);\n  border: var(--avatar-bd);\n  color: var(--avatar-color);\n}\n\n.m_104cd71f > [data-avatar-placeholder-icon] {\n    width: 70%;\n    height: 70%;\n  }\n\n.m_2ce0de02 {\n  background-size: cover;\n  background-position: center;\n  display: block;\n  width: 100%;\n  border: 0;\n  text-decoration: none;\n  border-radius: var(--bi-radius, 0);\n}\n\n.m_347db0ec {\n  --badge-height-xs: calc(1rem * var(--mantine-scale));\n  --badge-height-sm: calc(1.125rem * var(--mantine-scale));\n  --badge-height-md: calc(1.25rem * var(--mantine-scale));\n  --badge-height-lg: calc(1.625rem * var(--mantine-scale));\n  --badge-height-xl: calc(2rem * var(--mantine-scale));\n\n  --badge-fz-xs: calc(0.5625rem * var(--mantine-scale));\n  --badge-fz-sm: calc(0.625rem * var(--mantine-scale));\n  --badge-fz-md: calc(0.6875rem * var(--mantine-scale));\n  --badge-fz-lg: calc(0.8125rem * var(--mantine-scale));\n  --badge-fz-xl: calc(1rem * var(--mantine-scale));\n\n  --badge-padding-x-xs: calc(0.375rem * var(--mantine-scale));\n  --badge-padding-x-sm: calc(0.5rem * var(--mantine-scale));\n  --badge-padding-x-md: calc(0.625rem * var(--mantine-scale));\n  --badge-padding-x-lg: calc(0.75rem * var(--mantine-scale));\n  --badge-padding-x-xl: calc(1rem * var(--mantine-scale));\n\n  --badge-height: var(--badge-height-md);\n  --badge-fz: var(--badge-fz-md);\n  --badge-padding-x: var(--badge-padding-x-md);\n  --badge-radius: calc(62.5rem * var(--mantine-scale));\n  --badge-lh: calc(var(--badge-height) - calc(0.125rem * var(--mantine-scale)));\n  --badge-color: var(--mantine-color-white);\n  --badge-bg: var(--mantine-primary-color-filled);\n  --badge-bd: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n\n  -webkit-tap-highlight-color: transparent;\n  font-size: var(--badge-fz);\n  border-radius: var(--badge-radius);\n  height: var(--badge-height);\n  line-height: var(--badge-lh);\n  text-decoration: none;\n  padding: 0 var(--badge-padding-x);\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  width: fit-content;\n  text-transform: uppercase;\n  font-weight: 700;\n  letter-spacing: calc(0.015625rem * var(--mantine-scale));\n  cursor: inherit;\n  text-overflow: ellipsis;\n  overflow: hidden;\n  color: var(--badge-color);\n  background: var(--badge-bg);\n  border: var(--badge-bd);\n}\n\n  .m_347db0ec:where([data-block]) {\n    display: flex;\n    width: 100%;\n  }\n\n  .m_347db0ec:where([data-circle]) {\n    padding-inline: calc(0.125rem * var(--mantine-scale));\n    width: var(--badge-height);\n  }\n\n.m_fbd81e3d {\n  --badge-dot-size: calc(var(--badge-height) / 3.4);\n}\n\n:where([data-mantine-color-scheme='light']) .m_fbd81e3d {\n    background-color: var(--mantine-color-white);\n    border-color: var(--mantine-color-gray-4);\n    color: var(--mantine-color-black);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_fbd81e3d {\n    background-color: var(--mantine-color-dark-5);\n    border-color: var(--mantine-color-dark-5);\n    color: var(--mantine-color-white);\n}\n\n.m_fbd81e3d::before {\n    content: '';\n    display: block;\n    width: var(--badge-dot-size);\n    height: var(--badge-dot-size);\n    border-radius: var(--badge-dot-size);\n    background-color: var(--badge-dot-color);\n    margin-inline-end: var(--badge-dot-size);\n  }\n\n.m_5add502a {\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n.m_91fdda9b {\n  --badge-section-margin: calc(var(--mantine-spacing-xs) / 2);\n\n  display: inline-flex;\n  justify-content: center;\n  align-items: center;\n}\n\n.m_91fdda9b:where([data-position='left']) {\n    margin-inline-end: var(--badge-section-margin);\n  }\n\n.m_91fdda9b:where([data-position='right']) {\n    margin-inline-start: var(--badge-section-margin);\n  }\n\n.m_ddec01c0 {\n  --blockquote-border: 3px solid var(--bq-bd);\n\n  position: relative;\n  margin: 0;\n  border-inline-start: var(--blockquote-border);\n  border-start-end-radius: var(--bq-radius);\n  border-end-end-radius: var(--bq-radius);\n  padding: var(--mantine-spacing-xl) calc(2.375rem * var(--mantine-scale));\n}\n\n  :where([data-mantine-color-scheme='light']) .m_ddec01c0 {\n    background-color: var(--bq-bg-light);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_ddec01c0 {\n    background-color: var(--bq-bg-dark);\n}\n\n.m_dde7bd57 {\n  --blockquote-icon-offset: calc(var(--bq-icon-size) / -2);\n\n  position: absolute;\n  color: var(--bq-bd);\n  background-color: var(--mantine-color-body);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  top: var(--blockquote-icon-offset);\n  inset-inline-start: var(--blockquote-icon-offset);\n  width: var(--bq-icon-size);\n  height: var(--bq-icon-size);\n  border-radius: var(--bq-icon-size);\n}\n\n.m_dde51a35 {\n  display: block;\n  margin-top: var(--mantine-spacing-md);\n  opacity: 0.6;\n  font-size: 85%;\n}\n\n.m_8b3717df {\n  display: flex;\n  align-items: center;\n}\n\n.m_f678d540 {\n  line-height: 1;\n  white-space: nowrap;\n  -webkit-tap-highlight-color: transparent;\n}\n\n.m_3b8f2208 {\n  margin-inline: var(--bc-separator-margin, var(--mantine-spacing-xs));\n  line-height: 1;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n\n:where([data-mantine-color-scheme='light']) .m_3b8f2208 {\n    color: var(--mantine-color-gray-7);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_3b8f2208 {\n    color: var(--mantine-color-dark-2);\n}\n\n.m_fea6bf1a {\n  --burger-size-xs: calc(0.75rem * var(--mantine-scale));\n  --burger-size-sm: calc(1.125rem * var(--mantine-scale));\n  --burger-size-md: calc(1.5rem * var(--mantine-scale));\n  --burger-size-lg: calc(2.125rem * var(--mantine-scale));\n  --burger-size-xl: calc(2.625rem * var(--mantine-scale));\n\n  --burger-size: var(--burger-size-md);\n\n  width: calc(var(--burger-size) + var(--mantine-spacing-xs));\n  height: calc(var(--burger-size) + var(--mantine-spacing-xs));\n  padding: calc(var(--mantine-spacing-xs) / 2);\n  cursor: pointer;\n}\n\n  :where([data-mantine-color-scheme='light']) .m_fea6bf1a {\n    --burger-color: var(--mantine-color-black);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_fea6bf1a {\n    --burger-color: var(--mantine-color-white);\n}\n\n.m_d4fb9cad {\n  position: relative;\n  user-select: none;\n}\n\n.m_d4fb9cad,\n  .m_d4fb9cad::before,\n  .m_d4fb9cad::after {\n    display: block;\n    width: var(--burger-size);\n    height: calc(var(--burger-size) / 12);\n    background-color: var(--burger-color);\n    outline: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n    transition-property: background-color, transform;\n    transition-duration: var(--burger-transition-duration, 300ms);\n    transition-timing-function: var(--burger-transition-timing-function, ease);\n  }\n\n.m_d4fb9cad::before,\n  .m_d4fb9cad::after {\n    position: absolute;\n    content: '';\n    inset-inline-start: 0;\n  }\n\n.m_d4fb9cad::before {\n    top: calc(var(--burger-size) / -3);\n  }\n\n.m_d4fb9cad::after {\n    top: calc(var(--burger-size) / 3);\n  }\n\n.m_d4fb9cad[data-opened] {\n    background-color: transparent;\n  }\n\n.m_d4fb9cad[data-opened]::before {\n      transform: translateY(calc(var(--burger-size) / 3)) rotate(45deg);\n    }\n\n.m_d4fb9cad[data-opened]::after {\n      transform: translateY(calc(var(--burger-size) / -3)) rotate(-45deg);\n    }\n\n.m_77c9d27d {\n  --button-height-xs: calc(1.875rem * var(--mantine-scale));\n  --button-height-sm: calc(2.25rem * var(--mantine-scale));\n  --button-height-md: calc(2.625rem * var(--mantine-scale));\n  --button-height-lg: calc(3.125rem * var(--mantine-scale));\n  --button-height-xl: calc(3.75rem * var(--mantine-scale));\n\n  --button-height-compact-xs: calc(1.375rem * var(--mantine-scale));\n  --button-height-compact-sm: calc(1.625rem * var(--mantine-scale));\n  --button-height-compact-md: calc(1.875rem * var(--mantine-scale));\n  --button-height-compact-lg: calc(2.125rem * var(--mantine-scale));\n  --button-height-compact-xl: calc(2.5rem * var(--mantine-scale));\n\n  --button-padding-x-xs: calc(0.875rem * var(--mantine-scale));\n  --button-padding-x-sm: calc(1.125rem * var(--mantine-scale));\n  --button-padding-x-md: calc(1.375rem * var(--mantine-scale));\n  --button-padding-x-lg: calc(1.625rem * var(--mantine-scale));\n  --button-padding-x-xl: calc(2rem * var(--mantine-scale));\n\n  --button-padding-x-compact-xs: calc(0.4375rem * var(--mantine-scale));\n  --button-padding-x-compact-sm: calc(0.5rem * var(--mantine-scale));\n  --button-padding-x-compact-md: calc(0.625rem * var(--mantine-scale));\n  --button-padding-x-compact-lg: calc(0.75rem * var(--mantine-scale));\n  --button-padding-x-compact-xl: calc(0.875rem * var(--mantine-scale));\n\n  --button-height: var(--button-height-sm);\n  --button-padding-x: var(--button-padding-x-sm);\n  --button-color: var(--mantine-color-white);\n\n  user-select: none;\n  font-weight: 600;\n  position: relative;\n  line-height: 1;\n  text-align: center;\n  overflow: hidden;\n\n  width: auto;\n  cursor: pointer;\n  display: inline-block;\n  border-radius: var(--button-radius, var(--mantine-radius-default));\n  font-size: var(--button-fz, var(--mantine-font-size-sm));\n  background: var(--button-bg, var(--mantine-primary-color-filled));\n  border: var(--button-bd, calc(0.0625rem * var(--mantine-scale)) solid transparent);\n  color: var(--button-color, var(--mantine-color-white));\n  height: var(--button-height, var(--button-height-sm));\n  padding-inline: var(--button-padding-x, var(--button-padding-x-sm));\n  vertical-align: middle;\n}\n\n  .m_77c9d27d:where([data-block]) {\n    display: block;\n    width: 100%;\n  }\n\n  .m_77c9d27d:where([data-with-left-section]) {\n    padding-inline-start: calc(var(--button-padding-x) / 1.5);\n  }\n\n  .m_77c9d27d:where([data-with-right-section]) {\n    padding-inline-end: calc(var(--button-padding-x) / 1.5);\n  }\n\n  .m_77c9d27d:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])) {\n    cursor: not-allowed;\n    border: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n    transform: none;\n  }\n\n  :where([data-mantine-color-scheme='light']) .m_77c9d27d:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])) {\n      color: var(--mantine-color-gray-5);\n      background: var(--mantine-color-gray-1);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_77c9d27d:where(:disabled:not([data-loading]), [data-disabled]:not([data-loading])) {\n      color: var(--mantine-color-dark-3);\n      background: var(--mantine-color-dark-6);\n}\n\n  .m_77c9d27d::before {\n    content: '';\n    pointer-events: none;\n    position: absolute;\n    inset: calc(-0.0625rem * var(--mantine-scale));\n    border-radius: var(--button-radius, var(--mantine-radius-default));\n    transform: translateY(-100%);\n    opacity: 0;\n    filter: blur(12px);\n    transition:\n      transform 150ms ease,\n      opacity 100ms ease;\n  }\n\n  :where([data-mantine-color-scheme='light']) .m_77c9d27d::before {\n      background-color: rgba(255, 255, 255, 0.15);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_77c9d27d::before {\n      background-color: rgba(0, 0, 0, 0.15);\n}\n\n  .m_77c9d27d:where([data-loading]) {\n    cursor: not-allowed;\n    transform: none;\n  }\n\n  .m_77c9d27d:where([data-loading])::before {\n      transform: translateY(0);\n      opacity: 1;\n    }\n\n  .m_77c9d27d:where([data-loading]) .m_80f1301b {\n      opacity: 0;\n      transform: translateY(100%);\n    }\n\n  @media (hover: hover) {\n    .m_77c9d27d:hover:where(:not([data-loading], :disabled, [data-disabled])) {\n      background-color: var(--button-hover, var(--mantine-primary-color-filled-hover));\n      color: var(--button-hover-color, var(--button-color));\n    }\n}\n\n  @media (hover: none) {\n    .m_77c9d27d:active:where(:not([data-loading], :disabled, [data-disabled])) {\n      background-color: var(--button-hover, var(--mantine-primary-color-filled-hover));\n      color: var(--button-hover-color, var(--button-color));\n    }\n}\n\n.m_80f1301b {\n  display: flex;\n  align-items: center;\n  justify-content: var(--button-justify, center);\n  height: 100%;\n  overflow: visible;\n  transition:\n    transform 150ms ease,\n    opacity 100ms ease;\n}\n\n.m_811560b9 {\n  white-space: nowrap;\n  height: 100%;\n  overflow: hidden;\n  display: flex;\n  align-items: center;\n  opacity: 1;\n}\n\n.m_811560b9:where([data-loading]) {\n    opacity: 0.2;\n  }\n\n.m_a74036a {\n  display: flex;\n  align-items: center;\n}\n\n.m_a74036a:where([data-position='left']) {\n    margin-inline-end: var(--mantine-spacing-xs);\n  }\n\n.m_a74036a:where([data-position='right']) {\n    margin-inline-start: var(--mantine-spacing-xs);\n  }\n\n.m_a25b86ee {\n  position: absolute;\n  left: 50%;\n  top: 50%;\n}\n\n.m_80d6d844 {\n  --button-border-width: calc(0.0625rem * var(--mantine-scale));\n  display: flex;\n}\n\n.m_80d6d844 :where(*):focus {\n      position: relative;\n      z-index: 1;\n    }\n\n.m_80d6d844[data-orientation='horizontal'] {\n    flex-direction: row;\n  }\n\n.m_80d6d844[data-orientation='horizontal'] .m_77c9d27d:not(:only-child):first-child {\n        border-end-end-radius: 0;\n        border-start-end-radius: 0;\n        border-inline-end-width: calc(var(--button-border-width) / 2);\n      }\n\n.m_80d6d844[data-orientation='horizontal'] .m_77c9d27d:not(:only-child):last-child {\n        border-end-start-radius: 0;\n        border-start-start-radius: 0;\n        border-inline-start-width: calc(var(--button-border-width) / 2);\n      }\n\n.m_80d6d844[data-orientation='horizontal'] .m_77c9d27d:not(:only-child):not(:first-child):not(:last-child) {\n        border-radius: 0;\n        border-inline-width: calc(var(--button-border-width) / 2);\n      }\n\n.m_80d6d844[data-orientation='vertical'] {\n    flex-direction: column;\n  }\n\n.m_80d6d844[data-orientation='vertical'] .m_77c9d27d:not(:only-child):first-child {\n        border-end-start-radius: 0;\n        border-end-end-radius: 0;\n        border-bottom-width: calc(var(--button-border-width) / 2);\n      }\n\n.m_80d6d844[data-orientation='vertical'] .m_77c9d27d:not(:only-child):last-child {\n        border-start-start-radius: 0;\n        border-start-end-radius: 0;\n        border-top-width: calc(var(--button-border-width) / 2);\n      }\n\n.m_80d6d844[data-orientation='vertical'] .m_77c9d27d:not(:only-child):not(:first-child):not(:last-child) {\n        border-radius: 0;\n        border-bottom-width: calc(var(--button-border-width) / 2);\n        border-top-width: calc(var(--button-border-width) / 2);\n      }\n\n.m_e615b15f {\n  --card-padding: var(--mantine-spacing-md);\n\n  position: relative;\n  overflow: hidden;\n  display: flex;\n  flex-direction: column;\n  padding: var(--card-padding);\n  color: var(--mantine-color-text);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_e615b15f {\n    background-color: var(--mantine-color-white);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_e615b15f {\n    background-color: var(--mantine-color-dark-6);\n}\n\n.m_599a2148 {\n  display: block;\n  margin-inline: calc(var(--card-padding) * -1);\n}\n\n.m_599a2148:where(:first-child) {\n    margin-top: calc(var(--card-padding) * -1);\n    border-top: none !important;\n  }\n\n.m_599a2148:where(:last-child) {\n    margin-bottom: calc(var(--card-padding) * -1);\n    border-bottom: none !important;\n  }\n\n.m_599a2148:where([data-inherit-padding]) {\n    padding-inline: var(--card-padding);\n  }\n\n.m_599a2148:where([data-with-border]) {\n    border-top: calc(0.0625rem * var(--mantine-scale)) solid;\n    border-bottom: calc(0.0625rem * var(--mantine-scale)) solid;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_599a2148 {\n    border-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_599a2148 {\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_599a2148 + .m_599a2148 {\n    border-top: none !important;\n  }\n\n.m_4451eb3a {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n\n  .m_4451eb3a:where([data-inline]) {\n    display: inline-flex;\n  }\n\n.m_f59ffda3 {\n  --chip-size-xs: calc(1.4375rem * var(--mantine-scale));\n  --chip-size-sm: calc(1.75rem * var(--mantine-scale));\n  --chip-size-md: calc(2rem * var(--mantine-scale));\n  --chip-size-lg: calc(2.25rem * var(--mantine-scale));\n  --chip-size-xl: calc(2.5rem * var(--mantine-scale));\n\n  --chip-icon-size-xs: calc(0.625rem * var(--mantine-scale));\n  --chip-icon-size-sm: calc(0.75rem * var(--mantine-scale));\n  --chip-icon-size-md: calc(0.875rem * var(--mantine-scale));\n  --chip-icon-size-lg: calc(1rem * var(--mantine-scale));\n  --chip-icon-size-xl: calc(1.125rem * var(--mantine-scale));\n\n  --chip-padding-xs: calc(1rem * var(--mantine-scale));\n  --chip-padding-sm: calc(1.25rem * var(--mantine-scale));\n  --chip-padding-md: calc(1.5rem * var(--mantine-scale));\n  --chip-padding-lg: calc(1.75rem * var(--mantine-scale));\n  --chip-padding-xl: calc(2rem * var(--mantine-scale));\n\n  --chip-checked-padding-xs: calc(0.46875rem * var(--mantine-scale));\n  --chip-checked-padding-sm: calc(0.625rem * var(--mantine-scale));\n  --chip-checked-padding-md: calc(0.73125rem * var(--mantine-scale));\n  --chip-checked-padding-lg: calc(0.84375rem * var(--mantine-scale));\n  --chip-checked-padding-xl: calc(0.78125rem * var(--mantine-scale));\n\n  --chip-spacing-xs: calc(0.625rem * var(--mantine-scale));\n  --chip-spacing-sm: calc(0.75rem * var(--mantine-scale));\n  --chip-spacing-md: calc(1rem * var(--mantine-scale));\n  --chip-spacing-lg: calc(1.25rem * var(--mantine-scale));\n  --chip-spacing-xl: calc(1.375rem * var(--mantine-scale));\n\n  --chip-size: var(--chip-size-sm);\n  --chip-icon-size: var(--chip-icon-size-sm);\n  --chip-padding: var(--chip-padding-sm);\n  --chip-spacing: var(--chip-spacing-sm);\n  --chip-checked-padding: var(--chip-checked-padding-sm);\n  --chip-bg: var(--mantine-primary-color-filled);\n  --chip-hover: var(--mantine-primary-color-filled-hover);\n  --chip-color: var(--mantine-color-white);\n  --chip-bd: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n}\n\n.m_be049a53 {\n  display: inline-flex;\n  align-items: center;\n  user-select: none;\n  border-radius: var(--chip-radius, 1000rem);\n  height: var(--chip-size);\n  font-size: var(--chip-fz, var(--mantine-font-size-sm));\n  line-height: calc(var(--chip-size) - calc(0.125rem * var(--mantine-scale)));\n  padding-inline: var(--chip-padding);\n  cursor: pointer;\n  white-space: nowrap;\n  -webkit-tap-highlight-color: transparent;\n  border: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  color: var(--mantine-color-text);\n}\n\n.m_be049a53:where([data-checked]) {\n    padding: var(--chip-checked-padding);\n  }\n\n.m_be049a53:where([data-disabled]) {\n    cursor: not-allowed;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_be049a53:where([data-disabled]) {\n      background-color: var(--mantine-color-gray-2);\n      color: var(--mantine-color-gray-5);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_be049a53:where([data-disabled]) {\n      background-color: var(--mantine-color-dark-6);\n      color: var(--mantine-color-dark-3);\n}\n\n:where([data-mantine-color-scheme='light']) .m_3904c1af:not([data-disabled]) {\n    background-color: var(--mantine-color-white);\n    border: 1px solid var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_3904c1af:not([data-disabled]) {\n    background-color: var(--mantine-color-dark-6);\n    border: 1px solid var(--mantine-color-dark-4);\n}\n\n@media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_3904c1af:not([data-disabled]):hover {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_3904c1af:not([data-disabled]):hover {\n      background-color: var(--mantine-color-dark-5);\n  }\n}\n\n@media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_3904c1af:not([data-disabled]):active {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_3904c1af:not([data-disabled]):active {\n      background-color: var(--mantine-color-dark-5);\n  }\n}\n\n.m_3904c1af:not([data-disabled]):where([data-checked]) {\n    --chip-icon-color: var(--chip-color);\n    border: var(--chip-bd);\n  }\n\n@media (hover: hover) {\n\n  .m_3904c1af:not([data-disabled]):where([data-checked]):hover {\n      background-color: var(--chip-hover);\n  }\n}\n\n@media (hover: none) {\n\n  .m_3904c1af:not([data-disabled]):where([data-checked]):active {\n      background-color: var(--chip-hover);\n  }\n}\n\n.m_fa109255:not([data-disabled]),\n.m_f7e165c3:not([data-disabled]) {\n  border: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  color: var(--mantine-color-text);\n}\n\n:where([data-mantine-color-scheme='light']) .m_fa109255:not([data-disabled]), :where([data-mantine-color-scheme='light']) .m_f7e165c3:not([data-disabled]) {\n    background-color: var(--mantine-color-gray-1);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_fa109255:not([data-disabled]), :where([data-mantine-color-scheme='dark']) .m_f7e165c3:not([data-disabled]) {\n    background-color: var(--mantine-color-dark-5);\n}\n\n@media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_fa109255:not([data-disabled]):hover, :where([data-mantine-color-scheme='light']) .m_f7e165c3:not([data-disabled]):hover {\n      background-color: var(--mantine-color-gray-2);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_fa109255:not([data-disabled]):hover, :where([data-mantine-color-scheme='dark']) .m_f7e165c3:not([data-disabled]):hover {\n      background-color: var(--mantine-color-dark-4);\n  }\n}\n\n@media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_fa109255:not([data-disabled]):active, :where([data-mantine-color-scheme='light']) .m_f7e165c3:not([data-disabled]):active {\n      background-color: var(--mantine-color-gray-2);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_fa109255:not([data-disabled]):active, :where([data-mantine-color-scheme='dark']) .m_f7e165c3:not([data-disabled]):active {\n      background-color: var(--mantine-color-dark-4);\n  }\n}\n\n.m_fa109255:not([data-disabled]):where([data-checked]), .m_f7e165c3:not([data-disabled]):where([data-checked]) {\n    --chip-icon-color: var(--chip-color);\n    color: var(--chip-color);\n    background-color: var(--chip-bg);\n  }\n\n@media (hover: hover) {\n\n  .m_fa109255:not([data-disabled]):where([data-checked]):hover, .m_f7e165c3:not([data-disabled]):where([data-checked]):hover {\n      background-color: var(--chip-hover);\n  }\n}\n\n@media (hover: none) {\n\n  .m_fa109255:not([data-disabled]):where([data-checked]):active, .m_f7e165c3:not([data-disabled]):where([data-checked]):active {\n      background-color: var(--chip-hover);\n  }\n}\n\n.m_9ac86df9 {\n  width: calc(var(--chip-icon-size) + (var(--chip-spacing) / 1.5));\n  max-width: calc(var(--chip-icon-size) + (var(--chip-spacing) / 1.5));\n  height: var(--chip-icon-size);\n  display: flex;\n  align-items: center;\n  overflow: hidden;\n}\n\n.m_d6d72580 {\n  width: var(--chip-icon-size);\n  height: var(--chip-icon-size);\n  display: block;\n  color: var(--chip-icon-color, inherit);\n}\n\n.m_bde07329 {\n  width: 0;\n  height: 0;\n  padding: 0;\n  opacity: 0;\n  margin: 0;\n}\n\n.m_bde07329:focus-visible + .m_be049a53 {\n    outline: 2px solid var(--mantine-primary-color-filled);\n    outline-offset: calc(0.125rem * var(--mantine-scale));\n  }\n\n.m_b183c0a2 {\n  font-family: var(--mantine-font-family-monospace);\n  line-height: var(--mantine-line-height);\n  padding: 2px calc(var(--mantine-spacing-xs) / 2);\n  border-radius: var(--mantine-radius-sm);\n  font-size: var(--mantine-font-size-xs);\n  margin: 0;\n  overflow: auto;\n}\n\n  :where([data-mantine-color-scheme='light']) .m_b183c0a2 {\n    background-color: var(--code-bg, var(--mantine-color-gray-1));\n    color: var(--mantine-color-black);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_b183c0a2 {\n    background-color: var(--code-bg, var(--mantine-color-dark-5));\n    color: var(--mantine-color-white);\n}\n\n  .m_b183c0a2[data-block] {\n    padding: var(--mantine-spacing-xs);\n  }\n\n.m_de3d2490 {\n  --cs-size: calc(1.75rem * var(--mantine-scale));\n  --cs-radius: calc(62.5rem * var(--mantine-scale));\n\n  -webkit-tap-highlight-color: transparent;\n  border: none;\n  appearance: none;\n  display: block;\n  line-height: 1;\n  position: relative;\n  width: var(--cs-size);\n  height: var(--cs-size);\n  min-width: var(--cs-size);\n  min-height: var(--cs-size);\n  border-radius: var(--cs-radius);\n  color: inherit;\n  text-decoration: none;\n}\n\n  [data-mantine-color-scheme='light'] .m_de3d2490 {\n    --alpha-overlay-color: var(--mantine-color-gray-3);\n    --alpha-overlay-bg: var(--mantine-color-white);\n}\n\n  [data-mantine-color-scheme='dark'] .m_de3d2490 {\n    --alpha-overlay-color: var(--mantine-color-dark-4);\n    --alpha-overlay-bg: var(--mantine-color-dark-7);\n}\n\n.m_862f3d1b {\n  position: absolute;\n  inset: 0;\n  border-radius: var(--cs-radius);\n}\n\n.m_98ae7f22 {\n  position: absolute;\n  inset: 0;\n  border-radius: var(--cs-radius);\n  z-index: 1;\n  box-shadow:\n    rgba(0, 0, 0, 0.1) 0 0 0 calc(0.0625rem * var(--mantine-scale)) inset,\n    rgb(0, 0, 0, 0.15) 0 0 calc(0.25rem * var(--mantine-scale)) inset;\n}\n\n.m_95709ac0 {\n  position: absolute;\n  inset: 0;\n  border-radius: var(--cs-radius);\n  background-size: calc(0.5rem * var(--mantine-scale)) calc(0.5rem * var(--mantine-scale));\n  background-position:\n    0 0,\n    0 calc(0.25rem * var(--mantine-scale)),\n    calc(0.25rem * var(--mantine-scale)) calc(-0.25rem * var(--mantine-scale)),\n    calc(-0.25rem * var(--mantine-scale)) 0;\n  background-image: linear-gradient(45deg, var(--alpha-overlay-color) 25%, transparent 25%),\n    linear-gradient(-45deg, var(--alpha-overlay-color) 25%, transparent 25%),\n    linear-gradient(45deg, transparent 75%, var(--alpha-overlay-color) 75%),\n    linear-gradient(-45deg, var(--alpha-overlay-bg) 75%, var(--alpha-overlay-color) 75%);\n}\n\n.m_93e74e3 {\n  position: absolute;\n  inset: 0;\n  border-radius: var(--cs-radius);\n  z-index: 2;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n\n.m_fee9c77 {\n  --cp-width-xs: calc(11.25rem * var(--mantine-scale));\n  --cp-width-sm: calc(12.5rem * var(--mantine-scale));\n  --cp-width-md: calc(15rem * var(--mantine-scale));\n  --cp-width-lg: calc(17.5rem * var(--mantine-scale));\n  --cp-width-xl: calc(20rem * var(--mantine-scale));\n\n  --cp-preview-size-xs: calc(1.625rem * var(--mantine-scale));\n  --cp-preview-size-sm: calc(2.125rem * var(--mantine-scale));\n  --cp-preview-size-md: calc(2.625rem * var(--mantine-scale));\n  --cp-preview-size-lg: calc(3.125rem * var(--mantine-scale));\n  --cp-preview-size-xl: calc(3.375rem * var(--mantine-scale));\n\n  --cp-thumb-size-xs: calc(0.5rem * var(--mantine-scale));\n  --cp-thumb-size-sm: calc(0.75rem * var(--mantine-scale));\n  --cp-thumb-size-md: calc(1rem * var(--mantine-scale));\n  --cp-thumb-size-lg: calc(1.25rem * var(--mantine-scale));\n  --cp-thumb-size-xl: calc(1.375rem * var(--mantine-scale));\n\n  --cp-saturation-height-xs: calc(6.25rem * var(--mantine-scale));\n  --cp-saturation-height-sm: calc(6.875rem * var(--mantine-scale));\n  --cp-saturation-height-md: calc(7.5rem * var(--mantine-scale));\n  --cp-saturation-height-lg: calc(8.75rem * var(--mantine-scale));\n  --cp-saturation-height-xl: calc(10rem * var(--mantine-scale));\n\n  --cp-preview-size: var(--cp-preview-size-sm);\n  --cp-thumb-size: var(--cp-thumb-size-sm);\n  --cp-saturation-height: var(--cp-saturation-height-sm);\n  --cp-width: var(--cp-width-sm);\n  --cp-body-spacing: var(--mantine-spacing-sm);\n\n  width: var(--cp-width);\n  padding: calc(0.0625rem * var(--mantine-scale));\n}\n\n  .m_fee9c77:where([data-full-width]) {\n    width: 100%;\n  }\n\n.m_9dddfbac {\n  width: var(--cp-preview-size);\n  height: var(--cp-preview-size);\n}\n\n.m_bffecc3e {\n  display: flex;\n  padding-top: calc(var(--cp-body-spacing) / 2);\n}\n\n.m_3283bb96 {\n  flex: 1;\n}\n\n.m_3283bb96:not(:only-child) {\n    margin-inline-end: var(--mantine-spacing-xs);\n  }\n\n.m_40d572ba {\n  overflow: hidden;\n  position: absolute;\n  box-shadow: 0 0 1px rgba(0, 0, 0, 0.6);\n  border: 2px solid var(--mantine-color-white);\n  width: var(--cp-thumb-size);\n  height: var(--cp-thumb-size);\n  border-radius: var(--cp-thumb-size);\n  left: calc(var(--thumb-x-offset) - var(--cp-thumb-size) / 2);\n  top: calc(var(--thumb-y-offset) - var(--cp-thumb-size) / 2);\n}\n\n.m_d8ee6fd8 {\n  height: unset !important;\n  width: unset !important;\n  min-width: 0 !important;\n  min-height: 0 !important;\n  margin: calc(0.125rem * var(--mantine-scale));\n  cursor: pointer;\n  padding-bottom: calc(var(--cp-swatch-size) - calc(0.25rem * var(--mantine-scale)));\n  flex: 0 0 calc(var(--cp-swatch-size) - calc(0.25rem * var(--mantine-scale)));\n}\n\n.m_5711e686 {\n  margin-top: calc(0.3125rem * var(--mantine-scale));\n  margin-inline: calc(-0.125rem * var(--mantine-scale));\n  display: flex;\n  flex-wrap: wrap;\n}\n\n.m_202a296e {\n  --cp-thumb-size-xs: calc(0.5rem * var(--mantine-scale));\n  --cp-thumb-size-sm: calc(0.75rem * var(--mantine-scale));\n  --cp-thumb-size-md: calc(1rem * var(--mantine-scale));\n  --cp-thumb-size-lg: calc(1.25rem * var(--mantine-scale));\n  --cp-thumb-size-xl: calc(1.375rem * var(--mantine-scale));\n\n  -webkit-tap-highlight-color: transparent;\n  position: relative;\n  height: var(--cp-saturation-height);\n  border-radius: var(--mantine-radius-sm);\n  margin: calc(var(--cp-thumb-size) / 2);\n}\n\n.m_202a296e:where([data-focus-ring='auto']):focus:focus-visible .m_40d572ba {\n        outline: 2px solid var(--mantine-color-blue-filled);\n      }\n\n.m_202a296e:where([data-focus-ring='always']):focus .m_40d572ba {\n        outline: 2px solid var(--mantine-color-blue-filled);\n      }\n\n.m_11b3db02 {\n  position: absolute;\n  border-radius: var(--mantine-radius-sm);\n  inset: calc(var(--cp-thumb-size) * -1 / 2 - calc(0.0625rem * var(--mantine-scale)));\n}\n\n.m_d856d47d {\n  --cp-thumb-size-xs: calc(0.5rem * var(--mantine-scale));\n  --cp-thumb-size-sm: calc(0.75rem * var(--mantine-scale));\n  --cp-thumb-size-md: calc(1rem * var(--mantine-scale));\n  --cp-thumb-size-lg: calc(1.25rem * var(--mantine-scale));\n  --cp-thumb-size-xl: calc(1.375rem * var(--mantine-scale));\n  --cp-thumb-size: var(--cp-thumb-size, calc(0.75rem * var(--mantine-scale)));\n\n  position: relative;\n  height: calc(var(--cp-thumb-size) + calc(0.125rem * var(--mantine-scale)));\n  margin-inline: calc(var(--cp-thumb-size) / 2);\n  outline: none;\n}\n\n.m_d856d47d + .m_d856d47d {\n    margin-top: calc(0.375rem * var(--mantine-scale));\n  }\n\n.m_d856d47d:where([data-focus-ring='auto']):focus:focus-visible .m_40d572ba {\n        outline: 2px solid var(--mantine-color-blue-filled);\n      }\n\n.m_d856d47d:where([data-focus-ring='always']):focus .m_40d572ba {\n        outline: 2px solid var(--mantine-color-blue-filled);\n      }\n\n:where([data-mantine-color-scheme='light']) .m_d856d47d {\n    --slider-checkers: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_d856d47d {\n    --slider-checkers: var(--mantine-color-dark-4);\n}\n\n.m_8f327113 {\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  inset-inline: calc(var(--cp-thumb-size) * -1 / 2 - calc(0.0625rem * var(--mantine-scale)));\n  border-radius: 10000rem;\n}\n\n.m_b077c2bc {\n  --ci-eye-dropper-icon-size-xs: calc(0.875rem * var(--mantine-scale));\n  --ci-eye-dropper-icon-size-sm: calc(1rem * var(--mantine-scale));\n  --ci-eye-dropper-icon-size-md: calc(1.125rem * var(--mantine-scale));\n  --ci-eye-dropper-icon-size-lg: calc(1.25rem * var(--mantine-scale));\n  --ci-eye-dropper-icon-size-xl: calc(1.375rem * var(--mantine-scale));\n  --ci-eye-dropper-icon-size: var(--ci-eye-dropper-icon-size-sm);\n}\n\n.m_c5ccdcab {\n  --ci-preview-size-xs: calc(1rem * var(--mantine-scale));\n  --ci-preview-size-sm: calc(1.125rem * var(--mantine-scale));\n  --ci-preview-size-md: calc(1.375rem * var(--mantine-scale));\n  --ci-preview-size-lg: calc(1.75rem * var(--mantine-scale));\n  --ci-preview-size-xl: calc(2.25rem * var(--mantine-scale));\n  --ci-preview-size: var(--ci-preview-size-sm);\n}\n\n.m_5ece2cd7 {\n  padding: calc(0.5rem * var(--mantine-scale));\n}\n\n.m_7485cace {\n  --container-size-xs: calc(33.75rem * var(--mantine-scale));\n  --container-size-sm: calc(45rem * var(--mantine-scale));\n  --container-size-md: calc(60rem * var(--mantine-scale));\n  --container-size-lg: calc(71.25rem * var(--mantine-scale));\n  --container-size-xl: calc(82.5rem * var(--mantine-scale));\n  --container-size: var(--container-size-md);\n\n  max-width: var(--container-size);\n  padding-inline: var(--mantine-spacing-md);\n  margin-inline: auto;\n}\n\n  .m_7485cace:where([data-fluid]) {\n    max-width: 100%;\n  }\n\n.m_e2125a27 {\n  --dialog-size-xs: calc(10rem * var(--mantine-scale));\n  --dialog-size-sm: calc(12.5rem * var(--mantine-scale));\n  --dialog-size-md: calc(21.25rem * var(--mantine-scale));\n  --dialog-size-lg: calc(25rem * var(--mantine-scale));\n  --dialog-size-xl: calc(31.25rem * var(--mantine-scale));\n  --dialog-size: var(--dialog-size-md);\n\n  position: relative;\n  width: var(--dialog-size);\n  max-width: calc(100vw - var(--mantine-spacing-xl) * 2);\n  min-height: calc(3.125rem * var(--mantine-scale));\n}\n\n.m_5abab665 {\n  position: absolute;\n  top: calc(var(--mantine-spacing-md) / 2);\n  inset-inline-end: calc(var(--mantine-spacing-md) / 2);\n}\n\n.m_3eebeb36 {\n  --divider-size-xs: calc(0.0625rem * var(--mantine-scale));\n  --divider-size-sm: calc(0.125rem * var(--mantine-scale));\n  --divider-size-md: calc(0.1875rem * var(--mantine-scale));\n  --divider-size-lg: calc(0.25rem * var(--mantine-scale));\n  --divider-size-xl: calc(0.3125rem * var(--mantine-scale));\n  --divider-size: var(--divider-size-xs);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_3eebeb36 {\n    --divider-color: var(--mantine-color-gray-3);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_3eebeb36 {\n    --divider-color: var(--mantine-color-dark-4);\n}\n\n  .m_3eebeb36:where([data-orientation='horizontal']) {\n    border-top: var(--divider-size) var(--divider-border-style, solid) var(--divider-color);\n  }\n\n  .m_3eebeb36:where([data-orientation='vertical']) {\n    border-inline-start: var(--divider-size) var(--divider-border-style, solid) var(--divider-color);\n    height: auto;\n    align-self: stretch;\n  }\n\n  .m_3eebeb36:where([data-with-label]) {\n    border: 0;\n  }\n\n.m_9e365f20 {\n  display: flex;\n  align-items: center;\n  font-size: var(--mantine-font-size-xs);\n  color: var(--mantine-color-dimmed);\n  white-space: nowrap;\n}\n\n.m_9e365f20:where([data-position='left'])::before {\n    display: none;\n  }\n\n.m_9e365f20:where([data-position='right'])::after {\n    display: none;\n  }\n\n.m_9e365f20::before {\n    content: '';\n    flex: 1;\n    height: calc(0.0625rem * var(--mantine-scale));\n    border-top: var(--divider-size) var(--divider-border-style, solid) var(--divider-color);\n    margin-inline-end: var(--mantine-spacing-xs);\n  }\n\n.m_9e365f20::after {\n    content: '';\n    flex: 1;\n    height: calc(0.0625rem * var(--mantine-scale));\n    border-top: var(--divider-size) var(--divider-border-style, solid) var(--divider-color);\n    margin-inline-start: var(--mantine-spacing-xs);\n  }\n\n.m_f11b401e {\n  --drawer-size-xs: calc(20rem * var(--mantine-scale));\n  --drawer-size-sm: calc(23.75rem * var(--mantine-scale));\n  --drawer-size-md: calc(27.5rem * var(--mantine-scale));\n  --drawer-size-lg: calc(38.75rem * var(--mantine-scale));\n  --drawer-size-xl: calc(48.75rem * var(--mantine-scale));\n  --drawer-size: var(--drawer-size-md);\n  --drawer-offset: 0rem;\n}\n\n.m_5a7c2c9 {\n  z-index: 1000;\n}\n\n.m_b8a05bbd {\n  flex: var(--drawer-flex, 0 0 var(--drawer-size));\n  height: var(--drawer-height, calc(100% - var(--drawer-offset) * 2));\n  margin: var(--drawer-offset);\n  max-width: 100%;\n  max-height: 100%;\n  overflow-y: auto;\n}\n\n.m_31cd769a {\n  display: flex;\n  justify-content: var(--drawer-justify, flex-start);\n  align-items: var(--drawer-align, flex-start);\n}\n\n.m_e9408a47 {\n  padding: var(--mantine-spacing-lg);\n  padding-top: var(--mantine-spacing-xs);\n  border-radius: var(--fieldset-radius, var(--mantine-radius-default));\n  min-inline-size: auto;\n}\n\n.m_84c9523a {\n  border: calc(0.0625rem * var(--mantine-scale)) solid;\n}\n\n:where([data-mantine-color-scheme='light']) .m_84c9523a {\n    border-color: var(--mantine-color-gray-3);\n    background-color: var(--mantine-color-white);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_84c9523a {\n    border-color: var(--mantine-color-dark-4);\n    background-color: var(--mantine-color-dark-7);\n}\n\n.m_ef274e49 {\n  border: calc(0.0625rem * var(--mantine-scale)) solid;\n}\n\n:where([data-mantine-color-scheme='light']) .m_ef274e49 {\n    border-color: var(--mantine-color-gray-3);\n    background-color: var(--mantine-color-gray-0);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_ef274e49 {\n    border-color: var(--mantine-color-dark-4);\n    background-color: var(--mantine-color-dark-6);\n}\n\n.m_eda993d3 {\n  padding: 0;\n  border: 0;\n  border-radius: 0;\n}\n\n.m_90794832 {\n  font-size: var(--mantine-font-size-sm);\n}\n\n.m_74ca27fe {\n  padding: 0;\n  margin-bottom: var(--mantine-spacing-sm);\n}\n\n.m_410352e9 {\n  --grid-overflow: visible;\n  --grid-margin: calc(var(--grid-gutter) / -2);\n  --grid-col-padding: calc(var(--grid-gutter) / 2);\n\n  overflow: var(--grid-overflow);\n}\n\n.m_dee7bd2f {\n  width: calc(100% + var(--grid-gutter));\n  display: flex;\n  flex-wrap: wrap;\n  justify-content: var(--grid-justify);\n  align-items: var(--grid-align);\n  margin: var(--grid-margin);\n}\n\n.m_96bdd299 {\n  --col-flex-grow: 0;\n  --col-offset: 0rem;\n\n  flex-shrink: 0;\n  order: var(--col-order);\n  flex-basis: var(--col-flex-basis);\n  width: var(--col-width);\n  max-width: var(--col-max-width);\n  flex-grow: var(--col-flex-grow);\n  margin-inline-start: var(--col-offset);\n  padding: var(--grid-col-padding);\n}\n\n.m_bcb3f3c2 {\n  color: var(--mantine-color-black);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_bcb3f3c2 {\n    background-color: var(--mark-bg-light);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_bcb3f3c2 {\n    background-color: var(--mark-bg-dark);\n}\n\n.m_9e117634 {\n  display: block;\n  flex: 0;\n  object-fit: var(--image-object-fit, cover);\n  width: 100%;\n  border-radius: var(--image-radius, 0);\n}\n\n@keyframes m_885901b1 {\n  0% {\n    opacity: 0.6;\n    transform: scale(0);\n  }\n\n  100% {\n    opacity: 0;\n    transform: scale(2.8);\n  }\n}\n\n.m_e5262200 {\n  --indicator-size: calc(0.625rem * var(--mantine-scale));\n  --indicator-color: var(--mantine-primary-color-filled);\n\n  position: relative;\n  display: block;\n}\n\n.m_e5262200:where([data-inline]) {\n    display: inline-block;\n  }\n\n.m_760d1fb1 {\n  position: absolute;\n  top: var(--indicator-top);\n  left: var(--indicator-left);\n  right: var(--indicator-right);\n  bottom: var(--indicator-bottom);\n  transform: translate(var(--indicator-translate-x), var(--indicator-translate-y));\n  min-width: var(--indicator-size);\n  height: var(--indicator-size);\n  border-radius: var(--indicator-radius, 1000rem);\n  z-index: var(--indicator-z-index, 200);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  font-size: var(--mantine-font-size-xs);\n  background-color: var(--indicator-color);\n  color: var(--indicator-text-color, var(--mantine-color-white));\n  white-space: nowrap;\n}\n\n.m_760d1fb1::before {\n    content: '';\n    position: absolute;\n    inset: 0;\n    background-color: var(--indicator-color);\n    border-radius: var(--indicator-radius, 1000rem);\n    z-index: -1;\n  }\n\n.m_760d1fb1:where([data-with-label]) {\n    padding-inline: calc(var(--mantine-spacing-xs) / 2);\n  }\n\n.m_760d1fb1:where([data-with-border]) {\n    border: 2px solid var(--mantine-color-body);\n  }\n\n.m_760d1fb1[data-processing]::before {\n      animation: m_885901b1 1000ms linear infinite;\n    }\n\n.m_dc6f14e2 {\n  --kbd-fz-xs: calc(0.625rem * var(--mantine-scale));\n  --kbd-fz-sm: calc(0.75rem * var(--mantine-scale));\n  --kbd-fz-md: calc(0.875rem * var(--mantine-scale));\n  --kbd-fz-lg: calc(1rem * var(--mantine-scale));\n  --kbd-fz-xl: calc(1.25rem * var(--mantine-scale));\n  --kbd-fz: var(--kbd-fz-sm);\n\n  --kbd-padding-xs: calc(0.125rem * var(--mantine-scale)) calc(0.25rem * var(--mantine-scale));\n  --kbd-padding-sm: calc(0.1875rem * var(--mantine-scale)) calc(0.3125rem * var(--mantine-scale));\n  --kbd-padding-md: calc(0.25rem * var(--mantine-scale)) calc(0.4375rem * var(--mantine-scale));\n  --kbd-padding-lg: calc(0.3125rem * var(--mantine-scale)) calc(0.5625rem * var(--mantine-scale));\n  --kbd-padding-xl: calc(0.5rem * var(--mantine-scale)) calc(0.875rem * var(--mantine-scale));\n  --kbd-padding: var(--kbd-padding-sm);\n\n  font-family: var(--mantine-font-family-monospace);\n  line-height: var(--mantine-line-height);\n  font-weight: 700;\n  padding: var(--kbd-padding);\n  font-size: var(--kbd-fz);\n  border-radius: var(--mantine-radius-sm);\n  border: calc(0.0625rem * var(--mantine-scale)) solid;\n  border-bottom-width: calc(0.1875rem * var(--mantine-scale));\n  unicode-bidi: embed;\n}\n\n  :where([data-mantine-color-scheme='light']) .m_dc6f14e2 {\n    border-color: var(--mantine-color-gray-3);\n    color: var(--mantine-color-gray-7);\n    background-color: var(--mantine-color-gray-0);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_dc6f14e2 {\n    border-color: var(--mantine-color-dark-4);\n    color: var(--mantine-color-dark-0);\n    background-color: var(--mantine-color-dark-6);\n}\n\n.m_abbac491 {\n  --list-fz: var(--mantine-font-size-md);\n  --list-lh: var(--mantine-line-height-md);\n\n  list-style-position: inside;\n  font-size: var(--list-fz);\n  line-height: var(--list-lh);\n  margin: 0;\n  padding: 0;\n}\n\n  .m_abbac491:where([data-with-padding]) {\n    padding-inline-start: var(--mantine-spacing-md);\n  }\n\n.m_abb6bec2 {\n  white-space: nowrap;\n  line-height: var(--list-lh);\n}\n\n.m_abb6bec2:where([data-with-icon]) {\n    list-style: none;\n  }\n\n.m_abb6bec2:where([data-with-icon]) .m_75cd9f71 {\n      --li-direction: row;\n      --li-align: center;\n    }\n\n.m_abb6bec2:where(:not(:first-of-type)) {\n    margin-top: var(--list-spacing, 0);\n  }\n\n.m_abb6bec2:where([data-centered]) {\n    line-height: 1;\n  }\n\n.m_75cd9f71 {\n  display: inline-flex;\n  flex-direction: var(--li-direction, column);\n  align-items: var(--li-align, flex-start);\n  white-space: normal;\n}\n\n.m_60f83e5b {\n  display: inline-block;\n  vertical-align: middle;\n  margin-inline-end: var(--mantine-spacing-sm);\n}\n\n.m_6e45937b {\n  position: absolute;\n  inset: 0;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  overflow: hidden;\n  z-index: var(--lo-z-index);\n}\n\n.m_e8eb006c {\n  position: relative;\n  z-index: calc(var(--lo-z-index) + 1);\n}\n\n.m_df587f17 {\n  z-index: var(--lo-z-index);\n}\n\n.m_dc9b7c9f {\n  padding: calc(0.25rem * var(--mantine-scale));\n}\n\n.m_9bfac126 {\n  color: var(--mantine-color-dimmed);\n  font-weight: 500;\n  font-size: var(--mantine-font-size-xs);\n  padding: calc(var(--mantine-spacing-xs) / 2) var(--mantine-spacing-sm);\n  cursor: default;\n}\n\n.m_efdf90cb {\n  margin-top: calc(0.25rem * var(--mantine-scale));\n  margin-bottom: calc(0.25rem * var(--mantine-scale));\n  border-top: calc(0.0625rem * var(--mantine-scale)) solid;\n}\n\n:where([data-mantine-color-scheme='light']) .m_efdf90cb {\n    border-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_efdf90cb {\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_99ac2aa1 {\n  font-size: var(--mantine-font-size-sm);\n  width: 100%;\n  padding: calc(var(--mantine-spacing-xs) / 1.5) var(--mantine-spacing-sm);\n  border-radius: var(--popover-radius, var(--mantine-radius-default));\n  color: var(--menu-item-color, var(--mantine-color-text));\n  display: flex;\n  align-items: center;\n  user-select: none;\n}\n\n.m_99ac2aa1:where([data-disabled], :disabled) {\n    color: var(--mantine-color-dimmed);\n    opacity: 0.6;\n    pointer-events: none;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_99ac2aa1:where([data-hovered]) {\n      background-color: var(--menu-item-hover, var(--mantine-color-gray-1));\n}\n\n:where([data-mantine-color-scheme='dark']) .m_99ac2aa1:where([data-hovered]) {\n      background-color: var(--menu-item-hover, var(--mantine-color-dark-4));\n}\n\n.m_5476e0d3 {\n  flex: 1;\n}\n\n.m_8b75e504 {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n\n.m_8b75e504:where([data-position='left']) {\n    margin-inline-end: var(--mantine-spacing-xs);\n  }\n\n.m_8b75e504:where([data-position='right']) {\n    margin-inline-start: var(--mantine-spacing-xs);\n  }\n\n.m_9df02822 {\n  --modal-size-xs: calc(20rem * var(--mantine-scale));\n  --modal-size-sm: calc(23.75rem * var(--mantine-scale));\n  --modal-size-md: calc(27.5rem * var(--mantine-scale));\n  --modal-size-lg: calc(38.75rem * var(--mantine-scale));\n  --modal-size-xl: calc(48.75rem * var(--mantine-scale));\n  --modal-size: var(--modal-size-md);\n\n  --modal-y-offset: 5dvh;\n  --modal-x-offset: 5vw;\n}\n\n  .m_9df02822[data-full-screen] {\n    --modal-border-radius: 0 !important;\n  }\n\n  .m_9df02822[data-full-screen] .m_54c44539 {\n      --modal-content-flex: 0 0 100%;\n      --modal-content-max-height: auto;\n      --modal-content-height: 100dvh;\n    }\n\n  .m_9df02822[data-full-screen] .m_1f958f16 {\n      --modal-inner-y-offset: 0;\n      --modal-inner-x-offset: 0;\n    }\n\n  .m_9df02822[data-centered] .m_1f958f16 {\n      --modal-inner-align: center;\n    }\n\n.m_d0e2b9cd {\n  border-start-start-radius: var(--modal-radius, var(--mantine-radius-default));\n  border-start-end-radius: var(--modal-radius, var(--mantine-radius-default));\n}\n\n.m_54c44539 {\n  flex: var(--modal-content-flex, 0 0 var(--modal-size));\n  max-width: 100%;\n  max-height: var(--modal-content-max-height, calc(100dvh - var(--modal-y-offset) * 2));\n  height: var(--modal-content-height, auto);\n  overflow-y: auto;\n}\n\n.m_54c44539[data-full-screen] {\n    border-radius: 0;\n  }\n\n.m_1f958f16 {\n  display: flex;\n  justify-content: center;\n  align-items: var(--modal-inner-align, flex-start);\n  padding-top: var(--modal-inner-y-offset, var(--modal-y-offset));\n  padding-bottom: var(--modal-inner-y-offset, var(--modal-y-offset));\n  padding-inline: var(--modal-inner-x-offset, var(--modal-x-offset));\n}\n\n.m_7cda1cd6 {\n  --pill-fz-xs: calc(0.625rem * var(--mantine-scale));\n  --pill-fz-sm: calc(0.75rem * var(--mantine-scale));\n  --pill-fz-md: calc(0.875rem * var(--mantine-scale));\n  --pill-fz-lg: calc(1rem * var(--mantine-scale));\n  --pill-fz-xl: calc(1.125rem * var(--mantine-scale));\n\n  --pill-height-xs: calc(1.125rem * var(--mantine-scale));\n  --pill-height-sm: calc(1.375rem * var(--mantine-scale));\n  --pill-height-md: calc(1.5625rem * var(--mantine-scale));\n  --pill-height-lg: calc(1.75rem * var(--mantine-scale));\n  --pill-height-xl: calc(2rem * var(--mantine-scale));\n\n  --pill-fz: var(--pill-fz-sm);\n  --pill-height: var(--pill-height-sm);\n\n  font-size: var(--pill-fz);\n  flex: 0;\n  height: var(--pill-height);\n  padding-inline: 0.8em;\n  display: inline-flex;\n  align-items: center;\n  border-radius: var(--pill-radius, 1000rem);\n  line-height: 1;\n  white-space: nowrap;\n  user-select: none;\n  -webkit-user-select: none;\n  max-width: 100%;\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_7cda1cd6 {\n    background-color: var(--mantine-color-dark-7);\n    color: var(--mantine-color-dark-0);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_7cda1cd6 {\n    color: var(--mantine-color-black);\n}\n\n  .m_7cda1cd6:where([data-with-remove]:not(:has(button:disabled))) {\n    padding-inline-end: 0;\n  }\n\n  .m_7cda1cd6:where([data-disabled], :has(button:disabled)) {\n    cursor: not-allowed;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_44da308b {\n    background-color: var(--mantine-color-gray-1);\n}\n\n:where([data-mantine-color-scheme='light']) .m_44da308b:where([data-disabled], :has(button:disabled)) {\n      background-color: var(--mantine-color-gray-3);\n    }\n\n:where([data-mantine-color-scheme='light']) .m_e3a01f8 {\n    background-color: var(--mantine-color-white);\n}\n\n:where([data-mantine-color-scheme='light']) .m_e3a01f8:where([data-disabled], :has(button:disabled)) {\n      background-color: var(--mantine-color-gray-3);\n    }\n\n.m_1e0e6180 {\n  cursor: inherit;\n  overflow: hidden;\n  height: 100%;\n  line-height: var(--pill-height);\n  text-overflow: ellipsis;\n}\n\n.m_ae386778 {\n  color: inherit;\n  font-size: inherit;\n  height: 100%;\n  min-height: unset;\n  min-width: 2em;\n  width: unset;\n  border-radius: 0;\n  padding-inline-start: 0.1em;\n  padding-inline-end: 0.3em;\n  flex: 0;\n}\n\n.m_7cda1cd6[data-disabled] > .m_ae386778,\n  .m_ae386778:disabled {\n    display: none;\n    background-color: transparent;\n    width: 0.8em;\n    min-width: 0.8em;\n    padding: 0;\n    cursor: not-allowed;\n  }\n\n.m_7cda1cd6[data-disabled] > .m_ae386778 > svg, .m_ae386778:disabled > svg {\n      display: none;\n    }\n\n.m_ae386778 > svg {\n    pointer-events: none;\n  }\n\n.m_1dcfd90b {\n  --pg-gap-xs: calc(0.375rem * var(--mantine-scale));\n  --pg-gap-sm: calc(0.5rem * var(--mantine-scale));\n  --pg-gap-md: calc(0.625rem * var(--mantine-scale));\n  --pg-gap-lg: calc(0.75rem * var(--mantine-scale));\n  --pg-gap-xl: calc(0.75rem * var(--mantine-scale));\n  --pg-gap: var(--pg-gap-sm);\n\n  display: flex;\n  align-items: center;\n  gap: var(--pg-gap);\n  flex-wrap: wrap;\n}\n\n.m_45c4369d {\n  background-color: transparent;\n  appearance: none;\n  min-width: calc(6.25rem * var(--mantine-scale));\n  flex: 1;\n  border: 0;\n  font-size: inherit;\n  height: 1.6em;\n  color: inherit;\n  padding: 0;\n}\n\n  .m_45c4369d::placeholder {\n    color: var(--input-placeholder-color);\n    opacity: 1;\n  }\n\n  .m_45c4369d:where([data-type='hidden'], [data-type='auto']) {\n    height: calc(0.0625rem * var(--mantine-scale));\n    width: calc(0.0625rem * var(--mantine-scale));\n    top: 0;\n    left: 0;\n    pointer-events: none;\n    position: absolute;\n    opacity: 0;\n  }\n\n  .m_45c4369d:focus {\n    outline: none;\n  }\n\n  .m_45c4369d:where([data-type='auto']:focus) {\n    height: 1.6em;\n    visibility: visible;\n    opacity: 1;\n    position: static;\n  }\n\n  .m_45c4369d:where([data-pointer]:not([data-disabled], :disabled)) {\n    cursor: pointer;\n  }\n\n  .m_45c4369d:where([data-disabled], :disabled) {\n    cursor: not-allowed;\n  }\n\n.m_f0824112 {\n  --nl-bg: var(--mantine-primary-color-light);\n  --nl-hover: var(--mantine-primary-color-light-hover);\n  --nl-color: var(--mantine-primary-color-light-color);\n\n  display: flex;\n  align-items: center;\n  width: 100%;\n  padding: 8px var(--mantine-spacing-sm);\n  user-select: none;\n}\n\n  @media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_f0824112:hover {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_f0824112:hover {\n      background-color: var(--mantine-color-dark-6);\n  }\n}\n\n  @media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_f0824112:active {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_f0824112:active {\n      background-color: var(--mantine-color-dark-6);\n  }\n}\n\n  .m_f0824112:where([data-disabled]) {\n    opacity: 0.4;\n    pointer-events: none;\n  }\n\n  .m_f0824112:where([data-active]) {\n    background-color: var(--nl-bg);\n    color: var(--nl-color);\n  }\n\n  @media (hover: hover) {\n\n  .m_f0824112:where([data-active]):hover {\n      background-color: var(--nl-hover);\n  }\n}\n\n  @media (hover: none) {\n\n  .m_f0824112:where([data-active]):active {\n      background-color: var(--nl-hover);\n  }\n}\n\n  .m_f0824112:where([data-active]) .m_57492dcc {\n      --description-opacity: 0.9;\n      --description-color: var(--nl-color);\n    }\n\n.m_690090b5 {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  transition: transform 150ms ease;\n}\n\n.m_690090b5 > svg {\n    display: block;\n  }\n\n.m_690090b5:where([data-position='left']) {\n    margin-inline-end: var(--mantine-spacing-sm);\n  }\n\n.m_690090b5:where([data-position='right']) {\n    margin-inline-start: var(--mantine-spacing-sm);\n  }\n\n.m_690090b5:where([data-rotate]) {\n    transform: rotate(90deg);\n  }\n\n.m_1f6ac4c4 {\n  font-size: var(--mantine-font-size-sm);\n}\n\n.m_f07af9d2 {\n  flex: 1;\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n.m_f07af9d2:where([data-no-wrap]) {\n    white-space: nowrap;\n  }\n\n.m_57492dcc {\n  display: block;\n  font-size: var(--mantine-font-size-xs);\n  opacity: var(--description-opacity, 1);\n  color: var(--description-color, var(--mantine-color-dimmed));\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n:where([data-no-wrap]) .m_57492dcc {\n    white-space: nowrap;\n  }\n\n.m_e17b862f {\n  padding-inline-start: var(--nl-offset, var(--mantine-spacing-lg));\n}\n\n.m_1fd8a00b {\n  transform: rotate(-90deg);\n}\n\n.m_a513464 {\n  --notification-radius: var(--mantine-radius-default);\n  --notification-color: var(--mantine-primary-color-filled);\n\n  overflow: hidden;\n  box-sizing: border-box;\n  position: relative;\n  display: flex;\n  align-items: center;\n  padding-inline-start: calc(1.375rem * var(--mantine-scale));\n  padding-inline-end: var(--mantine-spacing-xs);\n  padding-top: var(--mantine-spacing-xs);\n  padding-bottom: var(--mantine-spacing-xs);\n  border-radius: var(--notification-radius);\n  box-shadow: var(--mantine-shadow-lg);\n}\n\n  .m_a513464::before {\n    content: '';\n    display: block;\n    position: absolute;\n    width: calc(0.375rem * var(--mantine-scale));\n    top: var(--notification-radius);\n    bottom: var(--notification-radius);\n    inset-inline-start: calc(0.25rem * var(--mantine-scale));\n    border-radius: var(--notification-radius);\n    background-color: var(--notification-color);\n  }\n\n  :where([data-mantine-color-scheme='light']) .m_a513464 {\n    background-color: var(--mantine-color-white);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_a513464 {\n    background-color: var(--mantine-color-dark-6);\n}\n\n  .m_a513464:where([data-with-icon]) {\n    padding-inline-start: var(--mantine-spacing-xs);\n  }\n\n  .m_a513464:where([data-with-icon])::before {\n      display: none;\n    }\n\n  :where([data-mantine-color-scheme='light']) .m_a513464:where([data-with-border]) {\n      border: 1px solid var(--mantine-color-gray-3);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_a513464:where([data-with-border]) {\n      border: 1px solid var(--mantine-color-dark-4);\n}\n\n.m_a4ceffb {\n  box-sizing: border-box;\n  margin-inline-end: var(--mantine-spacing-md);\n  width: calc(1.75rem * var(--mantine-scale));\n  height: calc(1.75rem * var(--mantine-scale));\n  border-radius: calc(1.75rem * var(--mantine-scale));\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  background-color: var(--notification-color);\n  color: var(--mantine-color-white);\n}\n\n.m_b0920b15 {\n  margin-inline-end: var(--mantine-spacing-md);\n}\n\n.m_a49ed24 {\n  flex: 1;\n  overflow: hidden;\n  margin-inline-end: var(--mantine-spacing-xs);\n}\n\n.m_3feedf16 {\n  margin-bottom: calc(0.125rem * var(--mantine-scale));\n  overflow: hidden;\n  text-overflow: ellipsis;\n  font-size: var(--mantine-font-size-sm);\n  line-height: var(--mantine-line-height-sm);\n  font-weight: 500;\n}\n\n:where([data-mantine-color-scheme='light']) .m_3feedf16 {\n    color: var(--mantine-color-gray-9);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_3feedf16 {\n    color: var(--mantine-color-white);\n}\n\n.m_3d733a3a {\n  font-size: var(--mantine-font-size-sm);\n  line-height: var(--mantine-line-height-sm);\n  overflow: hidden;\n  text-overflow: ellipsis;\n}\n\n:where([data-mantine-color-scheme='light']) .m_3d733a3a {\n    color: var(--mantine-color-black);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_3d733a3a {\n    color: var(--mantine-color-dark-0);\n}\n\n:where([data-mantine-color-scheme='light']) .m_3d733a3a:where([data-with-title]) {\n      color: var(--mantine-color-gray-6);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_3d733a3a:where([data-with-title]) {\n      color: var(--mantine-color-dark-2);\n}\n\n@media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_919a4d88:hover {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_919a4d88:hover {\n      background-color: var(--mantine-color-dark-8);\n  }\n}\n\n@media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_919a4d88:active {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_919a4d88:active {\n      background-color: var(--mantine-color-dark-8);\n  }\n}\n\n.m_e2f5cd4e {\n  --ni-right-section-width-xs: calc(1.0625rem * var(--mantine-scale));\n  --ni-right-section-width-sm: calc(1.5rem * var(--mantine-scale));\n  --ni-right-section-width-md: calc(1.6875rem * var(--mantine-scale));\n  --ni-right-section-width-lg: calc(1.9375rem * var(--mantine-scale));\n  --ni-right-section-width-xl: calc(2.125rem * var(--mantine-scale));\n}\n\n.m_95e17d22 {\n  --ni-chevron-size-xs: calc(0.625rem * var(--mantine-scale));\n  --ni-chevron-size-sm: calc(0.875rem * var(--mantine-scale));\n  --ni-chevron-size-md: calc(1rem * var(--mantine-scale));\n  --ni-chevron-size-lg: calc(1.125rem * var(--mantine-scale));\n  --ni-chevron-size-xl: calc(1.25rem * var(--mantine-scale));\n  --ni-chevron-size: var(--ni-chevron-size-sm);\n\n  display: flex;\n  flex-direction: column;\n  width: 100%;\n  height: calc(var(--input-height) - calc(0.125rem * var(--mantine-scale)));\n  max-width: calc(var(--ni-chevron-size) * 1.7);\n  margin-inline-start: auto;\n}\n\n.m_80b4b171 {\n  --control-border: 1px solid var(--input-bd);\n  --control-radius: calc(var(--input-radius) - calc(0.0625rem * var(--mantine-scale)));\n\n  flex: 0 0 50%;\n  width: 100%;\n  padding: 0;\n  height: calc(var(--input-height) / 2 - calc(0.0625rem * var(--mantine-scale)));\n  border-inline-start: var(--control-border);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  color: var(--mantine-color-text);\n  background-color: transparent;\n  cursor: pointer;\n}\n\n.m_80b4b171:where(:disabled) {\n    background-color: transparent;\n    cursor: not-allowed;\n    opacity: 0.6;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_80b4b171:where(:disabled) {\n      color: var(--mantine-color-gray-4);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_80b4b171:where(:disabled) {\n      color: var(--mantine-color-dark-3);\n}\n\n.m_e2f5cd4e[data-error] :where(.m_80b4b171) {\n    color: var(--mantine-color-error);\n  }\n\n@media (hover: hover) {\n    :where([data-mantine-color-scheme='light']) .m_80b4b171:hover {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_80b4b171:hover {\n      background-color: var(--mantine-color-dark-4);\n  }\n}\n\n@media (hover: none) {\n    :where([data-mantine-color-scheme='light']) .m_80b4b171:active {\n      background-color: var(--mantine-color-gray-0);\n  }\n\n    :where([data-mantine-color-scheme='dark']) .m_80b4b171:active {\n      background-color: var(--mantine-color-dark-4);\n  }\n}\n\n.m_80b4b171:where(:first-of-type) {\n    border-radius: 0;\n    border-start-end-radius: var(--control-radius);\n  }\n\n.m_80b4b171:last-of-type {\n    border-top: 1 solid var(--input-bd);\n    border-radius: 0;\n    border-end-end-radius: var(--control-radius);\n  }\n\n.m_4addd315 {\n  --pagination-control-size-xs: calc(1.375rem * var(--mantine-scale));\n  --pagination-control-size-sm: calc(1.625rem * var(--mantine-scale));\n  --pagination-control-size-md: calc(2rem * var(--mantine-scale));\n  --pagination-control-size-lg: calc(2.375rem * var(--mantine-scale));\n  --pagination-control-size-xl: calc(2.75rem * var(--mantine-scale));\n  --pagination-control-size: var(--pagination-control-size-md);\n  --pagination-control-fz: var(--mantine-font-size-md);\n  --pagination-active-bg: var(--mantine-primary-color-filled);\n}\n\n.m_326d024a {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  border: calc(0.0625rem * var(--mantine-scale)) solid;\n  cursor: pointer;\n  color: var(--mantine-color-text);\n  height: var(--pagination-control-size);\n  min-width: var(--pagination-control-size);\n  font-size: var(--pagination-control-fz);\n  line-height: 1;\n  border-radius: var(--pagination-control-radius, var(--mantine-radius-default));\n}\n\n.m_326d024a:where([data-with-padding]) {\n    padding: calc(var(--pagination-control-size) / 4);\n  }\n\n.m_326d024a:where(:disabled, [data-disabled]) {\n    cursor: not-allowed;\n    opacity: 0.4;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_326d024a {\n    border-color: var(--mantine-color-gray-4);\n    background-color: var(--mantine-color-white);\n}\n\n@media (hover: hover) {\n      :where([data-mantine-color-scheme='light']) .m_326d024a:hover:where(:not(:disabled, [data-disabled])) {\n        background-color: var(--mantine-color-gray-0);\n      }\n}\n\n@media (hover: none) {\n      :where([data-mantine-color-scheme='light']) .m_326d024a:active:where(:not(:disabled, [data-disabled])) {\n        background-color: var(--mantine-color-gray-0);\n      }\n}\n\n:where([data-mantine-color-scheme='dark']) .m_326d024a {\n    border-color: var(--mantine-color-dark-4);\n    background-color: var(--mantine-color-dark-6);\n}\n\n@media (hover: hover) {\n      :where([data-mantine-color-scheme='dark']) .m_326d024a:hover:where(:not(:disabled, [data-disabled])) {\n        background-color: var(--mantine-color-dark-5);\n      }\n}\n\n@media (hover: none) {\n      :where([data-mantine-color-scheme='dark']) .m_326d024a:active:where(:not(:disabled, [data-disabled])) {\n        background-color: var(--mantine-color-dark-5);\n      }\n}\n\n.m_326d024a:where([data-active]) {\n    background-color: var(--pagination-active-bg);\n    border-color: var(--pagination-active-bg);\n    color: var(--pagination-active-color, var(--mantine-color-white));\n  }\n\n@media (hover: hover) {\n\n  .m_326d024a:where([data-active]):hover {\n      background-color: var(--pagination-active-bg);\n  }\n}\n\n@media (hover: none) {\n\n  .m_326d024a:where([data-active]):active {\n      background-color: var(--pagination-active-bg);\n  }\n}\n\n.m_4ad7767d {\n  height: var(--pagination-control-size);\n  min-width: var(--pagination-control-size);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  pointer-events: none;\n}\n\n.m_f61ca620 {\n  --psi-button-size-xs: calc(1.375rem * var(--mantine-scale));\n  --psi-button-size-sm: calc(1.625rem * var(--mantine-scale));\n  --psi-button-size-md: calc(1.75rem * var(--mantine-scale));\n  --psi-button-size-lg: calc(2rem * var(--mantine-scale));\n  --psi-button-size-xl: calc(2.5rem * var(--mantine-scale));\n\n  --psi-icon-size-xs: calc(0.75rem * var(--mantine-scale));\n  --psi-icon-size-sm: calc(0.9375rem * var(--mantine-scale));\n  --psi-icon-size-md: calc(1.0625rem * var(--mantine-scale));\n  --psi-icon-size-lg: calc(1.1875rem * var(--mantine-scale));\n  --psi-icon-size-xl: calc(1.3125rem * var(--mantine-scale));\n\n  --psi-button-size: var(--psi-button-size-sm);\n  --psi-icon-size: var(--psi-icon-size-sm);\n}\n\n.m_ccf8da4c {\n  position: relative;\n  overflow: hidden;\n}\n\n.m_f2d85dd2 {\n  font-family: var(--mantine-font-family);\n  background-color: transparent;\n  border: 0;\n  padding-inline-end: var(--input-padding-inline-end);\n  padding-inline-start: var(--input-padding-inline-start);\n  position: absolute;\n  inset: 0;\n  outline: 0;\n  font-size: inherit;\n  line-height: var(--mantine-line-height);\n  height: 100%;\n  width: 100%;\n  color: inherit;\n}\n\n.m_ccf8da4c[data-disabled] .m_f2d85dd2,\n  .m_f2d85dd2:disabled {\n    cursor: not-allowed;\n  }\n\n.m_f2d85dd2::placeholder {\n    color: var(--input-placeholder-color);\n    opacity: 1;\n  }\n\n.m_b1072d44 {\n  width: var(--psi-button-size);\n  height: var(--psi-button-size);\n  min-width: var(--psi-button-size);\n  min-height: var(--psi-button-size);\n}\n\n.m_b1072d44:disabled {\n    display: none;\n  }\n\n.m_f1cb205a {\n  --pin-input-size-xs: calc(1.875rem * var(--mantine-scale));\n  --pin-input-size-sm: calc(2.25rem * var(--mantine-scale));\n  --pin-input-size-md: calc(2.625rem * var(--mantine-scale));\n  --pin-input-size-lg: calc(3.125rem * var(--mantine-scale));\n  --pin-input-size-xl: calc(3.75rem * var(--mantine-scale));\n  --pin-input-size: var(--pin-input-size-sm);\n}\n\n.m_cb288ead {\n  width: var(--pin-input-size);\n  height: var(--pin-input-size);\n}\n\n@keyframes m_81a374bd {\n  0% {\n    background-position: 0 0;\n  }\n\n  100% {\n    background-position: calc(2.5rem * var(--mantine-scale)) 0;\n  }\n}\n\n.m_db6d6462 {\n  --progress-radius: var(--mantine-radius-default);\n  --progress-size: var(--progress-size-md);\n\n  --progress-size-xs: calc(0.1875rem * var(--mantine-scale));\n  --progress-size-sm: calc(0.3125rem * var(--mantine-scale));\n  --progress-size-md: calc(0.5rem * var(--mantine-scale));\n  --progress-size-lg: calc(0.75rem * var(--mantine-scale));\n  --progress-size-xl: calc(1rem * var(--mantine-scale));\n\n  position: relative;\n  height: var(--progress-size);\n  border-radius: var(--progress-radius);\n  overflow: hidden;\n  display: flex;\n}\n\n:where([data-mantine-color-scheme='light']) .m_db6d6462 {\n    background-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_db6d6462 {\n    background-color: var(--mantine-color-dark-4);\n}\n\n.m_2242eb65 {\n  background-color: var(--progress-section-color);\n  height: 100%;\n  width: var(--progress-section-width);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  overflow: hidden;\n  background-size: calc(1.25rem * var(--mantine-scale)) calc(1.25rem * var(--mantine-scale));\n  transition: width var(--progress-transition-duration, 100ms) ease;\n}\n\n.m_2242eb65:where([data-striped]) {\n    background-image: linear-gradient(\n      45deg,\n      rgba(255, 255, 255, 0.15) 25%,\n      transparent 25%,\n      transparent 50%,\n      rgba(255, 255, 255, 0.15) 50%,\n      rgba(255, 255, 255, 0.15) 75%,\n      transparent 75%,\n      transparent\n    );\n  }\n\n.m_2242eb65:where([data-animated]) {\n    animation: m_81a374bd 1s linear infinite;\n  }\n\n.m_2242eb65:where(:last-of-type) {\n    border-radius: 0;\n    border-start-end-radius: var(--progress-radius);\n    border-end-end-radius: var(--progress-radius);\n  }\n\n.m_2242eb65:where(:first-of-type) {\n    border-radius: 0;\n    border-start-start-radius: var(--progress-radius);\n    border-end-start-radius: var(--progress-radius);\n  }\n\n.m_91e40b74 {\n  color: var(--progress-label-color, var(--mantine-color-white));\n  font-weight: bold;\n  user-select: none;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  font-size: min(calc(var(--progress-size) * 0.65), calc(1.125rem * var(--mantine-scale)));\n  line-height: 1;\n  padding-inline: calc(0.25rem * var(--mantine-scale));\n}\n\n.m_f3f1af94 {\n  --radio-size-xs: calc(1rem * var(--mantine-scale));\n  --radio-size-sm: calc(1.25rem * var(--mantine-scale));\n  --radio-size-md: calc(1.5rem * var(--mantine-scale));\n  --radio-size-lg: calc(1.875rem * var(--mantine-scale));\n  --radio-size-xl: calc(2.25rem * var(--mantine-scale));\n  --radio-size: var(--radio-size-sm);\n\n  --radio-icon-size-xs: calc(0.375rem * var(--mantine-scale));\n  --radio-icon-size-sm: calc(0.5rem * var(--mantine-scale));\n  --radio-icon-size-md: calc(0.625rem * var(--mantine-scale));\n  --radio-icon-size-lg: calc(0.875rem * var(--mantine-scale));\n  --radio-icon-size-xl: calc(1rem * var(--mantine-scale));\n  --radio-icon-size: var(--radio-icon-size-sm);\n  --radio-icon-color: var(--mantine-color-white);\n}\n\n.m_89c4f5e4 {\n  position: relative;\n  width: var(--radio-size);\n  height: var(--radio-size);\n  order: 1;\n}\n\n.m_89c4f5e4:where([data-label-position='left']) {\n    order: 2;\n  }\n\n.m_f3ed6b2b {\n  color: var(--radio-icon-color);\n  opacity: var(--radio-icon-opacity, 0);\n  transform: var(--radio-icon-transform, scale(0.2) translateY(calc(0.625rem * var(--mantine-scale))));\n  transition:\n    opacity 100ms ease,\n    transform 200ms ease;\n  pointer-events: none;\n  width: var(--radio-icon-size);\n  height: var(--radio-icon-size);\n  position: absolute;\n  top: calc(50% - var(--radio-icon-size) / 2);\n  left: calc(50% - var(--radio-icon-size) / 2);\n}\n\n.m_8a3dbb89 {\n  border: calc(0.0625rem * var(--mantine-scale)) solid;\n  position: relative;\n  appearance: none;\n  width: var(--radio-size);\n  height: var(--radio-size);\n  border-radius: var(--radio-radius, var(--radio-size));\n  margin: 0;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  transition-property: background-color, border-color;\n  transition-timing-function: ease;\n  transition-duration: 100ms;\n  cursor: var(--mantine-cursor-type);\n  -webkit-tap-highlight-color: transparent;\n}\n\n:where([data-mantine-color-scheme='light']) .m_8a3dbb89 {\n    background-color: var(--mantine-color-white);\n    border-color: var(--mantine-color-gray-4);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_8a3dbb89 {\n    background-color: var(--mantine-color-dark-6);\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_8a3dbb89:checked {\n    background-color: var(--radio-color, var(--mantine-primary-color-filled));\n    border-color: var(--radio-color, var(--mantine-primary-color-filled));\n  }\n\n.m_8a3dbb89:checked + .m_f3ed6b2b {\n      --radio-icon-opacity: 1;\n      --radio-icon-transform: scale(1);\n    }\n\n.m_8a3dbb89:disabled {\n    cursor: not-allowed;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_8a3dbb89:disabled {\n      background-color: var(--mantine-color-gray-1);\n      border-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='light']) .m_8a3dbb89:disabled + .m_f3ed6b2b {\n        --radio-icon-color: var(--mantine-color-gray-3);\n      }\n\n:where([data-mantine-color-scheme='dark']) .m_8a3dbb89:disabled {\n      background-color: var(--mantine-color-dark-5);\n      border-color: var(--mantine-color-dark-4);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_8a3dbb89:disabled + .m_f3ed6b2b {\n        --radio-icon-color: var(--mantine-color-dark-7);\n      }\n\n.m_8a3dbb89:where([data-error]) {\n    border-color: var(--mantine-color-error);\n  }\n\n.m_1bfe9d39 + .m_f3ed6b2b {\n    --radio-icon-color: var(--radio-color);\n  }\n\n.m_1bfe9d39:checked:not(:disabled) {\n    background-color: transparent;\n    border-color: var(--radio-color);\n  }\n\n.m_1bfe9d39:checked:not(:disabled) + .m_f3ed6b2b {\n      --radio-icon-color: var(--radio-color);\n      --radio-icon-opacity: 1;\n      --radio-icon-transform: none;\n    }\n\n.m_f8d312f2 {\n  --rating-size-xs: calc(0.875rem * var(--mantine-scale));\n  --rating-size-sm: calc(1.125rem * var(--mantine-scale));\n  --rating-size-md: calc(1.25rem * var(--mantine-scale));\n  --rating-size-lg: calc(1.75rem * var(--mantine-scale));\n  --rating-size-xl: calc(2rem * var(--mantine-scale));\n\n  display: flex;\n  width: max-content;\n}\n\n  .m_f8d312f2:where(:has(input:disabled)) {\n    pointer-events: none;\n  }\n\n.m_61734bb7 {\n  position: relative;\n  transition: transform 100ms ease;\n}\n\n.m_61734bb7:where([data-active]) {\n    z-index: 1;\n    transform: scale(1.1);\n  }\n\n.m_5662a89a {\n  width: var(--rating-size);\n  height: var(--rating-size);\n  display: block;\n}\n\n:where([data-mantine-color-scheme='light']) .m_5662a89a {\n    fill: var(--mantine-color-gray-3);\n    stroke: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_5662a89a {\n    fill: var(--mantine-color-dark-3);\n    stroke: var(--mantine-color-dark-3);\n}\n\n.m_5662a89a:where([data-filled]) {\n    fill: var(--rating-color);\n    stroke: var(--rating-color);\n  }\n\n.m_211007ba {\n  height: 0;\n  width: 0;\n  position: absolute;\n  overflow: hidden;\n  white-space: nowrap;\n  opacity: 0;\n  -webkit-tap-highlight-color: transparent;\n}\n\n.m_211007ba:focus-visible + label {\n    outline: 2px solid var(--mantine-primary-color-filled);\n    outline-offset: calc(0.125rem * var(--mantine-scale));\n  }\n\n.m_21342ee4 {\n  display: block;\n  cursor: pointer;\n  position: absolute;\n  top: 0;\n  left: 0;\n  z-index: var(--rating-item-z-index, 0);\n  -webkit-tap-highlight-color: transparent;\n}\n\n.m_21342ee4:where([data-read-only]) {\n    cursor: default;\n  }\n\n.m_21342ee4:where(:last-of-type) {\n    position: relative;\n  }\n\n.m_fae05d6a {\n  clip-path: var(--rating-symbol-clip-path);\n}\n\n.m_1b3c8819 {\n  --tooltip-radius: var(--mantine-radius-default);\n\n  position: absolute;\n  padding: calc(var(--mantine-spacing-xs) / 2) var(--mantine-spacing-xs);\n  pointer-events: none;\n  font-size: var(--mantine-font-size-sm);\n  white-space: nowrap;\n  border-radius: var(--tooltip-radius);\n}\n\n  :where([data-mantine-color-scheme='light']) .m_1b3c8819 {\n    background-color: var(--tooltip-bg, var(--mantine-color-gray-9));\n    color: var(--tooltip-color, var(--mantine-color-white));\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_1b3c8819 {\n    background-color: var(--tooltip-bg, var(--mantine-color-gray-2));\n    color: var(--tooltip-color, var(--mantine-color-black));\n}\n\n  .m_1b3c8819:where([data-multiline]) {\n    white-space: normal;\n  }\n\n.m_f898399f {\n  background-color: inherit;\n  border: 0;\n  z-index: 1;\n}\n\n.m_b32e4812 {\n  position: relative;\n  width: var(--rp-size);\n  height: var(--rp-size);\n  min-width: var(--rp-size);\n  min-height: var(--rp-size);\n}\n\n.m_d43b5134 {\n  width: var(--rp-size);\n  height: var(--rp-size);\n  min-width: var(--rp-size);\n  min-height: var(--rp-size);\n  transform: rotate(-90deg);\n}\n\n.m_b1ca1fbf {\n  stroke: var(--curve-color, var(--rp-curve-root-color));\n}\n\n[data-mantine-color-scheme='light'] .m_b1ca1fbf {\n    --rp-curve-root-color: var(--mantine-color-gray-2);\n}\n\n[data-mantine-color-scheme='dark'] .m_b1ca1fbf {\n    --rp-curve-root-color: var(--mantine-color-dark-4);\n}\n\n.m_b23f9dc4 {\n  position: absolute;\n  top: 50%;\n  transform: translateY(-50%);\n  inset-inline: var(--rp-label-offset);\n}\n\n.m_cf365364 {\n  --sc-padding-xs: calc(0.1875rem * var(--mantine-scale)) calc(0.375rem * var(--mantine-scale));\n  --sc-padding-sm: calc(0.3125rem * var(--mantine-scale)) calc(0.625rem * var(--mantine-scale));\n  --sc-padding-md: calc(0.4375rem * var(--mantine-scale)) calc(0.875rem * var(--mantine-scale));\n  --sc-padding-lg: calc(0.5625rem * var(--mantine-scale)) calc(1rem * var(--mantine-scale));\n  --sc-padding-xl: calc(0.75rem * var(--mantine-scale)) calc(1.25rem * var(--mantine-scale));\n\n  --sc-transition-duration: 200ms;\n  --sc-padding: var(--sc-padding-sm);\n  --sc-transition-timing-function: ease;\n  --sc-font-size: var(--mantine-font-size-sm);\n\n  position: relative;\n  display: inline-flex;\n  flex-direction: row;\n  width: auto;\n  border-radius: var(--sc-radius, var(--mantine-radius-default));\n  overflow: hidden;\n  padding: calc(0.25rem * var(--mantine-scale));\n}\n\n  .m_cf365364:where([data-full-width]) {\n    display: flex;\n  }\n\n  .m_cf365364:where([data-orientation='vertical']) {\n    display: flex;\n    flex-direction: column;\n    width: max-content;\n  }\n\n  .m_cf365364:where([data-orientation='vertical']):where([data-full-width]) {\n      width: auto;\n    }\n\n  :where([data-mantine-color-scheme='light']) .m_cf365364 {\n    background-color: var(--mantine-color-gray-1);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_cf365364 {\n    background-color: var(--mantine-color-dark-8);\n}\n\n.m_9e182ccd {\n  position: absolute;\n  display: block;\n  z-index: 1;\n  border-radius: var(--sc-radius, var(--mantine-radius-default));\n}\n\n:where([data-mantine-color-scheme='light']) .m_9e182ccd {\n    box-shadow: var(--sc-shadow, none);\n    background-color: var(--sc-color, var(--mantine-color-white));\n}\n\n:where([data-mantine-color-scheme='dark']) .m_9e182ccd {\n    box-shadow: none;\n    background-color: var(--sc-color, var(--mantine-color-dark-5));\n}\n\n.m_1738fcb2 {\n  -webkit-tap-highlight-color: transparent;\n  font-weight: 500;\n  display: block;\n  text-align: center;\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  user-select: none;\n  border-radius: var(--sc-radius, var(--mantine-radius-default));\n  font-size: var(--sc-font-size);\n  padding: var(--sc-padding);\n  transition: color var(--sc-transition-duration) var(--sc-transition-timing-function);\n  cursor: pointer;\n\n  /* outline is controlled by .input */\n  outline: var(--segmented-control-outline, none);\n}\n\n:where([data-mantine-color-scheme='light']) .m_1738fcb2 {\n    color: var(--mantine-color-gray-7);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_1738fcb2 {\n    color: var(--mantine-color-dark-1);\n}\n\n.m_1738fcb2:where([data-read-only]) {\n    cursor: default;\n  }\n\nfieldset:disabled .m_1738fcb2,\n  .m_1738fcb2:where([data-disabled]) {\n    cursor: not-allowed;\n  }\n\n:where([data-mantine-color-scheme='light']) fieldset:disabled .m_1738fcb2, :where([data-mantine-color-scheme='light']) .m_1738fcb2:where([data-disabled]) {\n      color: var(--mantine-color-gray-5);\n}\n\n:where([data-mantine-color-scheme='dark']) fieldset:disabled .m_1738fcb2, :where([data-mantine-color-scheme='dark']) .m_1738fcb2:where([data-disabled]) {\n      color: var(--mantine-color-dark-3);\n}\n\n:where([data-mantine-color-scheme='light']) .m_1738fcb2:where([data-active]) {\n      color: var(--sc-label-color, var(--mantine-color-black));\n}\n\n:where([data-mantine-color-scheme='dark']) .m_1738fcb2:where([data-active]) {\n      color: var(--sc-label-color, var(--mantine-color-white));\n}\n\n.m_cf365364:where([data-initialized]) .m_1738fcb2:where([data-active])::before {\n        display: none;\n      }\n\n.m_1738fcb2:where([data-active])::before {\n      content: '';\n      inset: 0;\n      z-index: 0;\n      position: absolute;\n      border-radius: var(--sc-radius, var(--mantine-radius-default));\n}\n\n:where([data-mantine-color-scheme='light']) .m_1738fcb2:where([data-active])::before {\n        box-shadow: var(--sc-shadow, none);\n        background-color: var(--sc-color, var(--mantine-color-white));\n}\n\n:where([data-mantine-color-scheme='dark']) .m_1738fcb2:where([data-active])::before {\n        box-shadow: none;\n        background-color: var(--sc-color, var(--mantine-color-dark-5));\n}\n\n@media (hover: hover) {\n      :where([data-mantine-color-scheme='light']) .m_1738fcb2:where(:not([data-disabled], [data-active], [data-read-only])):hover {\n        color: var(--mantine-color-black);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_1738fcb2:where(:not([data-disabled], [data-active], [data-read-only])):hover {\n        color: var(--mantine-color-white);\n  }\n}\n\n@media (hover: none) {\n      :where([data-mantine-color-scheme='light']) .m_1738fcb2:where(:not([data-disabled], [data-active], [data-read-only])):active {\n        color: var(--mantine-color-black);\n  }\n\n      :where([data-mantine-color-scheme='dark']) .m_1738fcb2:where(:not([data-disabled], [data-active], [data-read-only])):active {\n        color: var(--mantine-color-white);\n  }\n}\n\n@media (hover: hover) {\n      :where([data-mantine-color-scheme='light']) fieldset:disabled .m_1738fcb2:hover {\n        color: var(--mantine-color-gray-5) !important;\n  }\n\n      :where([data-mantine-color-scheme='dark']) fieldset:disabled .m_1738fcb2:hover {\n        color: var(--mantine-color-dark-3) !important;\n  }\n}\n\n@media (hover: none) {\n      :where([data-mantine-color-scheme='light']) fieldset:disabled .m_1738fcb2:active {\n        color: var(--mantine-color-gray-5) !important;\n  }\n\n      :where([data-mantine-color-scheme='dark']) fieldset:disabled .m_1738fcb2:active {\n        color: var(--mantine-color-dark-3) !important;\n  }\n}\n\n.m_1714d588 {\n  height: 0;\n  width: 0;\n  position: absolute;\n  overflow: hidden;\n  white-space: nowrap;\n  opacity: 0;\n}\n\n.m_1714d588[data-focus-ring='auto']:focus:focus-visible + .m_1738fcb2 {\n        --segmented-control-outline: 2px solid var(--mantine-color-blue-filled);\n      }\n\n.m_1714d588[data-focus-ring='always']:focus + .m_1738fcb2 {\n        --segmented-control-outline: 2px solid var(--mantine-color-blue-filled);\n      }\n\n.m_69686b9b {\n  position: relative;\n  flex: 1;\n  z-index: 2;\n  transition: border-color var(--sc-transition-duration) var(--sc-transition-timing-function);\n}\n\n.m_cf365364[data-with-items-borders] :where(.m_69686b9b)::before {\n    content: '';\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    inset-inline-start: 0;\n    background-color: var(--separator-color);\n    width: calc(0.0625rem * var(--mantine-scale));\n    transition: background-color var(--sc-transition-duration) var(--sc-transition-timing-function);\n  }\n\n.m_69686b9b[data-orientation='vertical']::before {\n      top: 0;\n      inset-inline: 0;\n      bottom: auto;\n      height: calc(0.0625rem * var(--mantine-scale));\n      width: auto;\n    }\n\n:where([data-mantine-color-scheme='light']) .m_69686b9b {\n    --separator-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_69686b9b {\n    --separator-color: var(--mantine-color-dark-4);\n}\n\n.m_69686b9b:first-of-type::before {\n      --separator-color: transparent;\n    }\n\n[data-mantine-color-scheme] .m_69686b9b[data-active]::before, [data-mantine-color-scheme] .m_69686b9b[data-active] + .m_69686b9b::before {\n          --separator-color: transparent;\n        }\n\n.m_78882f40 {\n  position: relative;\n  z-index: 2;\n}\n\n.m_2415a157 {\n  display: grid;\n  grid-template-columns: repeat(var(--sg-cols), minmax(0, 1fr));\n  gap: var(--sg-spacing-y) var(--sg-spacing-x);\n}\n\n@keyframes m_299c329c {\n  0%,\n  100% {\n    opacity: 0.4;\n  }\n\n  50% {\n    opacity: 1;\n  }\n}\n\n.m_18320242 {\n  height: var(--skeleton-height, auto);\n  width: var(--skeleton-width, 100%);\n  border-radius: var(--skeleton-radius, var(--mantine-radius-default));\n  position: relative;\n  transform: translateZ(0);\n  -webkit-transform: translateZ(0);\n}\n\n.m_18320242:where([data-animate])::after {\n    animation: m_299c329c 1500ms linear infinite;\n  }\n\n.m_18320242:where([data-visible]) {\n    overflow: hidden;\n  }\n\n.m_18320242:where([data-visible])::before {\n      position: absolute;\n      content: '';\n      inset: 0;\n      z-index: 10;\n      background-color: var(--mantine-color-body);\n    }\n\n.m_18320242:where([data-visible])::after {\n      position: absolute;\n      content: '';\n      inset: 0;\n      z-index: 11;\n    }\n\n:where([data-mantine-color-scheme='light']) .m_18320242:where([data-visible])::after {\n        background-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_18320242:where([data-visible])::after {\n        background-color: var(--mantine-color-dark-4);\n}\n\n.m_dd36362e {\n  --slider-size-xs: calc(0.25rem * var(--mantine-scale));\n  --slider-size-sm: calc(0.375rem * var(--mantine-scale));\n  --slider-size-md: calc(0.5rem * var(--mantine-scale));\n  --slider-size-lg: calc(0.625rem * var(--mantine-scale));\n  --slider-size-xl: calc(0.75rem * var(--mantine-scale));\n\n  --slider-size: var(--slider-size-md);\n  --slider-radius: calc(62.5rem * var(--mantine-scale));\n  --slider-color: var(--mantine-primary-color-filled);\n\n  -webkit-tap-highlight-color: transparent;\n  outline: none;\n  height: calc(var(--slider-size) * 2);\n  padding-inline: var(--slider-size);\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  touch-action: none;\n  position: relative;\n}\n\n  [data-mantine-color-scheme='light'] .m_dd36362e {\n    --slider-track-bg: var(--mantine-color-gray-2);\n    --slider-track-disabled-bg: var(--mantine-color-gray-4);\n}\n\n  [data-mantine-color-scheme='dark'] .m_dd36362e {\n    --slider-track-bg: var(--mantine-color-dark-4);\n    --slider-track-disabled-bg: var(--mantine-color-dark-3);\n}\n\n.m_c9357328 {\n  position: absolute;\n  top: calc(-2.25rem * var(--mantine-scale));\n  font-size: var(--mantine-font-size-xs);\n  color: var(--mantine-color-white);\n  padding: calc(var(--mantine-spacing-xs) / 2);\n  border-radius: var(--mantine-radius-sm);\n  white-space: nowrap;\n  pointer-events: none;\n  user-select: none;\n  touch-action: none;\n}\n\n:where([data-mantine-color-scheme='light']) .m_c9357328 {\n    background-color: var(--mantine-color-gray-9);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_c9357328 {\n    background-color: var(--mantine-color-dark-4);\n}\n\n.m_c9a9a60a {\n  position: absolute;\n  display: flex;\n  height: var(--slider-thumb-size);\n  width: var(--slider-thumb-size);\n  border: calc(0.25rem * var(--mantine-scale)) solid;\n  transform: translate(-50%, -50%);\n  color: var(--slider-color);\n  top: 50%;\n  cursor: pointer;\n  border-radius: var(--slider-radius);\n  align-items: center;\n  justify-content: center;\n  transition:\n    box-shadow 100ms ease,\n    transform 100ms ease;\n  z-index: 3;\n  user-select: none;\n  touch-action: none;\n  outline-offset: calc(0.125rem * var(--mantine-scale));\n  left: var(--slider-thumb-offset);\n}\n\n:where([dir=\"rtl\"]) .m_c9a9a60a {\n    left: auto;\n    right: calc(var(--slider-thumb-offset) - var(--slider-thumb-size));\n}\n\nfieldset:disabled .m_c9a9a60a,\n  .m_c9a9a60a:where([data-disabled]) {\n    display: none;\n  }\n\n.m_c9a9a60a:where([data-dragging]) {\n    transform: translate(-50%, -50%) scale(1.05);\n    box-shadow: var(--mantine-shadow-sm);\n  }\n\n:where([data-mantine-color-scheme='light']) .m_c9a9a60a {\n    border-color: var(--slider-color);\n    background-color: var(--mantine-color-white);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_c9a9a60a {\n    border-color: var(--mantine-color-white);\n    background-color: var(--slider-color);\n}\n\n.m_a8645c2 {\n  display: flex;\n  align-items: center;\n  width: 100%;\n  height: calc(var(--slider-size) * 2);\n  cursor: pointer;\n}\n\nfieldset:disabled .m_a8645c2,\n  .m_a8645c2:where([data-disabled]) {\n    cursor: not-allowed;\n  }\n\n.m_c9ade57f {\n  position: relative;\n  width: 100%;\n  height: var(--slider-size);\n}\n\n.m_c9ade57f:where([data-inverted]:not([data-disabled])) {\n    --track-bg: var(--slider-color);\n  }\n\nfieldset:disabled .m_c9ade57f:where([data-inverted]),\n  .m_c9ade57f:where([data-inverted][data-disabled]) {\n    --track-bg: var(--slider-track-disabled-bg);\n  }\n\n.m_c9ade57f::before {\n    content: '';\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    border-radius: var(--slider-radius);\n    inset-inline: calc(var(--slider-size) * -1);\n    background-color: var(--track-bg, var(--slider-track-bg));\n    z-index: 0;\n  }\n\n.m_38aeed47 {\n  position: absolute;\n  z-index: 1;\n  top: 0;\n  bottom: 0;\n  background-color: var(--slider-color);\n  border-radius: var(--slider-radius);\n  width: var(--slider-bar-width);\n  inset-inline-start: var(--slider-bar-offset);\n}\n\n.m_38aeed47:where([data-inverted]) {\n    background-color: var(--slider-track-bg);\n  }\n\n:where([data-mantine-color-scheme='light']) fieldset:disabled .m_38aeed47:where(:not([data-inverted])), :where([data-mantine-color-scheme='light']) .m_38aeed47:where([data-disabled]:not([data-inverted])) {\n      background-color: var(--mantine-color-gray-4);\n}\n\n:where([data-mantine-color-scheme='dark']) fieldset:disabled .m_38aeed47:where(:not([data-inverted])), :where([data-mantine-color-scheme='dark']) .m_38aeed47:where([data-disabled]:not([data-inverted])) {\n      background-color: var(--mantine-color-dark-3);\n}\n\n.m_b7b0423a {\n  position: absolute;\n  inset-inline-start: calc(var(--mark-offset) - var(--slider-size) / 2);\n  top: 0;\n  z-index: 2;\n  height: 0;\n  pointer-events: none;\n}\n\n.m_dd33bc19 {\n  border: calc(0.125rem * var(--mantine-scale)) solid;\n  height: var(--slider-size);\n  width: var(--slider-size);\n  border-radius: calc(62.5rem * var(--mantine-scale));\n  transform: translateX((calc(var(--slider-size) / -2)));\n  background-color: var(--mantine-color-white);\n  pointer-events: none;\n}\n\n:where([data-mantine-color-scheme='light']) .m_dd33bc19 {\n    border-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_dd33bc19 {\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_dd33bc19:where([data-filled]) {\n    border-color: var(--slider-color);\n  }\n\n:where([data-mantine-color-scheme='light']) .m_dd33bc19:where([data-filled]):where([data-disabled]) {\n        border-color: var(--mantine-color-gray-4);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_dd33bc19:where([data-filled]):where([data-disabled]) {\n        border-color: var(--mantine-color-dark-3);\n}\n\n.m_68c77a5b {\n  transform: translate(calc(-50% + var(--slider-size) / 2), calc(var(--mantine-spacing-xs) / 2));\n  font-size: var(--mantine-font-size-sm);\n  white-space: nowrap;\n  cursor: pointer;\n  user-select: none;\n}\n\n:where([data-mantine-color-scheme='light']) .m_68c77a5b {\n    color: var(--mantine-color-gray-6);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_68c77a5b {\n    color: var(--mantine-color-dark-2);\n}\n\n.m_559cce2d {\n  position: relative;\n}\n\n  .m_559cce2d:where([data-has-spoiler]) {\n    margin-bottom: calc(1.5rem * var(--mantine-scale));\n  }\n\n.m_b912df4e {\n  display: flex;\n  flex-direction: column;\n  overflow: hidden;\n  transition: max-height var(--spoiler-transition-duration, 200ms) ease;\n}\n\n.m_b9131032 {\n  position: absolute;\n  inset-inline-start: 0;\n  top: 100%;\n  height: calc(1.5rem * var(--mantine-scale));\n}\n\n.m_6d731127 {\n  display: flex;\n  flex-direction: column;\n  align-items: var(--stack-align, stretch);\n  justify-content: var(--stack-justify, flex-start);\n  gap: var(--stack-gap, var(--mantine-spacing-md));\n}\n\n.m_cbb4ea7e {\n  --stepper-icon-size-xs: calc(2.125rem * var(--mantine-scale));\n  --stepper-icon-size-sm: calc(2.25rem * var(--mantine-scale));\n  --stepper-icon-size-md: calc(2.625rem * var(--mantine-scale));\n  --stepper-icon-size-lg: calc(3rem * var(--mantine-scale));\n  --stepper-icon-size-xl: calc(3.25rem * var(--mantine-scale));\n\n  --stepper-icon-size: var(--stepper-icon-size-md);\n  --stepper-color: var(--mantine-primary-color-filled);\n  --stepper-content-padding: var(--mantine-spacing-md);\n  --stepper-spacing: var(--mantine-spacing-md);\n  --stepper-radius: calc(62.5rem * var(--mantine-scale));\n  --stepper-fz: var(--mantine-font-size-md);\n}\n\n.m_aaf89d0b {\n  display: flex;\n  flex-wrap: nowrap;\n  align-items: center;\n}\n\n.m_aaf89d0b:where([data-wrap]) {\n    flex-wrap: wrap;\n    gap: var(--mantine-spacing-md) 0;\n  }\n\n.m_aaf89d0b:where([data-orientation='vertical']) {\n    flex-direction: column;\n  }\n\n.m_aaf89d0b:where([data-orientation='vertical']):where([data-icon-position='left']) {\n      align-items: flex-start;\n    }\n\n.m_aaf89d0b:where([data-orientation='vertical']):where([data-icon-position='right']) {\n      align-items: flex-end;\n    }\n\n.m_aaf89d0b:where([data-orientation='horizontal']) {\n    flex-direction: row;\n  }\n\n.m_2a371ac9 {\n  --separator-offset: calc(var(--stepper-icon-size) / 2 - calc(0.0625rem * var(--mantine-scale)));\n\n  transition: background-color 150ms ease;\n  flex: 1;\n}\n\n:where([data-mantine-color-scheme='light']) .m_2a371ac9 {\n    background-color: var(--mantine-color-gray-2);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_2a371ac9 {\n    background-color: var(--mantine-color-dark-2);\n}\n\n.m_2a371ac9:where([data-active]) {\n    background-color: var(--stepper-color);\n  }\n\n.m_2a371ac9:where([data-orientation='horizontal']) {\n    height: calc(0.125rem * var(--mantine-scale));\n    margin-inline: var(--mantine-spacing-md);\n  }\n\n.m_2a371ac9:where([data-orientation='vertical']) {\n    width: calc(0.125rem * var(--mantine-scale));\n    margin-top: calc(var(--mantine-spacing-xs) / 2);\n    margin-bottom: calc(var(--mantine-spacing-xs) - calc(0.125rem * var(--mantine-scale)));\n  }\n\n.m_2a371ac9:where([data-orientation='vertical']):where([data-icon-position='left']) {\n      margin-inline-start: var(--separator-offset);\n    }\n\n.m_2a371ac9:where([data-orientation='vertical']):where([data-icon-position='right']) {\n      margin-inline-end: var(--separator-offset);\n    }\n\n.m_78da155d {\n  padding-top: var(--stepper-content-padding);\n}\n\n.m_cbb57068 {\n  --step-color: var(--stepper-color);\n\n  display: flex;\n  cursor: default;\n}\n\n.m_cbb57068:where([data-allow-click]) {\n    cursor: pointer;\n  }\n\n.m_cbb57068:where([data-icon-position='left']) {\n    flex-direction: row;\n  }\n\n.m_cbb57068:where([data-icon-position='right']) {\n    flex-direction: row-reverse;\n  }\n\n.m_f56b1e2c {\n  align-items: center;\n}\n\n.m_833edb7e {\n  --separator-spacing: calc(var(--mantine-spacing-xs) / 2);\n\n  justify-content: flex-start;\n  min-height: calc(var(--stepper-icon-size) + var(--mantine-spacing-xl) + var(--separator-spacing));\n  margin-top: var(--separator-spacing);\n  overflow: hidden;\n}\n\n.m_833edb7e:where(:first-of-type) {\n    margin-top: 0;\n  }\n\n.m_833edb7e:where(:last-of-type) .m_6496b3f3 {\n    display: none;\n  }\n\n.m_818e70b {\n  position: relative;\n}\n\n.m_6496b3f3 {\n  top: calc(var(--stepper-icon-size) + var(--separator-spacing));\n  inset-inline-start: calc(var(--stepper-icon-size) / 2);\n  height: 100vh;\n  position: absolute;\n  border-inline-start: calc(0.125rem * var(--mantine-scale)) solid;\n}\n\n:where([data-mantine-color-scheme='light']) .m_6496b3f3 {\n    border-color: var(--mantine-color-gray-1);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_6496b3f3 {\n    border-color: var(--mantine-color-dark-5);\n}\n\n.m_6496b3f3:where([data-active]) {\n    border-color: var(--stepper-color);\n  }\n\n.m_1959ad01 {\n  height: var(--stepper-icon-size);\n  width: var(--stepper-icon-size);\n  min-height: var(--stepper-icon-size);\n  min-width: var(--stepper-icon-size);\n  border-radius: var(--stepper-radius);\n  font-size: var(--stepper-fz);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  position: relative;\n  font-weight: bold;\n  transition:\n    background-color 150ms ease,\n    border-color 150ms ease;\n  border: calc(0.125rem * var(--mantine-scale)) solid;\n}\n\n:where([data-mantine-color-scheme='light']) .m_1959ad01 {\n    background-color: var(--mantine-color-gray-1);\n    border-color: var(--mantine-color-gray-1);\n    color: var(--mantine-color-gray-7);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_1959ad01 {\n    background-color: var(--mantine-color-dark-5);\n    border-color: var(--mantine-color-dark-5);\n    color: var(--mantine-color-dark-1);\n}\n\n.m_1959ad01:where([data-progress]) {\n    border-color: var(--step-color);\n  }\n\n.m_1959ad01:where([data-completed]) {\n    color: var(--stepper-icon-color, var(--mantine-color-white));\n    background-color: var(--step-color);\n    border-color: var(--step-color);\n  }\n\n.m_a79331dc {\n  position: absolute;\n  inset: 0;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  color: var(--stepper-icon-color, var(--mantine-color-white));\n}\n\n.m_1956aa2a {\n  display: flex;\n  flex-direction: column;\n}\n\n.m_1956aa2a:where([data-icon-position='left']) {\n    margin-inline-start: var(--mantine-spacing-sm);\n  }\n\n.m_1956aa2a:where([data-icon-position='right']) {\n    text-align: right;\n    margin-inline-end: var(--mantine-spacing-sm);\n  }\n\n:where([dir=\"rtl\"]) .m_1956aa2a:where([data-icon-position='right']) {\n      text-align: left;\n}\n\n.m_12051f6c {\n  font-weight: 500;\n  font-size: var(--stepper-fz);\n  line-height: 1;\n}\n\n.m_164eea74 {\n  margin-top: calc(var(--stepper-spacing) / 3);\n  margin-bottom: calc(var(--stepper-spacing) / 3);\n  font-size: calc(var(--stepper-fz) - calc(0.125rem * var(--mantine-scale)));\n  line-height: 1;\n  color: var(--mantine-color-dimmed);\n}\n\n.m_5f93f3bb {\n  --switch-height-xs: calc(1rem * var(--mantine-scale));\n  --switch-height-sm: calc(1.25rem * var(--mantine-scale));\n  --switch-height-md: calc(1.5rem * var(--mantine-scale));\n  --switch-height-lg: calc(1.875rem * var(--mantine-scale));\n  --switch-height-xl: calc(2.25rem * var(--mantine-scale));\n\n  --switch-width-xs: calc(2rem * var(--mantine-scale));\n  --switch-width-sm: calc(2.375rem * var(--mantine-scale));\n  --switch-width-md: calc(2.875rem * var(--mantine-scale));\n  --switch-width-lg: calc(3.5rem * var(--mantine-scale));\n  --switch-width-xl: calc(4.5rem * var(--mantine-scale));\n\n  --switch-thumb-size-xs: calc(0.75rem * var(--mantine-scale));\n  --switch-thumb-size-sm: calc(0.875rem * var(--mantine-scale));\n  --switch-thumb-size-md: calc(1.125rem * var(--mantine-scale));\n  --switch-thumb-size-lg: calc(1.375rem * var(--mantine-scale));\n  --switch-thumb-size-xl: calc(1.75rem * var(--mantine-scale));\n\n  --switch-label-font-size-xs: calc(0.3125rem * var(--mantine-scale));\n  --switch-label-font-size-sm: calc(0.375rem * var(--mantine-scale));\n  --switch-label-font-size-md: calc(0.4375rem * var(--mantine-scale));\n  --switch-label-font-size-lg: calc(0.5625rem * var(--mantine-scale));\n  --switch-label-font-size-xl: calc(0.6875rem * var(--mantine-scale));\n\n  --switch-track-label-padding-xs: calc(0.0625rem * var(--mantine-scale));\n  --switch-track-label-padding-sm: calc(0.125rem * var(--mantine-scale));\n  --switch-track-label-padding-md: calc(0.125rem * var(--mantine-scale));\n  --switch-track-label-padding-lg: calc(0.1875rem * var(--mantine-scale));\n  --switch-track-label-padding-xl: calc(0.1875rem * var(--mantine-scale));\n\n  --switch-height: var(--switch-height-sm);\n  --switch-width: var(--switch-width-sm);\n  --switch-thumb-size: var(--switch-thumb-size-sm);\n  --switch-label-font-size: var(--switch-label-font-size-sm);\n  --switch-track-label-padding: var(--switch-track-label-padding-sm);\n  --switch-radius: calc(62.5rem * var(--mantine-scale));\n  --switch-color: var(--mantine-primary-color-filled);\n\n  position: relative;\n}\n\n.m_926b4011 {\n  height: 0;\n  width: 0;\n  opacity: 0;\n  margin: 0;\n  padding: 0;\n  position: absolute;\n  overflow: hidden;\n  white-space: nowrap;\n}\n\n.m_9307d992 {\n  -webkit-tap-highlight-color: transparent;\n  cursor: var(--switch-cursor, var(--mantine-cursor-type));\n  overflow: hidden;\n  position: relative;\n  border-radius: var(--switch-radius);\n  background-color: var(--switch-bg);\n  border: 1px solid var(--switch-bd);\n  height: var(--switch-height);\n  min-width: var(--switch-width);\n  margin: 0;\n  transition:\n    background-color 150ms ease,\n    border-color 150ms ease;\n  appearance: none;\n  display: flex;\n  align-items: center;\n  font-size: var(--switch-label-font-size);\n  font-weight: 600;\n  order: var(--switch-order, 1);\n  user-select: none;\n  z-index: 0;\n  line-height: 0;\n  color: var(--switch-text-color);\n}\n\n.m_926b4011:focus-visible + .m_9307d992 {\n    outline: 2px solid var(--mantine-primary-color-filled);\n    outline-offset: calc(0.125rem * var(--mantine-scale));\n  }\n\n.m_926b4011:checked + .m_9307d992 {\n    --switch-bg: var(--switch-color);\n    --switch-bd: var(--switch-color);\n    --switch-text-color: var(--mantine-color-white);\n  }\n\n.m_926b4011:disabled + .m_9307d992,\n  .m_926b4011[data-disabled] + .m_9307d992 {\n    --switch-bg: var(--switch-disabled-color);\n    --switch-bd: var(--switch-disabled-color);\n    --switch-cursor: not-allowed;\n  }\n\n[data-mantine-color-scheme='light'] .m_9307d992 {\n    --switch-bg: var(--mantine-color-gray-2);\n    --switch-bd: var(--mantine-color-gray-3);\n    --switch-text-color: var(--mantine-color-gray-6);\n    --switch-disabled-color: var(--mantine-color-gray-2);\n}\n\n[data-mantine-color-scheme='dark'] .m_9307d992 {\n    --switch-bg: var(--mantine-color-dark-6);\n    --switch-bd: var(--mantine-color-dark-4);\n    --switch-text-color: var(--mantine-color-dark-1);\n    --switch-disabled-color: var(--mantine-color-dark-4);\n}\n\n.m_9307d992[data-error] {\n    --switch-bd: var(--mantine-color-error);\n  }\n\n.m_9307d992[data-label-position='left'] {\n    --switch-order: 2;\n  }\n\n.m_93039a1d {\n  position: absolute;\n  z-index: 1;\n  border-radius: var(--switch-radius);\n  display: flex;\n  background-color: var(--switch-thumb-bg, var(--mantine-color-white));\n  height: var(--switch-thumb-size);\n  width: var(--switch-thumb-size);\n  border: 1px solid var(--switch-thumb-bd);\n  inset-inline-start: var(--switch-thumb-start, var(--switch-track-label-padding));\n  transition: inset-inline-start 150ms ease;\n}\n\n.m_93039a1d > * {\n    margin: auto;\n  }\n\n.m_926b4011:checked + * > .m_93039a1d {\n    --switch-thumb-start: calc(100% - var(--switch-thumb-size) - var(--switch-track-label-padding));\n    --switch-thumb-bd: var(--mantine-color-white);\n  }\n\n.m_926b4011:disabled + * > .m_93039a1d,\n  .m_926b4011[data-disabled] + * > .m_93039a1d {\n    --switch-thumb-bd: var(--switch-thumb-bg-disabled);\n    --switch-thumb-bg: var(--switch-thumb-bg-disabled);\n  }\n\n[data-mantine-color-scheme='light'] .m_93039a1d {\n    --switch-thumb-bd: var(--mantine-color-gray-3);\n    --switch-thumb-bg-disabled: var(--mantine-color-gray-0);\n}\n\n[data-mantine-color-scheme='dark'] .m_93039a1d {\n    --switch-thumb-bd: var(--mantine-color-white);\n    --switch-thumb-bg-disabled: var(--mantine-color-dark-3);\n}\n\n.m_8277e082 {\n  height: 100%;\n  display: grid;\n  place-content: center;\n  min-width: calc(var(--switch-width) - var(--switch-thumb-size));\n  padding-inline: var(--switch-track-label-padding);\n  margin-inline-start: calc(var(--switch-thumb-size) + var(--switch-track-label-padding));\n  transition: margin 150ms ease;\n}\n\n.m_926b4011:checked + * > .m_8277e082 {\n    margin-inline-end: calc(var(--switch-thumb-size) + var(--switch-track-label-padding));\n    margin-inline-start: 0;\n  }\n\n.m_b23fa0ef {\n  width: 100%;\n  border-collapse: collapse;\n  line-height: var(--mantine-line-height);\n  font-size: var(--mantine-font-size-sm);\n  table-layout: var(--table-layout, auto);\n  caption-side: var(--table-caption-side, bottom);\n  border: none;\n}\n\n  :where([data-mantine-color-scheme='light']) .m_b23fa0ef {\n    --table-hover-color: var(--mantine-color-gray-1);\n    --table-striped-color: var(--mantine-color-gray-0);\n    --table-border-color: var(--mantine-color-gray-3);\n}\n\n  :where([data-mantine-color-scheme='dark']) .m_b23fa0ef {\n    --table-hover-color: var(--mantine-color-dark-5);\n    --table-striped-color: var(--mantine-color-dark-6);\n    --table-border-color: var(--mantine-color-dark-4);\n}\n\n  .m_b23fa0ef:where([data-with-table-border]) {\n    border: 1px solid var(--table-border-color);\n  }\n\n.m_4e7aa4f3 {\n  text-align: left;\n}\n\n:where([dir=\"rtl\"]) .m_4e7aa4f3 {\n    text-align: right;\n}\n\n.m_4e7aa4fd {\n  border-bottom: none;\n  background-color: transparent;\n}\n\n@media (hover: hover) {\n    .m_4e7aa4fd:hover:where([data-hover]) {\n      background-color: var(--tr-hover-bg);\n    }\n}\n\n@media (hover: none) {\n    .m_4e7aa4fd:active:where([data-hover]) {\n      background-color: var(--tr-hover-bg);\n    }\n}\n\n.m_4e7aa4fd:where([data-with-row-border]) {\n    border-bottom: 1px solid var(--table-border-color);\n  }\n\n.m_4e7aa4ef,\n.m_4e7aa4f3 {\n  padding: var(--table-vertical-spacing) var(--table-horizontal-spacing, var(--mantine-spacing-xs));\n}\n\n.m_4e7aa4ef:where([data-with-column-border]:not(:last-child)), .m_4e7aa4f3:where([data-with-column-border]:not(:last-child)) {\n    border-inline-end: 1px solid var(--table-border-color);\n  }\n\n.m_b2404537 :where(tr):where([data-with-row-border]:last-of-type) {\n      border-bottom: none;\n    }\n\n.m_b2404537 :where(tr):where([data-striped='odd']:nth-of-type(odd)) {\n      background-color: var(--table-striped-color);\n    }\n\n.m_b2404537 :where(tr):where([data-striped='even']:nth-of-type(even)) {\n      background-color: var(--table-striped-color);\n    }\n\n.m_b2404537 :where(tr)[data-hover] {\n      --tr-hover-bg: var(--table-highlight-on-hover-color, var(--table-hover-color));\n    }\n\n.m_b242d975 {\n  top: var(--table-sticky-header-offset, 0);\n  z-index: 1;\n}\n\n.m_b242d975:where([data-sticky]) {\n    position: sticky;\n    background-color: var(--mantine-color-body);\n  }\n\n.m_9e5a3ac7 {\n  color: var(--mantine-color-dimmed);\n}\n\n.m_9e5a3ac7:where([data-side='top']) {\n    margin-bottom: var(--mantine-spacing-xs);\n  }\n\n.m_9e5a3ac7:where([data-side='bottom']) {\n    margin-top: var(--mantine-spacing-xs);\n  }\n\n.m_a100c15 {\n  overflow-x: var(--table-overflow);\n}\n\n.m_62259741 {\n  min-width: var(--table-min-width);\n}\n\n.m_89d60db1 {\n  display: var(--tabs-display);\n  flex-direction: var(--tabs-flex-direction);\n\n  --tab-justify: flex-start;\n  --tabs-list-direction: row;\n  --tabs-panel-grow: unset;\n  --tabs-display: block;\n  --tabs-flex-direction: row;\n  --tabs-list-border-width: 0;\n  --tabs-list-border-size: 0 0 var(--tabs-list-border-width) 0;\n  --tabs-list-gap: unset;\n\n  --tabs-list-line-bottom: 0;\n  --tabs-list-line-top: unset;\n  --tabs-list-line-start: 0;\n  --tabs-list-line-end: 0;\n\n  --tab-radius: var(--tabs-radius) var(--tabs-radius) 0 0;\n  --tab-border-width: 0 0 var(--tabs-list-border-width) 0;\n}\n\n  .m_89d60db1[data-inverted] {\n    --tabs-list-line-bottom: unset;\n    --tabs-list-line-top: 0;\n    --tab-radius: 0 0 var(--tabs-radius) var(--tabs-radius);\n    --tab-border-width: var(--tabs-list-border-width) 0 0 0;\n  }\n\n  .m_89d60db1[data-inverted] .m_576c9d4::before {\n      top: 0;\n      bottom: unset;\n    }\n\n  .m_89d60db1[data-orientation='vertical'] {\n    --tabs-list-line-start: unset;\n    --tabs-list-line-end: 0;\n    --tabs-list-line-top: 0;\n    --tabs-list-line-bottom: 0;\n    --tabs-list-border-size: 0 var(--tabs-list-border-width) 0 0;\n    --tab-border-width: 0 var(--tabs-list-border-width) 0 0;\n    --tab-radius: var(--tabs-radius) 0 0 var(--tabs-radius);\n    --tabs-list-direction: column;\n    --tabs-panel-grow: 1;\n    --tabs-display: flex;\n  }\n\n  [dir=\"rtl\"] .m_89d60db1[data-orientation='vertical'] {\n      --tabs-list-border-size: 0 0 0 var(--tabs-list-border-width);\n      --tab-border-width: 0 0 0 var(--tabs-list-border-width);\n      --tab-radius: 0 var(--tabs-radius) var(--tabs-radius) 0;\n}\n\n  .m_89d60db1[data-orientation='vertical'][data-placement='right'] {\n      --tabs-flex-direction: row-reverse;\n      --tabs-list-line-start: 0;\n      --tabs-list-line-end: unset;\n      --tabs-list-border-size: 0 0 0 var(--tabs-list-border-width);\n      --tab-border-width: 0 0 0 var(--tabs-list-border-width);\n      --tab-radius: 0 var(--tabs-radius) var(--tabs-radius) 0;\n    }\n\n  [dir=\"rtl\"] .m_89d60db1[data-orientation='vertical'][data-placement='right'] {\n        --tabs-list-border-size: 0 var(--tabs-list-border-width) 0 0;\n        --tab-border-width: 0 var(--tabs-list-border-width) 0 0;\n        --tab-radius: var(--tabs-radius) 0 0 var(--tabs-radius);\n}\n\n  [data-mantine-color-scheme='light'] .m_89d60db1 {\n    --tab-border-color: var(--mantine-color-gray-3);\n}\n\n  [data-mantine-color-scheme='dark'] .m_89d60db1 {\n    --tab-border-color: var(--mantine-color-dark-4);\n}\n\n  .m_89d60db1[data-orientation='horizontal'] {\n    --tab-justify: center;\n  }\n\n  .m_89d60db1[data-variant='default'] {\n    --tabs-list-border-width: calc(0.125rem * var(--mantine-scale));\n  }\n\n  [data-mantine-color-scheme='light'] .m_89d60db1[data-variant='default'] {\n      --tab-hover-color: var(--mantine-color-gray-0);\n}\n\n  [data-mantine-color-scheme='dark'] .m_89d60db1[data-variant='default'] {\n      --tab-hover-color: var(--mantine-color-dark-6);\n}\n\n  .m_89d60db1[data-variant='outline'] {\n    --tabs-list-border-width: calc(0.0625rem * var(--mantine-scale));\n  }\n\n  .m_89d60db1[data-variant='pills'] {\n    --tabs-list-gap: calc(var(--mantine-spacing-sm) / 2);\n  }\n\n  [data-mantine-color-scheme='light'] .m_89d60db1[data-variant='pills'] {\n      --tab-hover-color: var(--mantine-color-gray-0);\n}\n\n  [data-mantine-color-scheme='dark'] .m_89d60db1[data-variant='pills'] {\n      --tab-hover-color: var(--mantine-color-dark-6);\n}\n\n.m_89d33d6d {\n  display: flex;\n  flex-wrap: wrap;\n  justify-content: var(--tabs-justify, flex-start);\n  flex-direction: var(--tabs-list-direction);\n  gap: var(--tabs-list-gap);\n\n  --tab-grow: unset;\n}\n\n.m_89d33d6d[data-grow] {\n    --tab-grow: 1;\n  }\n\n.m_b0c91715 {\n  flex-grow: var(--tabs-panel-grow);\n}\n\n.m_4ec4dce6 {\n  position: relative;\n  padding: var(--mantine-spacing-xs) var(--mantine-spacing-md);\n  font-size: var(--mantine-font-size-sm);\n  white-space: nowrap;\n  z-index: 0;\n  display: flex;\n  align-items: center;\n  line-height: 1;\n  user-select: none;\n  flex-grow: var(--tab-grow);\n  justify-content: var(--tab-justify);\n}\n\n.m_4ec4dce6:disabled,\n  .m_4ec4dce6[data-disabled] {\n    opacity: 0.5;\n    cursor: not-allowed;\n  }\n\n.m_4ec4dce6:focus {\n    z-index: 1;\n  }\n\n.m_fc420b1f {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  margin-left: var(--tab-section-margin-left, 0);\n  margin-right: var(--tab-section-margin-right, 0);\n}\n\n.m_fc420b1f[data-position='left']:not(:only-child) {\n      --tab-section-margin-right: var(--mantine-spacing-xs);\n    }\n\n[dir=\"rtl\"] .m_fc420b1f[data-position='left']:not(:only-child) {\n        --tab-section-margin-right: 0rem;\n        --tab-section-margin-left: var(--mantine-spacing-xs);\n}\n\n.m_fc420b1f[data-position='right']:not(:only-child) {\n      --tab-section-margin-left: var(--mantine-spacing-xs);\n    }\n\n[dir=\"rtl\"] .m_fc420b1f[data-position='right']:not(:only-child) {\n        --tab-section-margin-left: 0rem;\n        --tab-section-margin-right: var(--mantine-spacing-xs);\n}\n\n/*************************************** default variant ***************************************/\n.m_576c9d4 {\n  position: relative;\n}\n.m_576c9d4::before {\n    content: '';\n    position: absolute;\n    border-color: var(--tab-border-color);\n    border-width: var(--tabs-list-border-size);\n    border-style: solid;\n    bottom: var(--tabs-list-line-bottom);\n    inset-inline-start: var(--tabs-list-line-start);\n    inset-inline-end: var(--tabs-list-line-end);\n    top: var(--tabs-list-line-top);\n  }\n\n.m_539e827b {\n  border-radius: var(--tab-radius);\n  border-width: var(--tab-border-width);\n  border-style: solid;\n  border-color: transparent;\n  background-color: var(--tab-bg);\n\n  --tab-bg: transparent;\n}\n\n.m_539e827b:where([data-active]) {\n    border-color: var(--tabs-color);\n  }\n\n@media (hover: hover) {\n\n  .m_539e827b:hover {\n    --tab-bg: var(--tab-hover-color);\n  }\n\n    .m_539e827b:hover:where(:not([data-active])) {\n      border-color: var(--tab-border-color);\n    }\n}\n\n@media (hover: none) {\n\n  .m_539e827b:active {\n    --tab-bg: var(--tab-hover-color);\n  }\n\n    .m_539e827b:active:where(:not([data-active])) {\n      border-color: var(--tab-border-color);\n    }\n}\n\n@media (hover: hover) {\n\n  .m_539e827b:disabled:hover, .m_539e827b[data-disabled]:hover {\n      --tab-bg: transparent;\n  }\n}\n\n@media (hover: none) {\n\n  .m_539e827b:disabled:active, .m_539e827b[data-disabled]:active {\n      --tab-bg: transparent;\n  }\n}\n\n/*************************************** outline variant ***************************************/\n.m_6772fbd5 {\n  position: relative;\n}\n.m_6772fbd5::before {\n    content: '';\n    position: absolute;\n    border-color: var(--tab-border-color);\n    border-width: var(--tabs-list-border-size);\n    border-style: solid;\n    bottom: var(--tabs-list-line-bottom);\n    inset-inline-start: var(--tabs-list-line-start);\n    inset-inline-end: var(--tabs-list-line-end);\n    top: var(--tabs-list-line-top);\n  }\n\n.m_b59ab47c {\n  border-top: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  border-bottom: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  border-right: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  border-left: calc(0.0625rem * var(--mantine-scale)) solid transparent;\n  border-top-color: var(--tab-border-top-color);\n  border-bottom-color: var(--tab-border-bottom-color);\n  border-radius: var(--tab-radius);\n  position: relative;\n\n  --tab-border-bottom-color: transparent;\n  --tab-border-top-color: transparent;\n  --tab-border-inline-end-color: transparent;\n  --tab-border-inline-start-color: transparent;\n}\n\n.m_b59ab47c:where([data-active])::before {\n      content: '';\n      position: absolute;\n      background-color: var(--tab-border-color);\n      bottom: var(--tab-before-bottom, calc(-0.0625rem * var(--mantine-scale)));\n      left: var(--tab-before-left, calc(-0.0625rem * var(--mantine-scale)));\n      right: var(--tab-before-right, auto);\n      top: var(--tab-before-top, auto);\n      width: calc(0.0625rem * var(--mantine-scale));\n      height: calc(0.0625rem * var(--mantine-scale));\n    }\n\n.m_b59ab47c:where([data-active])::after {\n      content: '';\n      position: absolute;\n      background-color: var(--tab-border-color);\n      bottom: var(--tab-after-bottom, calc(-0.0625rem * var(--mantine-scale)));\n      right: var(--tab-after-right, calc(-0.0625rem * var(--mantine-scale)));\n      left: var(--tab-after-left, auto);\n      top: var(--tab-after-top, auto);\n      width: calc(0.0625rem * var(--mantine-scale));\n      height: calc(0.0625rem * var(--mantine-scale));\n    }\n\n.m_b59ab47c:where([data-active]) {\n\n    border-top-color: var(--tab-border-top-color);\n    border-bottom-color: var(--tab-border-bottom-color);\n    border-inline-start-color: var(--tab-border-inline-start-color);\n    border-inline-end-color: var(--tab-border-inline-end-color);\n\n    --tab-border-top-color: var(--tab-border-color);\n    --tab-border-inline-start-color: var(--tab-border-color);\n    --tab-border-inline-end-color: var(--tab-border-color);\n    --tab-border-bottom-color: var(--mantine-color-body);\n}\n\n.m_b59ab47c:where([data-active])[data-inverted] {\n      --tab-border-bottom-color: var(--tab-border-color);\n      --tab-border-top-color: var(--mantine-color-body);\n\n      --tab-before-bottom: auto;\n      --tab-before-top: calc(-0.0625rem * var(--mantine-scale));\n      --tab-after-bottom: auto;\n      --tab-after-top: calc(-0.0625rem * var(--mantine-scale));\n    }\n\n.m_b59ab47c:where([data-active])[data-orientation='vertical'][data-placement='left'] {\n        --tab-border-inline-end-color: var(--mantine-color-body);\n        --tab-border-inline-start-color: var(--tab-border-color);\n        --tab-border-bottom-color: var(--tab-border-color);\n\n        --tab-before-right: calc(-0.0625rem * var(--mantine-scale));\n        --tab-before-left: auto;\n        --tab-before-bottom: auto;\n        --tab-before-top: calc(-0.0625rem * var(--mantine-scale));\n        --tab-after-left: auto;\n        --tab-after-right: calc(-0.0625rem * var(--mantine-scale));\n      }\n\n[dir=\"rtl\"] .m_b59ab47c:where([data-active])[data-orientation='vertical'][data-placement='left'] {\n          --tab-before-right: auto;\n          --tab-before-left: calc(-0.0625rem * var(--mantine-scale));\n          --tab-after-left: calc(-0.0625rem * var(--mantine-scale));\n          --tab-after-right: auto;\n}\n\n.m_b59ab47c:where([data-active])[data-orientation='vertical'][data-placement='right'] {\n        --tab-border-inline-start-color: var(--mantine-color-body);\n        --tab-border-inline-end-color: var(--tab-border-color);\n        --tab-border-bottom-color: var(--tab-border-color);\n\n        --tab-before-left: calc(-0.0625rem * var(--mantine-scale));\n        --tab-before-right: auto;\n        --tab-before-bottom: auto;\n        --tab-before-top: calc(-0.0625rem * var(--mantine-scale));\n        --tab-after-right: auto;\n        --tab-after-left: calc(-0.0625rem * var(--mantine-scale));\n      }\n\n[dir=\"rtl\"] .m_b59ab47c:where([data-active])[data-orientation='vertical'][data-placement='right'] {\n          --tab-before-left: auto;\n          --tab-before-right: calc(-0.0625rem * var(--mantine-scale));\n          --tab-after-right: calc(-0.0625rem * var(--mantine-scale));\n          --tab-after-left: auto;\n}\n\n/*************************************** pills variant ***************************************/\n.m_c3381914 {\n  border-radius: var(--tabs-radius);\n  background-color: var(--tab-bg);\n  color: var(--tab-color);\n\n  --tab-bg: transparent;\n  --tab-color: inherit;\n}\n@media (hover: hover) {\n\n  .m_c3381914:not([data-disabled]):hover {\n      --tab-bg: var(--tab-hover-color);\n  }\n}\n@media (hover: none) {\n\n  .m_c3381914:not([data-disabled]):active {\n      --tab-bg: var(--tab-hover-color);\n  }\n}\n.m_c3381914[data-active][data-active] {\n    --tab-bg: var(--tabs-color);\n    --tab-color: var(--tabs-text-color, var(--mantine-color-white));\n  }\n@media (hover: hover) {\n\n  .m_c3381914[data-active][data-active]:hover {\n      --tab-bg: var(--tabs-color);\n  }\n}\n@media (hover: none) {\n\n  .m_c3381914[data-active][data-active]:active {\n      --tab-bg: var(--tabs-color);\n  }\n}\n\n.m_7341320d {\n  --ti-size-xs: calc(1.125rem * var(--mantine-scale));\n  --ti-size-sm: calc(1.375rem * var(--mantine-scale));\n  --ti-size-md: calc(1.75rem * var(--mantine-scale));\n  --ti-size-lg: calc(2.125rem * var(--mantine-scale));\n  --ti-size-xl: calc(2.75rem * var(--mantine-scale));\n  --ti-size: var(--ti-size-md);\n\n  line-height: 1;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  position: relative;\n  user-select: none;\n\n  width: var(--ti-size);\n  height: var(--ti-size);\n  min-width: var(--ti-size);\n  min-height: var(--ti-size);\n  border-radius: var(--ti-radius, var(--mantine-radius-default));\n  background: var(--ti-bg, var(--mantine-primary-color-filled));\n  color: var(--ti-color, var(--mantine-color-white));\n  border: var(--ti-bd, 1px solid transparent);\n}\n\n.m_43657ece {\n  --offset: calc(var(--tl-bullet-size) / 2 + var(--tl-line-width) / 2);\n  --tl-bullet-size: calc(1.25rem * var(--mantine-scale));\n  --tl-line-width: calc(0.25rem * var(--mantine-scale));\n  --tl-radius: calc(62.5rem * var(--mantine-scale));\n  --tl-color: var(--mantine-primary-color-filled);\n}\n\n  .m_43657ece:where([data-align='left']) {\n    padding-inline-start: var(--offset);\n  }\n\n  .m_43657ece:where([data-align='right']) {\n    padding-inline-end: var(--offset);\n  }\n\n.m_2ebe8099 {\n  font-weight: 500;\n  line-height: 1;\n  margin-bottom: calc(var(--mantine-spacing-xs) / 2);\n}\n\n.m_436178ff {\n  --item-border: var(--tl-line-width) var(--tli-border-style, solid) var(--item-border-color);\n\n  position: relative;\n  color: var(--mantine-color-text);\n}\n\n.m_436178ff::before {\n    content: '';\n    pointer-events: none;\n    position: absolute;\n    top: 0;\n    left: var(--timeline-line-left, 0);\n    right: var(--timeline-line-right, 0);\n    bottom: calc(var(--mantine-spacing-xl) * -1);\n    border-inline-start: var(--item-border);\n    display: var(--timeline-line-display, none);\n  }\n\n.m_43657ece[data-align='left'] .m_436178ff::before {\n      --timeline-line-left: calc(var(--tl-line-width) * -1);\n      --timeline-line-right: auto;\n    }\n\n[dir=\"rtl\"] .m_43657ece[data-align='left'] .m_436178ff::before {\n        --timeline-line-left: auto;\n        --timeline-line-right: calc(var(--tl-line-width) * -1);\n}\n\n.m_43657ece[data-align='right'] .m_436178ff::before {\n      --timeline-line-left: auto;\n      --timeline-line-right: calc(var(--tl-line-width) * -1);\n    }\n\n[dir=\"rtl\"] .m_43657ece[data-align='right'] .m_436178ff::before {\n        --timeline-line-left: calc(var(--tl-line-width) * -1);\n        --timeline-line-right: auto;\n}\n\n.m_43657ece:where([data-align='left']) .m_436178ff {\n    padding-inline-start: var(--offset);\n    text-align: left;\n  }\n\n.m_43657ece:where([data-align='right']) .m_436178ff {\n    padding-inline-end: var(--offset);\n    text-align: right;\n  }\n\n:where([data-mantine-color-scheme='light']) .m_436178ff {\n    --item-border-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_436178ff {\n    --item-border-color: var(--mantine-color-dark-4);\n}\n\n.m_436178ff:where([data-line-active])::before {\n      border-color: var(--tli-color, var(--tl-color));\n    }\n\n.m_436178ff:where(:not(:last-of-type)) {\n    --timeline-line-display: block;\n  }\n\n.m_436178ff:where(:not(:first-of-type)) {\n    margin-top: var(--mantine-spacing-xl);\n  }\n\n.m_8affcee1 {\n  width: var(--tl-bullet-size);\n  height: var(--tl-bullet-size);\n  border-radius: var(--tli-radius, var(--tl-radius));\n  border: var(--tl-line-width) solid;\n  background-color: var(--mantine-color-body);\n  position: absolute;\n  top: 0;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  color: var(--mantine-color-text);\n}\n\n:where([data-mantine-color-scheme='light']) .m_8affcee1 {\n    border-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_8affcee1 {\n    border-color: var(--mantine-color-dark-4);\n}\n\n.m_43657ece:where([data-align='left']) .m_8affcee1 {\n    left: calc((var(--tl-bullet-size) / 2 + var(--tl-line-width) / 2) * -1);\n    right: auto;\n  }\n\n:where([dir=\"rtl\"]) .m_43657ece:where([data-align='left']) .m_8affcee1 {\n      left: auto;\n      right: calc((var(--tl-bullet-size) / 2 + var(--tl-line-width) / 2) * -1);\n}\n\n.m_43657ece:where([data-align='right']) .m_8affcee1 {\n    left: auto;\n    right: calc((var(--tl-bullet-size) / 2 + var(--tl-line-width) / 2) * -1);\n  }\n\n:where([dir=\"rtl\"]) .m_43657ece:where([data-align='right']) .m_8affcee1 {\n      left: calc((var(--tl-bullet-size) / 2 + var(--tl-line-width) / 2) * -1);\n      right: auto;\n}\n\n.m_8affcee1:where([data-with-child]) {\n    border-width: var(--tl-line-width);\n  }\n\n:where([data-mantine-color-scheme='light']) .m_8affcee1:where([data-with-child]) {\n      background-color: var(--mantine-color-gray-3);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_8affcee1:where([data-with-child]) {\n      background-color: var(--mantine-color-dark-4);\n}\n\n.m_8affcee1:where([data-active]) {\n    border-color: var(--tli-color, var(--tl-color));\n    background-color: var(--mantine-color-white);\n    color: var(--tl-icon-color, var(--mantine-color-white));\n  }\n\n.m_8affcee1:where([data-active]):where([data-with-child]) {\n      background-color: var(--tli-color, var(--tl-color));\n      color: var(--tl-icon-color, var(--mantine-color-white));\n    }\n\n.m_43657ece:where([data-align='left']) .m_540e8f41 {\n    padding-inline-start: var(--offset);\n    text-align: left;\n  }\n\n:where([dir=\"rtl\"]) .m_43657ece:where([data-align='left']) .m_540e8f41 {\n      text-align: right;\n}\n\n.m_43657ece:where([data-align='right']) .m_540e8f41 {\n    padding-inline-end: var(--offset);\n    text-align: right;\n  }\n\n:where([dir=\"rtl\"]) .m_43657ece:where([data-align='right']) .m_540e8f41 {\n      text-align: left;\n}\n\n.m_8a5d1357 {\n  margin: 0;\n  font-weight: var(--title-fw);\n  font-size: var(--title-fz);\n  line-height: var(--title-lh);\n  font-family: var(--mantine-font-family-headings);\n  text-wrap: var(--title-text-wrap, var(--mantine-heading-text-wrap));\n}\n\n  .m_8a5d1357:where([data-line-clamp]) {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    display: -webkit-box;\n    -webkit-line-clamp: var(--title-line-clamp);\n    -webkit-box-orient: vertical;\n  }\n\n.m_f698e191 {\n  --level-offset: var(--mantine-spacing-lg);\n  margin: 0;\n  padding: 0;\n  user-select: none;\n}\n\n.m_75f3ecf {\n  margin: 0;\n  padding: 0;\n}\n\n.m_f6970eb1 {\n  cursor: pointer;\n  list-style: none;\n  margin: 0;\n  padding: 0;\n  outline: 0;\n}\n\n.m_f6970eb1:focus-visible > .m_dc283425 {\n      outline: 2px solid var(--mantine-primary-color-filled);\n      outline-offset: calc(0.125rem * var(--mantine-scale));\n    }\n\n.m_dc283425 {\n  padding-inline-start: var(--label-offset);\n}\n\n:where([data-mantine-color-scheme='light']) .m_dc283425:where([data-selected]) {\n      background-color: var(--mantine-color-gray-1);\n}\n\n:where([data-mantine-color-scheme='dark']) .m_dc283425:where([data-selected]) {\n      background-color: var(--mantine-color-dark-5);\n}\n\n.m_d6493fad :first-child {\n    margin-top: 0;\n  }\n  .m_d6493fad :last-child {\n    margin-bottom: 0;\n  }\n  .m_d6493fad :where(h1, h2, h3, h4, h5, h6) {\n    margin-bottom: var(--mantine-spacing-xs);\n    text-wrap: var(--mantine-heading-text-wrap);\n  }\n  .m_d6493fad :where(h1) {\n    margin-top: calc(1.5 * var(--mantine-spacing-xl));\n    font-size: var(--mantine-h1-font-size);\n    line-height: var(--mantine-h1-line-height);\n    font-weight: var(--mantine-h1-font-weight);\n  }\n  .m_d6493fad :where(h2) {\n    margin-top: var(--mantine-spacing-xl);\n    font-size: var(--mantine-h2-font-size);\n    line-height: var(--mantine-h2-line-height);\n    font-weight: var(--mantine-h2-font-weight);\n  }\n  .m_d6493fad :where(h3) {\n    margin-top: calc(0.8 * var(--mantine-spacing-xl));\n    font-size: var(--mantine-h3-font-size);\n    line-height: var(--mantine-h3-line-height);\n    font-weight: var(--mantine-h3-font-weight);\n  }\n  .m_d6493fad :where(h4) {\n    margin-top: calc(0.8 * var(--mantine-spacing-xl));\n    font-size: var(--mantine-h4-font-size);\n    line-height: var(--mantine-h4-line-height);\n    font-weight: var(--mantine-h4-font-weight);\n  }\n  .m_d6493fad :where(h5) {\n    margin-top: calc(0.5 * var(--mantine-spacing-xl));\n    font-size: var(--mantine-h5-font-size);\n    line-height: var(--mantine-h5-line-height);\n    font-weight: var(--mantine-h5-font-weight);\n  }\n  .m_d6493fad :where(h6) {\n    margin-top: calc(0.5 * var(--mantine-spacing-xl));\n    font-size: var(--mantine-h6-font-size);\n    line-height: var(--mantine-h6-line-height);\n    font-weight: var(--mantine-h6-font-weight);\n  }\n  .m_d6493fad :where(img) {\n    max-width: 100%;\n    margin-bottom: var(--mantine-spacing-xs);\n  }\n  .m_d6493fad :where(p) {\n    margin-top: 0;\n    margin-bottom: var(--mantine-spacing-lg);\n  }\n  :where([data-mantine-color-scheme='light']) .m_d6493fad :where(mark) {\n      background-color: var(--mantine-color-yellow-2);\n      color: inherit;\n}\n  :where([data-mantine-color-scheme='dark']) .m_d6493fad :where(mark) {\n      background-color: var(--mantine-color-yellow-5);\n      color: var(--mantine-color-black);\n}\n  .m_d6493fad :where(a) {\n    color: var(--mantine-color-anchor);\n    text-decoration: none;\n  }\n  @media (hover: hover) {\n    .m_d6493fad :where(a):hover {\n      text-decoration: underline;\n    }\n}\n  @media (hover: none) {\n    .m_d6493fad :where(a):active {\n      text-decoration: underline;\n    }\n}\n  .m_d6493fad :where(hr) {\n    margin-top: var(--mantine-spacing-md);\n    margin-bottom: var(--mantine-spacing-md);\n    border: 0;\n    border-top: calc(0.0625rem * var(--mantine-scale)) solid;\n  }\n  :where([data-mantine-color-scheme='light']) .m_d6493fad :where(hr) {\n      border-color: var(--mantine-color-gray-3);\n}\n  :where([data-mantine-color-scheme='dark']) .m_d6493fad :where(hr) {\n      border-color: var(--mantine-color-dark-3);\n}\n  .m_d6493fad :where(pre) {\n    padding: var(--mantine-spacing-xs);\n    line-height: var(--mantine-line-height);\n    margin: 0;\n    margin-top: var(--mantine-spacing-md);\n    margin-bottom: var(--mantine-spacing-md);\n    overflow-x: auto;\n    font-family: var(--mantine-font-family-monospace);\n    font-size: var(--mantine-font-size-xs);\n    border-radius: var(--mantine-radius-sm);\n  }\n  :where([data-mantine-color-scheme='light']) .m_d6493fad :where(pre) {\n      background-color: var(--mantine-color-gray-0);\n}\n  :where([data-mantine-color-scheme='dark']) .m_d6493fad :where(pre) {\n      background-color: var(--mantine-color-dark-8);\n}\n  .m_d6493fad :where(pre) :where(code) {\n      background-color: transparent;\n      padding: 0;\n      border-radius: 0;\n      color: inherit;\n      border: 0;\n    }\n  .m_d6493fad :where(kbd) {\n    --kbd-fz: calc(0.75rem * var(--mantine-scale));\n    --kbd-padding: calc(0.1875rem * var(--mantine-scale)) calc(0.3125rem * var(--mantine-scale));\n\n    font-family: var(--mantine-font-family-monospace);\n    line-height: var(--mantine-line-height);\n    font-weight: 700;\n    padding: var(--kbd-padding);\n    font-size: var(--kbd-fz);\n    border-radius: var(--mantine-radius-sm);\n    border: calc(0.0625rem * var(--mantine-scale)) solid;\n    border-bottom-width: calc(0.1875rem * var(--mantine-scale));\n  }\n  :where([data-mantine-color-scheme='light']) .m_d6493fad :where(kbd) {\n      border-color: var(--mantine-color-gray-3);\n      color: var(--mantine-color-gray-7);\n      background-color: var(--mantine-color-gray-0);\n}\n  :where([data-mantine-color-scheme='dark']) .m_d6493fad :where(kbd) {\n      border-color: var(--mantine-color-dark-3);\n      color: var(--mantine-color-dark-0);\n      background-color: var(--mantine-color-dark-5);\n}\n  .m_d6493fad :where(code) {\n    line-height: var(--mantine-line-height);\n    padding: calc(0.0625rem * var(--mantine-scale)) calc(0.3125rem * var(--mantine-scale));\n    border-radius: var(--mantine-radius-sm);\n    font-family: var(--mantine-font-family-monospace);\n    font-size: var(--mantine-font-size-xs);\n  }\n  :where([data-mantine-color-scheme='light']) .m_d6493fad :where(code) {\n      background-color: var(--mantine-color-gray-0);\n      color: var(--mantine-color-black);\n}\n  :where([data-mantine-color-scheme='dark']) .m_d6493fad :where(code) {\n      background-color: var(--mantine-color-dark-5);\n      color: var(--mantine-color-white);\n}\n  .m_d6493fad :where(ul, ol):not([data-type='taskList']) {\n    margin-bottom: var(--mantine-spacing-md);\n    padding-inline-start: calc(2.375rem * var(--mantine-scale));\n  }\n  .m_d6493fad :where(ul, ol):not([data-type='taskList']) :where(li) {\n      margin-bottom: var(--mantine-spacing-xs);\n    }\n  .m_d6493fad :where(table) {\n    width: 100%;\n    border-collapse: collapse;\n    caption-side: bottom;\n    margin-bottom: var(--mantine-spacing-md);\n  }\n  .m_d6493fad :where(table) :where(caption) {\n      margin-top: var(--mantine-spacing-xs);\n      font-size: var(--mantine-font-size-sm);\n      color: var(--mantine-color-gray-6);\n    }\n  .m_d6493fad :where(table) :where(th) {\n      text-align: left;\n      font-weight: bold;\n      color: var(--mantine-color-gray-7);\n      font-size: var(--mantine-font-size-sm);\n      padding: var(--mantine-spacing-xs) var(--mantine-spacing-sm);\n    }\n  .m_d6493fad :where(table) :where(thead th) {\n      border-bottom: calc(0.0625rem * var(--mantine-scale)) solid;\n      border-color: var(--mantine-color-gray-3);\n    }\n  .m_d6493fad :where(table) :where(tfoot th) {\n      border-top: calc(0.0625rem * var(--mantine-scale)) solid;\n      border-color: var(--mantine-color-gray-3);\n    }\n  .m_d6493fad :where(table) :where(td) {\n      padding: var(--mantine-spacing-xs) var(--mantine-spacing-sm);\n      border-bottom: calc(0.0625rem * var(--mantine-scale)) solid;\n      border-color: var(--mantine-color-gray-3);\n      font-size: var(--mantine-font-size-sm);\n    }\n  .m_d6493fad :where(table) :where(tr:last-of-type td) {\n      border-bottom: 0;\n    }\n  .m_d6493fad :where(blockquote) {\n    font-size: var(--mantine-font-size-lg);\n    line-height: var(--mantine-line-height);\n    margin: var(--mantine-spacing-md) 0;\n    border-radius: var(--mantine-radius-sm);\n    padding: var(--mantine-spacing-md) var(--mantine-spacing-lg);\n  }\n  :where([data-mantine-color-scheme='light']) .m_d6493fad :where(blockquote) {\n      background-color: var(--mantine-color-gray-0);\n}\n  :where([data-mantine-color-scheme='dark']) .m_d6493fad :where(blockquote) {\n      background-color: var(--mantine-color-dark-8);\n}\n",""]);const l=i},935:n=>{n.exports=function(n){var e=[];return e.toString=function(){return this.map((function(e){var a="",r=void 0!==e[5];return e[4]&&(a+="@supports (".concat(e[4],") {")),e[2]&&(a+="@media ".concat(e[2]," {")),r&&(a+="@layer".concat(e[5].length>0?" ".concat(e[5]):""," {")),a+=n(e),r&&(a+="}"),e[2]&&(a+="}"),e[4]&&(a+="}"),a})).join("")},e.i=function(n,a,r,t,o){"string"==typeof n&&(n=[[null,n,void 0]]);var i={};if(r)for(var l=0;l<this.length;l++){var c=this[l][0];null!=c&&(i[c]=!0)}for(var s=0;s<n.length;s++){var d=[].concat(n[s]);r&&i[d[0]]||(void 0!==o&&(void 0===d[5]||(d[1]="@layer".concat(d[5].length>0?" ".concat(d[5]):""," {").concat(d[1],"}")),d[5]=o),a&&(d[2]?(d[1]="@media ".concat(d[2]," {").concat(d[1],"}"),d[2]=a):d[2]=a),t&&(d[4]?(d[1]="@supports (".concat(d[4],") {").concat(d[1],"}"),d[4]=t):d[4]="".concat(t)),e.push(d))}},e}},758:n=>{n.exports=function(n){return n[1]}},335:(n,e,a)=>{var r=a(953),t=Symbol.for("react.element"),o=Symbol.for("react.fragment"),i=Object.prototype.hasOwnProperty,l=r.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,c={key:!0,ref:!0,__self:!0,__source:!0};function s(n,e,a){var r,o={},s=null,d=null;for(r in void 0!==a&&(s=""+a),void 0!==e.key&&(s=""+e.key),void 0!==e.ref&&(d=e.ref),e)i.call(e,r)&&!c.hasOwnProperty(r)&&(o[r]=e[r]);if(n&&n.defaultProps)for(r in e=n.defaultProps)void 0===o[r]&&(o[r]=e[r]);return{$$typeof:t,type:n,key:s,ref:d,props:o,_owner:l.current}}e.Fragment=o,e.jsx=s,e.jsxs=s},85:(n,e,a)=>{n.exports=a(335)},591:n=>{var e=[];function a(n){for(var a=-1,r=0;r<e.length;r++)if(e[r].identifier===n){a=r;break}return a}function r(n,r){for(var o={},i=[],l=0;l<n.length;l++){var c=n[l],s=r.base?c[0]+r.base:c[0],d=o[s]||0,m="".concat(s," ").concat(d);o[s]=d+1;var h=a(m),v={css:c[1],media:c[2],sourceMap:c[3],supports:c[4],layer:c[5]};if(-1!==h)e[h].references++,e[h].updater(v);else{var f=t(v,r);r.byIndex=l,e.splice(l,0,{identifier:m,updater:f,references:1})}i.push(m)}return i}function t(n,e){var a=e.domAPI(e);return a.update(n),function(e){if(e){if(e.css===n.css&&e.media===n.media&&e.sourceMap===n.sourceMap&&e.supports===n.supports&&e.layer===n.layer)return;a.update(n=e)}else a.remove()}}n.exports=function(n,t){var o=r(n=n||[],t=t||{});return function(n){n=n||[];for(var i=0;i<o.length;i++){var l=a(o[i]);e[l].references--}for(var c=r(n,t),s=0;s<o.length;s++){var d=a(o[s]);0===e[d].references&&(e[d].updater(),e.splice(d,1))}o=c}}},128:n=>{var e={};n.exports=function(n,a){var r=function(n){if(void 0===e[n]){var a=document.querySelector(n);if(window.HTMLIFrameElement&&a instanceof window.HTMLIFrameElement)try{a=a.contentDocument.head}catch(n){a=null}e[n]=a}return e[n]}(n);if(!r)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");r.appendChild(a)}},51:n=>{n.exports=function(n){var e=document.createElement("style");return n.setAttributes(e,n.attributes),n.insert(e,n.options),e}},855:(n,e,a)=>{n.exports=function(n){var e=a.nc;e&&n.setAttribute("nonce",e)}},740:n=>{n.exports=function(n){if("undefined"==typeof document)return{update:function(){},remove:function(){}};var e=n.insertStyleElement(n);return{update:function(a){!function(n,e,a){var r="";a.supports&&(r+="@supports (".concat(a.supports,") {")),a.media&&(r+="@media ".concat(a.media," {"));var t=void 0!==a.layer;t&&(r+="@layer".concat(a.layer.length>0?" ".concat(a.layer):""," {")),r+=a.css,t&&(r+="}"),a.media&&(r+="}"),a.supports&&(r+="}");var o=a.sourceMap;o&&"undefined"!=typeof btoa&&(r+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(o))))," */")),e.styleTagTransform(r,n,e.options)}(e,n,a)},remove:function(){!function(n){if(null===n.parentNode)return!1;n.parentNode.removeChild(n)}(e)}}}},656:n=>{n.exports=function(n,e){if(e.styleSheet)e.styleSheet.cssText=n;else{for(;e.firstChild;)e.removeChild(e.firstChild);e.appendChild(document.createTextNode(n))}}},953:n=>{n.exports=require("react")}},r={};function t(n){var e=r[n];if(void 0!==e)return e.exports;var o=r[n]={id:n,exports:{}};return a[n](o,o.exports,t),o.exports}t.n=n=>{var e=n&&n.__esModule?()=>n.default:()=>n;return t.d(e,{a:e}),e},e=Object.getPrototypeOf?n=>Object.getPrototypeOf(n):n=>n.__proto__,t.t=function(a,r){if(1&r&&(a=this(a)),8&r)return a;if("object"==typeof a&&a){if(4&r&&a.__esModule)return a;if(16&r&&"function"==typeof a.then)return a}var o=Object.create(null);t.r(o);var i={};n=n||[null,e({}),e([]),e(e)];for(var l=2&r&&a;"object"==typeof l&&!~n.indexOf(l);l=e(l))Object.getOwnPropertyNames(l).forEach((n=>i[n]=()=>a[n]));return i.default=()=>a,t.d(o,i),o},t.d=(n,e)=>{for(var a in e)t.o(e,a)&&!t.o(n,a)&&Object.defineProperty(n,a,{enumerable:!0,get:e[a]})},t.o=(n,e)=>Object.prototype.hasOwnProperty.call(n,e),t.r=n=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(n,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(n,"__esModule",{value:!0})},t.nc=void 0;var o={};(()=>{t.r(o),t.d(o,{AnnotationPlugin:()=>to});var n=t(85),e=t(953),a=t.t(e,2);function r(n){return"0rem"===n?"0rem":`calc(${n} * var(--mantine-scale))`}function i(n,{shouldScale:e=!1}={}){return function a(t){if(0===t||"0"===t)return`0${n}`;if("number"==typeof t){const a=`${t/16}${n}`;return e?r(a):a}if("string"==typeof t){if(""===t)return t;if(t.startsWith("calc(")||t.startsWith("clamp(")||t.includes("rgba("))return t;if(t.includes(","))return t.split(",").map((n=>a(n))).join(",");if(t.includes(" "))return t.split(" ").map((n=>a(n))).join(" ");if(t.includes(n))return e?r(t):t;const o=t.replace("px","");if(!Number.isNaN(Number(o))){const a=`${Number(o)/16}${n}`;return e?r(a):a}}return t}}const l=i("rem",{shouldScale:!0}),c=i("em");function s(n){return/^#?([0-9A-F]{3}){1,2}([0-9A-F]{2})?$/i.test(n)?function(n){let e=n.replace("#","");if(3===e.length){const n=e.split("");e=[n[0],n[0],n[1],n[1],n[2],n[2]].join("")}if(8===e.length){const n=parseInt(e.slice(6,8),16)/255;return{r:parseInt(e.slice(0,2),16),g:parseInt(e.slice(2,4),16),b:parseInt(e.slice(4,6),16),a:n}}const a=parseInt(e,16);return{r:a>>16&255,g:a>>8&255,b:255&a,a:1}}(n):n.startsWith("rgb")?function(n){const[e,a,r,t]=n.replace(/[^0-9,./]/g,"").split(/[/,]/).map(Number);return{r:e,g:a,b:r,a:t||1}}(n):n.startsWith("hsl")?function(n){const e=n.match(/^hsla?\(\s*(\d+)\s*,\s*(\d+%)\s*,\s*(\d+%)\s*(,\s*(0?\.\d+|\d+(\.\d+)?))?\s*\)$/i);if(!e)return{r:0,g:0,b:0,a:1};const a=parseInt(e[1],10),r=parseInt(e[2],10)/100,t=parseInt(e[3],10)/100,o=e[5]?parseFloat(e[5]):void 0,i=(1-Math.abs(2*t-1))*r,l=a/60,c=i*(1-Math.abs(l%2-1)),s=t-i/2;let d,m,h;return l>=0&&l<1?(d=i,m=c,h=0):l>=1&&l<2?(d=c,m=i,h=0):l>=2&&l<3?(d=0,m=i,h=c):l>=3&&l<4?(d=0,m=c,h=i):l>=4&&l<5?(d=c,m=0,h=i):(d=i,m=0,h=c),{r:Math.round(255*(d+s)),g:Math.round(255*(m+s)),b:Math.round(255*(h+s)),a:o||1}}(n):{r:0,g:0,b:0,a:1}}function d(n,e){if(n.startsWith("var("))return`color-mix(in srgb, ${n}, black ${100*e}%)`;const{r:a,g:r,b:t,a:o}=s(n),i=1-e,l=n=>Math.round(n*i);return`rgba(${l(a)}, ${l(r)}, ${l(t)}, ${o})`}function m(n,e){return"number"==typeof n.primaryShade?n.primaryShade:"dark"===e?n.primaryShade.dark:n.primaryShade.light}function h(n){return n<=.03928?n/12.92:((n+.055)/1.055)**2.4}function v(n,e=.179){return!n.startsWith("var(")&&function(n){if(n.startsWith("oklch("))return(function(n){const e=n.match(/oklch\((.*?)%\s/);return e?parseFloat(e[1]):null}(n)||0)/100;const{r:e,g:a,b:r}=s(n),t=a/255,o=r/255;return.2126*h(e/255)+.7152*h(t)+.0722*h(o)}(n)>e}function f({color:n,theme:e,colorScheme:a}){if("string"!=typeof n)throw new Error("[@mantine/core] Failed to parse color. Expected color to be a string, instead got "+typeof n);if("bright"===n)return{color:n,value:"dark"===a?e.white:e.black,shade:void 0,isThemeColor:!1,isLight:v("dark"===a?e.white:e.black,e.luminanceThreshold),variable:"--mantine-color-bright"};if("dimmed"===n)return{color:n,value:"dark"===a?e.colors.dark[2]:e.colors.gray[7],shade:void 0,isThemeColor:!1,isLight:v("dark"===a?e.colors.dark[2]:e.colors.gray[6],e.luminanceThreshold),variable:"--mantine-color-dimmed"};if("white"===n||"black"===n)return{color:n,value:"white"===n?e.white:e.black,shade:void 0,isThemeColor:!1,isLight:v("white"===n?e.white:e.black,e.luminanceThreshold),variable:`--mantine-color-${n}`};const[r,t]=n.split("."),o=t?Number(t):void 0,i=r in e.colors;if(i){const n=void 0!==o?e.colors[r][o]:e.colors[r][m(e,a||"light")];return{color:r,value:n,shade:o,isThemeColor:i,isLight:v(n,e.luminanceThreshold),variable:t?`--mantine-color-${r}-${o}`:`--mantine-color-${r}-filled`}}return{color:n,value:n,isThemeColor:i,isLight:v(n,e.luminanceThreshold),shade:o,variable:void 0}}function b(n,e){const a=f({color:n||e.primaryColor,theme:e});return a.variable?`var(${a.variable})`:n}function p(n,e){const a={from:n?.from||e.defaultGradient.from,to:n?.to||e.defaultGradient.to,deg:n?.deg||e.defaultGradient.deg||0},r=b(a.from,e),t=b(a.to,e);return`linear-gradient(${a.deg}deg, ${r} 0%, ${t} 100%)`}function g(n,e){if("string"!=typeof n||e>1||e<0)return"rgba(0, 0, 0, 1)";if(n.startsWith("var("))return`color-mix(in srgb, ${n}, transparent ${100*(1-e)}%)`;if(n.startsWith("oklch"))return n.includes("/")?n.replace(/\/\s*[\d.]+\s*\)/,`/ ${e})`):n.replace(")",` / ${e})`);const{r:a,g:r,b:t}=s(n);return`rgba(${a}, ${r}, ${t}, ${e})`}const u=g,w="-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji",y={scale:1,fontSmoothing:!0,focusRing:"auto",white:"#fff",black:"#000",colors:{dark:["#C9C9C9","#b8b8b8","#828282","#696969","#424242","#3b3b3b","#2e2e2e","#242424","#1f1f1f","#141414"],gray:["#f8f9fa","#f1f3f5","#e9ecef","#dee2e6","#ced4da","#adb5bd","#868e96","#495057","#343a40","#212529"],red:["#fff5f5","#ffe3e3","#ffc9c9","#ffa8a8","#ff8787","#ff6b6b","#fa5252","#f03e3e","#e03131","#c92a2a"],pink:["#fff0f6","#ffdeeb","#fcc2d7","#faa2c1","#f783ac","#f06595","#e64980","#d6336c","#c2255c","#a61e4d"],grape:["#f8f0fc","#f3d9fa","#eebefa","#e599f7","#da77f2","#cc5de8","#be4bdb","#ae3ec9","#9c36b5","#862e9c"],violet:["#f3f0ff","#e5dbff","#d0bfff","#b197fc","#9775fa","#845ef7","#7950f2","#7048e8","#6741d9","#5f3dc4"],indigo:["#edf2ff","#dbe4ff","#bac8ff","#91a7ff","#748ffc","#5c7cfa","#4c6ef5","#4263eb","#3b5bdb","#364fc7"],blue:["#e7f5ff","#d0ebff","#a5d8ff","#74c0fc","#4dabf7","#339af0","#228be6","#1c7ed6","#1971c2","#1864ab"],cyan:["#e3fafc","#c5f6fa","#99e9f2","#66d9e8","#3bc9db","#22b8cf","#15aabf","#1098ad","#0c8599","#0b7285"],teal:["#e6fcf5","#c3fae8","#96f2d7","#63e6be","#38d9a9","#20c997","#12b886","#0ca678","#099268","#087f5b"],green:["#ebfbee","#d3f9d8","#b2f2bb","#8ce99a","#69db7c","#51cf66","#40c057","#37b24d","#2f9e44","#2b8a3e"],lime:["#f4fce3","#e9fac8","#d8f5a2","#c0eb75","#a9e34b","#94d82d","#82c91e","#74b816","#66a80f","#5c940d"],yellow:["#fff9db","#fff3bf","#ffec99","#ffe066","#ffd43b","#fcc419","#fab005","#f59f00","#f08c00","#e67700"],orange:["#fff4e6","#ffe8cc","#ffd8a8","#ffc078","#ffa94d","#ff922b","#fd7e14","#f76707","#e8590c","#d9480f"]},primaryShade:{light:6,dark:8},primaryColor:"blue",variantColorResolver:({color:n,theme:e,variant:a,gradient:r,autoContrast:t})=>{const o=f({color:n,theme:e}),i="boolean"==typeof t?t:e.autoContrast;if("filled"===a){const e=i&&o.isLight?"var(--mantine-color-black)":"var(--mantine-color-white)";return o.isThemeColor?void 0===o.shade?{background:`var(--mantine-color-${n}-filled)`,hover:`var(--mantine-color-${n}-filled-hover)`,color:e,border:`${l(1)} solid transparent`}:{background:`var(--mantine-color-${o.color}-${o.shade})`,hover:`var(--mantine-color-${o.color}-${9===o.shade?8:o.shade+1})`,color:e,border:`${l(1)} solid transparent`}:{background:n,hover:d(n,.1),color:e,border:`${l(1)} solid transparent`}}if("light"===a){if(o.isThemeColor){if(void 0===o.shade)return{background:`var(--mantine-color-${n}-light)`,hover:`var(--mantine-color-${n}-light-hover)`,color:`var(--mantine-color-${n}-light-color)`,border:`${l(1)} solid transparent`};const a=e.colors[o.color][o.shade];return{background:g(a,.1),hover:g(a,.12),color:`var(--mantine-color-${o.color}-${Math.min(o.shade,6)})`,border:`${l(1)} solid transparent`}}return{background:g(n,.1),hover:g(n,.12),color:n,border:`${l(1)} solid transparent`}}return"outline"===a?o.isThemeColor?void 0===o.shade?{background:"transparent",hover:`var(--mantine-color-${n}-outline-hover)`,color:`var(--mantine-color-${n}-outline)`,border:`${l(1)} solid var(--mantine-color-${n}-outline)`}:{background:"transparent",hover:g(e.colors[o.color][o.shade],.05),color:`var(--mantine-color-${o.color}-${o.shade})`,border:`${l(1)} solid var(--mantine-color-${o.color}-${o.shade})`}:{background:"transparent",hover:g(n,.05),color:n,border:`${l(1)} solid ${n}`}:"subtle"===a?o.isThemeColor?void 0===o.shade?{background:"transparent",hover:`var(--mantine-color-${n}-light-hover)`,color:`var(--mantine-color-${n}-light-color)`,border:`${l(1)} solid transparent`}:{background:"transparent",hover:g(e.colors[o.color][o.shade],.12),color:`var(--mantine-color-${o.color}-${Math.min(o.shade,6)})`,border:`${l(1)} solid transparent`}:{background:"transparent",hover:g(n,.12),color:n,border:`${l(1)} solid transparent`}:"transparent"===a?o.isThemeColor?void 0===o.shade?{background:"transparent",hover:"transparent",color:`var(--mantine-color-${n}-light-color)`,border:`${l(1)} solid transparent`}:{background:"transparent",hover:"transparent",color:`var(--mantine-color-${o.color}-${Math.min(o.shade,6)})`,border:`${l(1)} solid transparent`}:{background:"transparent",hover:"transparent",color:n,border:`${l(1)} solid transparent`}:"white"===a?o.isThemeColor?void 0===o.shade?{background:"var(--mantine-color-white)",hover:d(e.white,.01),color:`var(--mantine-color-${n}-filled)`,border:`${l(1)} solid transparent`}:{background:"var(--mantine-color-white)",hover:d(e.white,.01),color:`var(--mantine-color-${o.color}-${o.shade})`,border:`${l(1)} solid transparent`}:{background:"var(--mantine-color-white)",hover:d(e.white,.01),color:n,border:`${l(1)} solid transparent`}:"gradient"===a?{background:p(r,e),hover:p(r,e),color:"var(--mantine-color-white)",border:"none"}:"default"===a?{background:"var(--mantine-color-default)",hover:"var(--mantine-color-default-hover)",color:"var(--mantine-color-default-color)",border:`${l(1)} solid var(--mantine-color-default-border)`}:{}},autoContrast:!1,luminanceThreshold:.3,fontFamily:w,fontFamilyMonospace:"ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace",respectReducedMotion:!1,cursorType:"default",defaultGradient:{from:"blue",to:"cyan",deg:45},defaultRadius:"sm",activeClassName:"mantine-active",focusClassName:"",headings:{fontFamily:w,fontWeight:"700",textWrap:"wrap",sizes:{h1:{fontSize:l(34),lineHeight:"1.3"},h2:{fontSize:l(26),lineHeight:"1.35"},h3:{fontSize:l(22),lineHeight:"1.4"},h4:{fontSize:l(18),lineHeight:"1.45"},h5:{fontSize:l(16),lineHeight:"1.5"},h6:{fontSize:l(14),lineHeight:"1.5"}}},fontSizes:{xs:l(12),sm:l(14),md:l(16),lg:l(18),xl:l(20)},lineHeights:{xs:"1.4",sm:"1.45",md:"1.55",lg:"1.6",xl:"1.65"},radius:{xs:l(2),sm:l(4),md:l(8),lg:l(16),xl:l(32)},spacing:{xs:l(10),sm:l(12),md:l(16),lg:l(20),xl:l(32)},breakpoints:{xs:"36em",sm:"48em",md:"62em",lg:"75em",xl:"88em"},shadows:{xs:`0 ${l(1)} ${l(3)} rgba(0, 0, 0, 0.05), 0 ${l(1)} ${l(2)} rgba(0, 0, 0, 0.1)`,sm:`0 ${l(1)} ${l(3)} rgba(0, 0, 0, 0.05), rgba(0, 0, 0, 0.05) 0 ${l(10)} ${l(15)} ${l(-5)}, rgba(0, 0, 0, 0.04) 0 ${l(7)} ${l(7)} ${l(-5)}`,md:`0 ${l(1)} ${l(3)} rgba(0, 0, 0, 0.05), rgba(0, 0, 0, 0.05) 0 ${l(20)} ${l(25)} ${l(-5)}, rgba(0, 0, 0, 0.04) 0 ${l(10)} ${l(10)} ${l(-5)}`,lg:`0 ${l(1)} ${l(3)} rgba(0, 0, 0, 0.05), rgba(0, 0, 0, 0.05) 0 ${l(28)} ${l(23)} ${l(-7)}, rgba(0, 0, 0, 0.04) 0 ${l(12)} ${l(12)} ${l(-7)}`,xl:`0 ${l(1)} ${l(3)} rgba(0, 0, 0, 0.05), rgba(0, 0, 0, 0.05) 0 ${l(36)} ${l(28)} ${l(-7)}, rgba(0, 0, 0, 0.04) 0 ${l(17)} ${l(17)} ${l(-7)}`},other:{},components:{}};function _(n){return n&&"object"==typeof n&&!Array.isArray(n)}function x(n,e){const a={...n},r=e;return _(n)&&_(e)&&Object.keys(e).forEach((e=>{_(r[e])?a[e]=e in n?x(a[e],r[e]):r[e]:a[e]=r[e]})),a}const k="[@mantine/core] MantineProvider: Invalid theme.primaryColor, it accepts only key of theme.colors, learn more – https://mantine.dev/theming/colors/#primary-color",z="[@mantine/core] MantineProvider: Invalid theme.primaryShade, it accepts only 0-9 integers or an object { light: 0-9, dark: 0-9 }";function $(n){return!(n<0||n>9)&&parseInt(n.toString(),10)===n}function C(n){if(!(n.primaryColor in n.colors))throw new Error(k);if(!("object"!=typeof n.primaryShade||$(n.primaryShade.dark)&&$(n.primaryShade.light)))throw new Error(z);if("number"==typeof n.primaryShade&&!$(n.primaryShade))throw new Error(z)}const E=(0,e.createContext)(null),S=()=>(0,e.useContext)(E)||y;function j(){const n=(0,e.useContext)(E);if(!n)throw new Error("@mantine/core: MantineProvider was not found in component tree, make sure you have it in your app");return n}function R({theme:a,children:r,inherit:t=!0}){const o=S(),i=(0,e.useMemo)((()=>function(n,e){if(!e)return C(n),n;const a=x(n,e);return e.fontFamily&&!e.headings?.fontFamily&&(a.headings.fontFamily=e.fontFamily),C(a),a}(t?o:y,a)),[a,o,t]);return(0,n.jsx)(E.Provider,{value:i,children:r})}R.displayName="@mantine/core/MantineThemeProvider";const N={app:100,modal:200,popover:300,overlay:400,max:9999};function P(n){return N[n]}function L(n){return Object.keys(n).reduce(((e,a)=>(void 0!==n[a]&&(e[a]=n[a]),e)),{})}function T(n,e,a){const r=j(),t=r.components[n]?.defaultProps;return{...e,..."function"==typeof t?t(r):t,...L(a)}}const M=(0,e.createContext)(null);function A(){const n=(0,e.useContext)(M);if(!n)throw new Error("[@mantine/core] MantineProvider was not found in tree");return n}function I(){return A().getStyleNonce}function O(n){var e,a,r="";if("string"==typeof n||"number"==typeof n)r+=n;else if("object"==typeof n)if(Array.isArray(n)){var t=n.length;for(e=0;e<t;e++)n[e]&&(a=O(n[e]))&&(r&&(r+=" "),r+=a)}else for(a in n)n[a]&&(r&&(r+=" "),r+=a);return r}const F=function(){for(var n,e,a=0,r="",t=arguments.length;a<t;a++)(n=arguments[a])&&(e=O(n))&&(r&&(r+=" "),r+=e);return r},D={always:"mantine-focus-always",auto:"mantine-focus-auto",never:"mantine-focus-never"},H={};function B({theme:n,classNames:e,props:a,stylesCtx:r}){return function(n){const e={};return n.forEach((n=>{Object.entries(n).forEach((([n,a])=>{e[n]?e[n]=F(e[n],a):e[n]=a}))})),e}((Array.isArray(e)?e:[e]).map((e=>"function"==typeof e?e(n,a,r):e||H)))}function W({selector:n,stylesCtx:e,theme:a,classNames:r,props:t}){return B({theme:a,classNames:r,props:t,stylesCtx:e})[n]}function Y({theme:n,options:e,themeName:a,selector:r,classNamesPrefix:t,classNames:o,classes:i,unstyled:l,className:c,rootSelector:s,props:d,stylesCtx:m,withStaticClasses:h,headless:v,transformedStyles:f}){return F(function({theme:n,options:e,unstyled:a}){return F(e?.focusable&&!a&&(n.focusClassName||D[n.focusRing]),e?.active&&!a&&n.activeClassName)}({theme:n,options:e,unstyled:l||v}),function({themeName:n,theme:e,selector:a,props:r,stylesCtx:t}){return n.map((n=>B({theme:e,classNames:e.components[n]?.classNames,props:r,stylesCtx:t})?.[a]))}({theme:n,themeName:a,selector:r,props:d,stylesCtx:m}),function({options:n,classes:e,selector:a,unstyled:r}){return n?.variant&&!r?e[`${a}--${n.variant}`]:void 0}({options:e,classes:i,selector:r,unstyled:l}),W({selector:r,stylesCtx:m,theme:n,classNames:o,props:d}),W({selector:r,stylesCtx:m,theme:n,classNames:f,props:d}),function({selector:n,stylesCtx:e,options:a,props:r,theme:t}){return B({theme:t,classNames:a?.classNames,props:a?.props||r,stylesCtx:e})[n]}({selector:r,stylesCtx:m,options:e,props:d,theme:n}),function({rootSelector:n,selector:e,className:a}){return n===e?a:void 0}({rootSelector:s,selector:r,className:c}),function({selector:n,classes:e,unstyled:a}){return a?void 0:e[n]}({selector:r,classes:i,unstyled:l||v}),h&&!v&&function({themeName:n,classNamesPrefix:e,selector:a,withStaticClass:r}){return!1===r?[]:n.map((n=>`${e}-${n}-${a}`))}({themeName:a,classNamesPrefix:t,selector:r,withStaticClass:e?.withStaticClass}),e?.className)}function V({theme:n,styles:e,props:a,stylesCtx:r}){return(Array.isArray(e)?e:[e]).reduce(((e,t)=>"function"==typeof t?{...e,...t(n,a,r)}:{...e,...t}),{})}function q({theme:n,themeName:e,props:a,stylesCtx:r,selector:t}){return e.map((e=>V({theme:n,styles:n.components[e]?.styles,props:a,stylesCtx:r})[t])).reduce(((n,e)=>({...n,...e})),{})}function X({style:n,theme:e}){return Array.isArray(n)?[...n].reduce(((n,a)=>({...n,...X({style:a,theme:e})})),{}):"function"==typeof n?n(e):null==n?{}:n}function U({vars:n,varsResolver:e,theme:a,props:r,stylesCtx:t,selector:o,themeName:i,headless:l}){return function(n){return n.reduce(((n,e)=>(e&&Object.keys(e).forEach((a=>{n[a]={...n[a],...L(e[a])}})),n)),{})}([l?{}:e?.(a,r,t),...i.map((n=>a.components?.[n]?.vars?.(a,r,t))),n?.(a,r,t)])?.[o]}function G({theme:n,themeName:e,selector:a,options:r,props:t,stylesCtx:o,rootSelector:i,styles:l,style:c,vars:s,varsResolver:d,headless:m,withStylesTransform:h}){return{...!h&&q({theme:n,themeName:e,props:t,stylesCtx:o,selector:a}),...!h&&V({theme:n,styles:l,props:t,stylesCtx:o})[a],...!h&&V({theme:n,styles:r?.styles,props:r?.props||t,stylesCtx:o})[a],...U({theme:n,props:t,stylesCtx:o,vars:s,varsResolver:d,selector:a,themeName:e,headless:m}),...i===a?X({style:c,theme:n}):null,...X({style:r?.style,theme:n})}}function K({name:n,classes:e,props:a,stylesCtx:r,className:t,style:o,rootSelector:i="root",unstyled:l,classNames:c,styles:s,vars:d,varsResolver:m}){const h=j(),v=A().classNamesPrefix,f=A().withStaticClasses,b=A().headless,p=(Array.isArray(n)?n:[n]).filter((n=>n)),{withStylesTransform:g,getTransformedStyles:u}=function({props:n,stylesCtx:e,themeName:a}){const r=j(),t=A().stylesTransform?.styles;return{getTransformedStyles:o=>t?[...o.map((a=>t(a,{props:n,theme:r,ctx:e}))),...a.map((a=>t(r.components[a]?.styles,{props:n,theme:r,ctx:e})))].filter(Boolean):[],withStylesTransform:!!t}}({props:a,stylesCtx:r,themeName:p});return(n,w)=>({className:Y({theme:h,options:w,themeName:p,selector:n,classNamesPrefix:v,classNames:c,classes:e,unstyled:l,className:t,rootSelector:i,props:a,stylesCtx:r,withStaticClasses:f,headless:b,transformedStyles:u([w?.styles,s])}),style:G({theme:h,themeName:p,selector:n,options:w,props:a,stylesCtx:r,rootSelector:i,styles:s,style:o,vars:d,varsResolver:m,headless:b,withStylesTransform:g})})}function Z(n){return Object.keys(n)}function J(n){return Z(n).reduce(((e,a)=>{return void 0!==n[a]?`${e}${r=a,r.replace(/[A-Z]/g,(n=>`-${n.toLowerCase()}`))}:${n[a]};`:e;var r}),"").trim()}function Q({selector:n,styles:e,media:a}){const r=e?J(e):"",t=Array.isArray(a)?a.map((e=>`@media${e.query}{${n}{${J(e.styles)}}}`)):[];return`${r?`${n}{${r}}`:""}${t.join("")}`.trim()}function nn({selector:e,styles:a,media:r}){const t=I();return(0,n.jsx)("style",{"data-mantine-styles":"inline",nonce:t?.(),dangerouslySetInnerHTML:{__html:Q({selector:e,styles:a,media:r})}})}function en(n){return"number"==typeof n||"string"==typeof n&&(!!(n.startsWith("calc(")||n.startsWith("var(")||n.includes(" ")&&""!==n.trim())||/[0-9]/.test(n.trim().replace("-","")[0]))}function an(n){return n.startsWith("data-")?n:`data-${n}`}function rn(n){return n?"string"==typeof n?{[an(n)]:!0}:Array.isArray(n)?[...n].reduce(((n,e)=>({...n,...rn(e)})),{}):(e=n,Object.keys(e).reduce(((n,a)=>{const r=e[a];return void 0===r||""===r||!1===r||null===r||(n[an(a)]=e[a]),n}),{})):null;var e}function tn(n,e){return Array.isArray(n)?[...n].reduce(((n,a)=>({...n,...tn(a,e)})),{}):"function"==typeof n?n(e):null==n?{}:n}function on({theme:n,style:e,vars:a,styleProps:r}){return{...tn(e,n),...tn(a,n),...r}}const ln={m:{type:"spacing",property:"margin"},mt:{type:"spacing",property:"marginTop"},mb:{type:"spacing",property:"marginBottom"},ml:{type:"spacing",property:"marginLeft"},mr:{type:"spacing",property:"marginRight"},ms:{type:"spacing",property:"marginInlineStart"},me:{type:"spacing",property:"marginInlineEnd"},mx:{type:"spacing",property:"marginInline"},my:{type:"spacing",property:"marginBlock"},p:{type:"spacing",property:"padding"},pt:{type:"spacing",property:"paddingTop"},pb:{type:"spacing",property:"paddingBottom"},pl:{type:"spacing",property:"paddingLeft"},pr:{type:"spacing",property:"paddingRight"},ps:{type:"spacing",property:"paddingInlineStart"},pe:{type:"spacing",property:"paddingInlineEnd"},px:{type:"spacing",property:"paddingInline"},py:{type:"spacing",property:"paddingBlock"},bg:{type:"color",property:"background"},c:{type:"textColor",property:"color"},opacity:{type:"identity",property:"opacity"},ff:{type:"fontFamily",property:"fontFamily"},fz:{type:"fontSize",property:"fontSize"},fw:{type:"identity",property:"fontWeight"},lts:{type:"size",property:"letterSpacing"},ta:{type:"identity",property:"textAlign"},lh:{type:"lineHeight",property:"lineHeight"},fs:{type:"identity",property:"fontStyle"},tt:{type:"identity",property:"textTransform"},td:{type:"identity",property:"textDecoration"},w:{type:"spacing",property:"width"},miw:{type:"spacing",property:"minWidth"},maw:{type:"spacing",property:"maxWidth"},h:{type:"spacing",property:"height"},mih:{type:"spacing",property:"minHeight"},mah:{type:"spacing",property:"maxHeight"},bgsz:{type:"size",property:"backgroundSize"},bgp:{type:"identity",property:"backgroundPosition"},bgr:{type:"identity",property:"backgroundRepeat"},bga:{type:"identity",property:"backgroundAttachment"},pos:{type:"identity",property:"position"},top:{type:"identity",property:"top"},left:{type:"size",property:"left"},bottom:{type:"size",property:"bottom"},right:{type:"size",property:"right"},inset:{type:"size",property:"inset"},display:{type:"identity",property:"display"},flex:{type:"identity",property:"flex"}};function cn(n,e){const a=f({color:n,theme:e});return"dimmed"===a.color?"var(--mantine-color-dimmed)":"bright"===a.color?"var(--mantine-color-bright)":a.variable?`var(${a.variable})`:a.color}const sn={text:"var(--mantine-font-family)",mono:"var(--mantine-font-family-monospace)",monospace:"var(--mantine-font-family-monospace)",heading:"var(--mantine-font-family-headings)",headings:"var(--mantine-font-family-headings)"},dn=["h1","h2","h3","h4","h5","h6"],mn=["h1","h2","h3","h4","h5","h6"],hn={color:cn,textColor:function(n,e){const a=f({color:n,theme:e});return a.isThemeColor&&void 0===a.shade?`var(--mantine-color-${a.color}-text)`:cn(n,e)},fontSize:function(n,e){return"string"==typeof n&&n in e.fontSizes?`var(--mantine-font-size-${n})`:"string"==typeof n&&dn.includes(n)?`var(--mantine-${n}-font-size)`:"number"==typeof n||"string"==typeof n?l(n):n},spacing:function(n,e){if("number"==typeof n)return l(n);if("string"==typeof n){const a=n.replace("-","");if(!(a in e.spacing))return l(n);const r=`--mantine-spacing-${a}`;return n.startsWith("-")?`calc(var(${r}) * -1)`:`var(${r})`}return n},identity:function(n){return n},size:function(n){return"number"==typeof n?l(n):n},lineHeight:function(n,e){return"string"==typeof n&&n in e.lineHeights?`var(--mantine-line-height-${n})`:"string"==typeof n&&mn.includes(n)?`var(--mantine-${n}-line-height)`:n},fontFamily:function(n){return"string"==typeof n&&n in sn?sn[n]:n}};function vn(n){return n.replace("(min-width: ","").replace("em)","")}function fn(n,e){return"object"==typeof n&&null!==n&&e in n?n[e]:n}const bn=(0,e.forwardRef)((({component:a,style:r,__vars:t,className:o,variant:i,mod:l,size:c,hiddenFrom:s,visibleFrom:d,lightHidden:m,darkHidden:h,renderRoot:v,...f},b)=>{const p=j(),g=a||"div",{styleProps:u,rest:w}=function(n){const{m:e,mx:a,my:r,mt:t,mb:o,ml:i,mr:l,me:c,ms:s,p:d,px:m,py:h,pt:v,pb:f,pl:b,pr:p,pe:g,ps:u,bg:w,c:y,opacity:_,ff:x,fz:k,fw:z,lts:$,ta:C,lh:E,fs:S,tt:j,td:R,w:N,miw:P,maw:T,h:M,mih:A,mah:I,bgsz:O,bgp:F,bgr:D,bga:H,pos:B,top:W,left:Y,bottom:V,right:q,inset:X,display:U,flex:G,hiddenFrom:K,visibleFrom:Z,lightHidden:J,darkHidden:Q,sx:nn,...en}=n;return{styleProps:L({m:e,mx:a,my:r,mt:t,mb:o,ml:i,mr:l,me:c,ms:s,p:d,px:m,py:h,pt:v,pb:f,pl:b,pr:p,pe:g,ps:u,bg:w,c:y,opacity:_,ff:x,fz:k,fw:z,lts:$,ta:C,lh:E,fs:S,tt:j,td:R,w:N,miw:P,maw:T,h:M,mih:A,mah:I,bgsz:O,bgp:F,bgr:D,bga:H,pos:B,top:W,left:Y,bottom:V,right:q,inset:X,display:U,flex:G,hiddenFrom:K,visibleFrom:Z,lightHidden:J,darkHidden:Q,sx:nn}),rest:en}}(f),y=A().stylesTransform?.sx,_=y?.(u.sx),x=`__m__-${(0,e.useId)().replace(/:/g,"")}`,k=function({styleProps:n,data:e,theme:a}){return function({media:n,...e}){return{...e,media:Object.keys(n).sort(((n,e)=>Number(vn(n))-Number(vn(e)))).map((e=>({query:e,styles:n[e]})))}}(Z(n).reduce(((r,t)=>{if("hiddenFrom"===t||"visibleFrom"===t||"sx"===t)return r;const o=e[t],i=Array.isArray(o.property)?o.property:[o.property],l="object"==typeof(c=n[t])&&null!==c?"base"in c?c.base:void 0:c;var c;if(!function(n){if("object"!=typeof n||null===n)return!1;const e=Object.keys(n);return 1!==e.length||"base"!==e[0]}(n[t]))return i.forEach((n=>{r.inlineStyles[n]=hn[o.type](l,a)})),r;r.hasResponsiveStyles=!0;const s=function(n){return"object"==typeof n&&null!==n?Z(n).filter((n=>"base"!==n)):[]}(n[t]);return i.forEach((e=>{l&&(r.styles[e]=hn[o.type](l,a)),s.forEach((i=>{const l=`(min-width: ${a.breakpoints[i]})`;r.media[l]={...r.media[l],[e]:hn[o.type](fn(n[t],i),a)}}))})),r}),{hasResponsiveStyles:!1,styles:{},inlineStyles:{},media:{}}))}({styleProps:u,theme:p,data:ln}),z={ref:b,style:on({theme:p,style:r,vars:t,styleProps:k.inlineStyles}),className:F(o,_,{[x]:k.hasResponsiveStyles,"mantine-light-hidden":m,"mantine-dark-hidden":h,[`mantine-hidden-from-${s}`]:s,[`mantine-visible-from-${d}`]:d}),"data-variant":i,"data-size":en(c)?void 0:c||void 0,...rn(l),...w};return(0,n.jsxs)(n.Fragment,{children:[k.hasResponsiveStyles&&(0,n.jsx)(nn,{selector:`.${x}`,styles:k.styles,media:k.media}),"function"==typeof v?v(z):(0,n.jsx)(g,{...z})]})}));bn.displayName="@mantine/core/Box";const pn=bn;function gn(n){return n}function un(n){const a=(0,e.forwardRef)(n);return a.extend=gn,a}const wn=require("react-dom"),yn="undefined"!=typeof document?e.useLayoutEffect:e.useEffect;function _n(n,e){"function"==typeof n?n(e):"object"==typeof n&&null!==n&&"current"in n&&(n.current=e)}function xn(...n){return(0,e.useCallback)(function(...n){return e=>{n.forEach((n=>_n(n,e)))}}(...n),n)}const kn={},zn=(0,e.forwardRef)(((a,r)=>{const{children:t,target:o,...i}=T("Portal",kn,a),[l,c]=(0,e.useState)(!1),s=(0,e.useRef)(null);return yn((()=>(c(!0),s.current=o?"string"==typeof o?document.querySelector(o):o:function(n){const e=document.createElement("div");return e.setAttribute("data-portal","true"),"string"==typeof n.className&&e.classList.add(...n.className.split(" ").filter(Boolean)),"object"==typeof n.style&&Object.assign(e.style,n.style),"string"==typeof n.id&&e.setAttribute("id",n.id),e}(i),_n(r,s.current),!o&&s.current&&document.body.appendChild(s.current),()=>{!o&&s.current&&document.body.removeChild(s.current)})),[o]),l&&s.current?(0,wn.createPortal)((0,n.jsx)(n.Fragment,{children:t}),s.current):null}));function $n({withinPortal:e=!0,children:a,...r}){return e?(0,n.jsx)(zn,{...r,children:a}):(0,n.jsx)(n.Fragment,{children:a})}zn.displayName="@mantine/core/Portal",$n.displayName="@mantine/core/OptionalPortal";var Cn={root:"m_7f854edf"};const En={position:{bottom:0,right:0},zIndex:P("modal"),withinPortal:!0},Sn=(n,{zIndex:e,position:a})=>({root:{"--affix-z-index":e?.toString(),"--affix-top":l(a?.top),"--affix-left":l(a?.left),"--affix-bottom":l(a?.bottom),"--affix-right":l(a?.right)}}),jn=un(((e,a)=>{const r=T("Affix",En,e),{classNames:t,className:o,style:i,styles:l,unstyled:c,vars:s,portalProps:d,zIndex:m,withinPortal:h,position:v,...f}=r,b=K({name:"Affix",classes:Cn,props:r,className:o,style:i,classNames:t,styles:l,unstyled:c,vars:s,varsResolver:Sn});return(0,n.jsx)($n,{...d,withinPortal:h,children:(0,n.jsx)(pn,{ref:a,...b("root"),...f})})}));function Rn(n){return"auto"===n||"dark"===n||"light"===n}function Nn({key:n="mantine-color-scheme-value"}={}){let e;return{get:e=>{if("undefined"==typeof window)return e;try{const a=window.localStorage.getItem(n);return Rn(a)?a:e}catch{return e}},set:e=>{try{window.localStorage.setItem(n,e)}catch(n){console.warn("[@mantine/core] Local storage color scheme manager was unable to save color scheme.",n)}},subscribe:a=>{e=e=>{e.storageArea===window.localStorage&&e.key===n&&Rn(e.newValue)&&a(e.newValue)},window.addEventListener("storage",e)},unsubscribe:()=>{window.removeEventListener("storage",e)},clear:()=>{window.localStorage.removeItem(n)}}}function Pn(){const e=j(),a=I(),r=Z(e.breakpoints).reduce(((n,a)=>{const r=e.breakpoints[a].includes("px"),t=function(n){const e=function(n){return"string"==typeof n&&n.includes("var(--mantine-scale)")?n.match(/^calc\((.*?)\)$/)?.[1].split("*")[0].trim():n}(n);return"number"==typeof e?e:"string"==typeof e?e.includes("calc")||e.includes("var")?e:e.includes("px")?Number(e.replace("px","")):e.includes("rem")?16*Number(e.replace("rem","")):e.includes("em")?16*Number(e.replace("em","")):Number(e):NaN}(e.breakpoints[a]);return`${n}@media (max-width: ${r?t-.1+"px":c(t-.1)}) {.mantine-visible-from-${a} {display: none !important;}}@media (min-width: ${r?`${t}px`:c(t)}) {.mantine-hidden-from-${a} {display: none !important;}}`}),"");return(0,n.jsx)("style",{"data-mantine-styles":"classes",nonce:a?.(),dangerouslySetInnerHTML:{__html:r}})}function Ln(n){return Object.entries(n).map((([n,e])=>`${n}: ${e};`)).join("")}function Tn(n,e){return(Array.isArray(n)?n:[n]).reduce(((n,e)=>`${e}{${n}}`),e)}function Mn(n,e){return function({color:n,theme:e,autoContrast:a}){return("boolean"==typeof a?a:e.autoContrast)&&f({color:n||e.primaryColor,theme:e}).isLight?"var(--mantine-color-black)":"var(--mantine-color-white)"}({color:n.colors[n.primaryColor][m(n,e)],theme:n,autoContrast:null})}function An({theme:n,color:e,colorScheme:a,name:r=e,withColorValues:t=!0}){if(!n.colors[e])return{};if("light"===a){const a=m(n,"light"),o={[`--mantine-color-${r}-text`]:`var(--mantine-color-${r}-filled)`,[`--mantine-color-${r}-filled`]:`var(--mantine-color-${r}-${a})`,[`--mantine-color-${r}-filled-hover`]:`var(--mantine-color-${r}-${9===a?8:a+1})`,[`--mantine-color-${r}-light`]:u(n.colors[e][a],.1),[`--mantine-color-${r}-light-hover`]:u(n.colors[e][a],.12),[`--mantine-color-${r}-light-color`]:`var(--mantine-color-${r}-${a})`,[`--mantine-color-${r}-outline`]:`var(--mantine-color-${r}-${a})`,[`--mantine-color-${r}-outline-hover`]:u(n.colors[e][a],.05)};return t?{[`--mantine-color-${r}-0`]:n.colors[e][0],[`--mantine-color-${r}-1`]:n.colors[e][1],[`--mantine-color-${r}-2`]:n.colors[e][2],[`--mantine-color-${r}-3`]:n.colors[e][3],[`--mantine-color-${r}-4`]:n.colors[e][4],[`--mantine-color-${r}-5`]:n.colors[e][5],[`--mantine-color-${r}-6`]:n.colors[e][6],[`--mantine-color-${r}-7`]:n.colors[e][7],[`--mantine-color-${r}-8`]:n.colors[e][8],[`--mantine-color-${r}-9`]:n.colors[e][9],...o}:o}const o=m(n,"dark"),i={[`--mantine-color-${r}-text`]:`var(--mantine-color-${r}-4)`,[`--mantine-color-${r}-filled`]:`var(--mantine-color-${r}-${o})`,[`--mantine-color-${r}-filled-hover`]:`var(--mantine-color-${r}-${9===o?8:o+1})`,[`--mantine-color-${r}-light`]:u(n.colors[e][Math.max(0,o-2)],.15),[`--mantine-color-${r}-light-hover`]:u(n.colors[e][Math.max(0,o-2)],.2),[`--mantine-color-${r}-light-color`]:`var(--mantine-color-${r}-${Math.max(o-5,0)})`,[`--mantine-color-${r}-outline`]:`var(--mantine-color-${r}-${Math.max(o-4,0)})`,[`--mantine-color-${r}-outline-hover`]:u(n.colors[e][Math.max(o-4,0)],.05)};return t?{[`--mantine-color-${r}-0`]:n.colors[e][0],[`--mantine-color-${r}-1`]:n.colors[e][1],[`--mantine-color-${r}-2`]:n.colors[e][2],[`--mantine-color-${r}-3`]:n.colors[e][3],[`--mantine-color-${r}-4`]:n.colors[e][4],[`--mantine-color-${r}-5`]:n.colors[e][5],[`--mantine-color-${r}-6`]:n.colors[e][6],[`--mantine-color-${r}-7`]:n.colors[e][7],[`--mantine-color-${r}-8`]:n.colors[e][8],[`--mantine-color-${r}-9`]:n.colors[e][9],...i}:i}function In(n,e,a){Z(e).forEach((r=>Object.assign(n,{[`--mantine-${a}-${r}`]:e[r]})))}jn.classes=Cn,jn.displayName="@mantine/core/Affix";const On=n=>{const e=m(n,"light"),a=n.defaultRadius in n.radius?n.radius[n.defaultRadius]:l(n.defaultRadius),r={variables:{"--mantine-scale":n.scale.toString(),"--mantine-cursor-type":n.cursorType,"--mantine-color-scheme":"light dark","--mantine-webkit-font-smoothing":n.fontSmoothing?"antialiased":"unset","--mantine-moz-font-smoothing":n.fontSmoothing?"grayscale":"unset","--mantine-color-white":n.white,"--mantine-color-black":n.black,"--mantine-line-height":n.lineHeights.md,"--mantine-font-family":n.fontFamily,"--mantine-font-family-monospace":n.fontFamilyMonospace,"--mantine-font-family-headings":n.headings.fontFamily,"--mantine-heading-font-weight":n.headings.fontWeight,"--mantine-heading-text-wrap":n.headings.textWrap,"--mantine-radius-default":a,"--mantine-primary-color-filled":`var(--mantine-color-${n.primaryColor}-filled)`,"--mantine-primary-color-filled-hover":`var(--mantine-color-${n.primaryColor}-filled-hover)`,"--mantine-primary-color-light":`var(--mantine-color-${n.primaryColor}-light)`,"--mantine-primary-color-light-hover":`var(--mantine-color-${n.primaryColor}-light-hover)`,"--mantine-primary-color-light-color":`var(--mantine-color-${n.primaryColor}-light-color)`},light:{"--mantine-primary-color-contrast":Mn(n,"light"),"--mantine-color-bright":"var(--mantine-color-black)","--mantine-color-text":n.black,"--mantine-color-body":n.white,"--mantine-color-error":"var(--mantine-color-red-6)","--mantine-color-placeholder":"var(--mantine-color-gray-5)","--mantine-color-anchor":`var(--mantine-color-${n.primaryColor}-${e})`,"--mantine-color-default":"var(--mantine-color-white)","--mantine-color-default-hover":"var(--mantine-color-gray-0)","--mantine-color-default-color":"var(--mantine-color-black)","--mantine-color-default-border":"var(--mantine-color-gray-4)","--mantine-color-dimmed":"var(--mantine-color-gray-6)"},dark:{"--mantine-primary-color-contrast":Mn(n,"dark"),"--mantine-color-bright":"var(--mantine-color-white)","--mantine-color-text":"var(--mantine-color-dark-0)","--mantine-color-body":"var(--mantine-color-dark-7)","--mantine-color-error":"var(--mantine-color-red-8)","--mantine-color-placeholder":"var(--mantine-color-dark-3)","--mantine-color-anchor":`var(--mantine-color-${n.primaryColor}-4)`,"--mantine-color-default":"var(--mantine-color-dark-6)","--mantine-color-default-hover":"var(--mantine-color-dark-5)","--mantine-color-default-color":"var(--mantine-color-white)","--mantine-color-default-border":"var(--mantine-color-dark-4)","--mantine-color-dimmed":"var(--mantine-color-dark-2)"}};In(r.variables,n.breakpoints,"breakpoint"),In(r.variables,n.spacing,"spacing"),In(r.variables,n.fontSizes,"font-size"),In(r.variables,n.lineHeights,"line-height"),In(r.variables,n.shadows,"shadow"),In(r.variables,n.radius,"radius"),n.colors[n.primaryColor].forEach(((e,a)=>{r.variables[`--mantine-primary-color-${a}`]=`var(--mantine-color-${n.primaryColor}-${a})`})),Z(n.colors).forEach((e=>{const a=n.colors[e];if(function(n){return!!n&&"object"==typeof n&&"mantine-virtual-color"in n}(a))return Object.assign(r.light,An({theme:n,name:a.name,color:a.light,colorScheme:"light",withColorValues:!0})),void Object.assign(r.dark,An({theme:n,name:a.name,color:a.dark,colorScheme:"dark",withColorValues:!0}));a.forEach(((n,a)=>{r.variables[`--mantine-color-${e}-${a}`]=n})),Object.assign(r.light,An({theme:n,color:e,colorScheme:"light",withColorValues:!1})),Object.assign(r.dark,An({theme:n,color:e,colorScheme:"dark",withColorValues:!1}))}));const t=n.headings.sizes;return Z(t).forEach((e=>{r.variables[`--mantine-${e}-font-size`]=t[e].fontSize,r.variables[`--mantine-${e}-line-height`]=t[e].lineHeight,r.variables[`--mantine-${e}-font-weight`]=t[e].fontWeight||n.headings.fontWeight})),r},Fn=On(y);function Dn({cssVariablesSelector:e,deduplicateCssVariables:a}){const r=j(),t=I(),o=function({theme:n,generator:e}){const a=On(n),r=e?.(n);return r?x(a,r):a}({theme:r,generator:A().cssVariablesResolver}),i=":root"===e&&a,l=function(n,e){const a=Ln(n.variables),r=a?Tn(e,a):"",t=Ln(n.dark),o=t?Tn(`${e}[data-mantine-color-scheme="dark"]`,t):"",i=Ln(n.light);return`${r}${o}${i?Tn(`${e}[data-mantine-color-scheme="light"]`,i):""}`}(i?function(n){const e={variables:{},light:{},dark:{}};return Z(n.variables).forEach((a=>{Fn.variables[a]!==n.variables[a]&&(e.variables[a]=n.variables[a])})),Z(n.light).forEach((a=>{Fn.light[a]!==n.light[a]&&(e.light[a]=n.light[a])})),Z(n.dark).forEach((a=>{Fn.dark[a]!==n.dark[a]&&(e.dark[a]=n.dark[a])})),e}(o):o,e);return l?(0,n.jsx)("style",{"data-mantine-styles":!0,nonce:t?.(),dangerouslySetInnerHTML:{__html:`${l}${i?"":(c=e,`\n  ${c}[data-mantine-color-scheme="dark"] { --mantine-color-scheme: dark; }\n  ${c}[data-mantine-color-scheme="light"] { --mantine-color-scheme: light; }\n`)}`}}):null;var c}function Hn(n,e){const a="auto"!==n?n:window.matchMedia("(prefers-color-scheme: dark)").matches?"dark":"light";e()?.setAttribute("data-mantine-color-scheme",a)}function Bn({theme:a,children:r,getStyleNonce:t,withStaticClasses:o=!0,withGlobalClasses:i=!0,deduplicateCssVariables:l=!0,withCssVariables:c=!0,cssVariablesSelector:s=":root",classNamesPrefix:d="mantine",colorSchemeManager:m=Nn(),defaultColorScheme:h="light",getRootElement:v=(()=>document.documentElement),cssVariablesResolver:f,forceColorScheme:b,stylesTransform:p}){const{colorScheme:g,setColorScheme:u,clearColorScheme:w}=function({manager:n,defaultColorScheme:a,getRootElement:r,forceColorScheme:t}){const o=(0,e.useRef)(),[i,l]=(0,e.useState)((()=>n.get(a))),c=t||i,s=(0,e.useCallback)((e=>{t||(Hn(e,r),l(e),n.set(e))}),[n.set,c,t]),d=(0,e.useCallback)((()=>{l(a),Hn(a,r),n.clear()}),[n.clear,a]);return(0,e.useEffect)((()=>(n.subscribe(s),n.unsubscribe)),[n.subscribe,n.unsubscribe]),yn((()=>{Hn(n.get(a),r)}),[]),(0,e.useEffect)((()=>{if(t)return Hn(t,r),()=>{};void 0===t&&Hn(i,r),o.current=window.matchMedia("(prefers-color-scheme: dark)");const n=n=>{"auto"===i&&Hn(n.matches?"dark":"light",r)};return o.current?.addEventListener("change",n),()=>o.current?.removeEventListener("change",n)}),[i,t]),{colorScheme:c,setColorScheme:s,clearColorScheme:d}}({defaultColorScheme:h,forceColorScheme:b,manager:m,getRootElement:v});return function({respectReducedMotion:n,getRootElement:e}){yn((()=>{n&&e()?.setAttribute("data-respect-reduced-motion","true")}),[n])}({respectReducedMotion:a?.respectReducedMotion||!1,getRootElement:v}),(0,n.jsx)(M.Provider,{value:{colorScheme:g,setColorScheme:u,clearColorScheme:w,getRootElement:v,classNamesPrefix:d,getStyleNonce:t,cssVariablesResolver:f,cssVariablesSelector:s,withStaticClasses:o,stylesTransform:p},children:(0,n.jsxs)(R,{theme:a,children:[c&&(0,n.jsx)(Dn,{cssVariablesSelector:s,deduplicateCssVariables:l}),i&&(0,n.jsx)(Pn,{}),r]})})}Dn.displayName="@mantine/CssVariables",function(){const n=console.error;console.error=(...e)=>{e.length>1&&"string"==typeof e[0]&&e[0].toLowerCase().includes("extra attributes from the server")&&"string"==typeof e[1]&&e[1].toLowerCase().includes("data-mantine-color-scheme")||n(...e)}}(),Bn.displayName="@mantine/core/MantineProvider";var Wn=t(591),Yn=t.n(Wn),Vn=t(740),qn=t.n(Vn),Xn=t(128),Un=t.n(Xn),Gn=t(855),Kn=t.n(Gn),Zn=t(51),Jn=t.n(Zn),Qn=t(656),ne=t.n(Qn),ee=t(816),ae={};ae.styleTagTransform=ne(),ae.setAttributes=Kn(),ae.insert=Un().bind(null,"head"),ae.domAPI=qn(),ae.insertStyleElement=Jn(),Yn()(ee.A,ae),ee.A&&ee.A.locals&&ee.A.locals;const re=(0,e.createContext)({debug:!1,setDebug:()=>{},highlights:[],hasHighlight:!1,addHighlight:()=>{},removeHighlight:()=>{},removeAllHighlights:()=>{},activeHighlight:void 0,setActiveHighlight:()=>{}}),te=({children:a})=>{const[r,t]=(0,e.useState)(!1),[o,i]=(0,e.useState)([]),[l,c]=(0,e.useState)(void 0),s=o.length>0;return(0,n.jsx)(re.Provider,{value:{debug:r,setDebug:t,highlights:o,addHighlight:n=>{i((e=>[...e,n]))},removeHighlight:n=>{i((e=>e.filter((e=>e!==n))))},removeAllHighlights:()=>{i([])},activeHighlight:l,setActiveHighlight:c,hasHighlight:s},children:a})},oe=()=>(0,e.useContext)(re);function ie(n){return!Array.isArray(n)&&null!==n&&"object"==typeof n&&n.type!==e.Fragment}function le(n,e="size",a=!0){if(void 0!==n)return en(n)?a?l(n):n:`var(--${e}-${n})`}function ce(n){return le(n,"mantine-spacing")}function se(n){return void 0===n?"var(--mantine-radius-default)":le(n,"mantine-radius")}function de(n){if(n)return le(n,"mantine-shadow",!1)}const me=(0,e.createContext)({dir:"ltr",toggleDirection:()=>{},setDirection:()=>{}});function he(){return(0,e.useContext)(me)}function ve(n,e){if("rtl"===n&&(e.includes("right")||e.includes("left"))){const[n,a]=e.split("-"),r="right"===n?"left":"right";return void 0===a?r:`${r}-${a}`}return e}function fe(n,e,a,r){return"center"===n||"center"===r?{top:e}:"end"===n?{bottom:a}:"start"===n?{top:a}:{}}function be(n,e,a,r,t){return"center"===n||"center"===r?{left:e}:"end"===n?{["ltr"===t?"right":"left"]:a}:"start"===n?{["ltr"===t?"left":"right"]:a}:{}}const pe={bottom:"borderTopLeftRadius",left:"borderTopRightRadius",right:"borderBottomLeftRadius",top:"borderBottomRightRadius"};function ge({position:n,arrowSize:e,arrowOffset:a,arrowRadius:r,arrowPosition:t,arrowX:o,arrowY:i,dir:c}){const[s,d="center"]=n.split("-"),m={width:l(e),height:l(e),transform:"rotate(45deg)",position:"absolute",[pe[s]]:l(r)},h=l(-e/2);return"left"===s?{...m,...fe(d,i,a,t),right:h,borderLeftColor:"transparent",borderBottomColor:"transparent"}:"right"===s?{...m,...fe(d,i,a,t),left:h,borderRightColor:"transparent",borderTopColor:"transparent"}:"top"===s?{...m,...be(d,o,a,t,c),bottom:h,borderTopColor:"transparent",borderLeftColor:"transparent"}:"bottom"===s?{...m,...be(d,o,a,t,c),top:h,borderBottomColor:"transparent",borderRightColor:"transparent"}:{}}const ue=(0,e.forwardRef)((({position:e,arrowSize:a,arrowOffset:r,arrowRadius:t,arrowPosition:o,visible:i,arrowX:l,arrowY:c,style:s,...d},m)=>{const{dir:h}=he();return i?(0,n.jsx)("div",{...d,ref:m,style:{...s,...ge({position:e,arrowSize:a,arrowOffset:r,arrowRadius:t,arrowPosition:o,dir:h,arrowX:l,arrowY:c})}}):null}));ue.displayName="@mantine/core/FloatingArrow";const we=n=>({in:{opacity:1,transform:"scale(1)"},out:{opacity:0,transform:`scale(.9) translateY(${l("bottom"===n?10:-10)})`},transitionProperty:"transform, opacity"}),ye={fade:{in:{opacity:1},out:{opacity:0},transitionProperty:"opacity"},"fade-up":{in:{opacity:1,transform:"translateY(0)"},out:{opacity:0,transform:`translateY(${l(30)}`},transitionProperty:"opacity, transform"},"fade-down":{in:{opacity:1,transform:"translateY(0)"},out:{opacity:0,transform:`translateY(${l(-30)}`},transitionProperty:"opacity, transform"},"fade-left":{in:{opacity:1,transform:"translateX(0)"},out:{opacity:0,transform:`translateX(${l(30)}`},transitionProperty:"opacity, transform"},"fade-right":{in:{opacity:1,transform:"translateX(0)"},out:{opacity:0,transform:`translateX(${l(-30)}`},transitionProperty:"opacity, transform"},scale:{in:{opacity:1,transform:"scale(1)"},out:{opacity:0,transform:"scale(0)"},common:{transformOrigin:"top"},transitionProperty:"transform, opacity"},"scale-y":{in:{opacity:1,transform:"scaleY(1)"},out:{opacity:0,transform:"scaleY(0)"},common:{transformOrigin:"top"},transitionProperty:"transform, opacity"},"scale-x":{in:{opacity:1,transform:"scaleX(1)"},out:{opacity:0,transform:"scaleX(0)"},common:{transformOrigin:"left"},transitionProperty:"transform, opacity"},"skew-up":{in:{opacity:1,transform:"translateY(0) skew(0deg, 0deg)"},out:{opacity:0,transform:`translateY(${l(-20)}) skew(-10deg, -5deg)`},common:{transformOrigin:"top"},transitionProperty:"transform, opacity"},"skew-down":{in:{opacity:1,transform:"translateY(0) skew(0deg, 0deg)"},out:{opacity:0,transform:`translateY(${l(20)}) skew(-10deg, -5deg)`},common:{transformOrigin:"bottom"},transitionProperty:"transform, opacity"},"rotate-left":{in:{opacity:1,transform:"translateY(0) rotate(0deg)"},out:{opacity:0,transform:`translateY(${l(20)}) rotate(-5deg)`},common:{transformOrigin:"bottom"},transitionProperty:"transform, opacity"},"rotate-right":{in:{opacity:1,transform:"translateY(0) rotate(0deg)"},out:{opacity:0,transform:`translateY(${l(20)}) rotate(5deg)`},common:{transformOrigin:"top"},transitionProperty:"transform, opacity"},"slide-down":{in:{opacity:1,transform:"translateY(0)"},out:{opacity:0,transform:"translateY(-100%)"},common:{transformOrigin:"top"},transitionProperty:"transform, opacity"},"slide-up":{in:{opacity:1,transform:"translateY(0)"},out:{opacity:0,transform:"translateY(100%)"},common:{transformOrigin:"bottom"},transitionProperty:"transform, opacity"},"slide-left":{in:{opacity:1,transform:"translateX(0)"},out:{opacity:0,transform:"translateX(100%)"},common:{transformOrigin:"left"},transitionProperty:"transform, opacity"},"slide-right":{in:{opacity:1,transform:"translateX(0)"},out:{opacity:0,transform:"translateX(-100%)"},common:{transformOrigin:"right"},transitionProperty:"transform, opacity"},pop:{...we("bottom"),common:{transformOrigin:"center center"}},"pop-bottom-left":{...we("bottom"),common:{transformOrigin:"bottom left"}},"pop-bottom-right":{...we("bottom"),common:{transformOrigin:"bottom right"}},"pop-top-left":{...we("top"),common:{transformOrigin:"top left"}},"pop-top-right":{...we("top"),common:{transformOrigin:"top right"}}},_e={entering:"in",entered:"in",exiting:"out",exited:"out","pre-exiting":"out","pre-entering":"out"};function xe({transition:n,state:e,duration:a,timingFunction:r}){const t={transitionDuration:`${a}ms`,transitionTimingFunction:r};return"string"==typeof n?n in ye?{transitionProperty:ye[n].transitionProperty,...t,...ye[n].common,...ye[n][_e[e]]}:{}:{transitionProperty:n.transitionProperty,...t,...n.common,...n[_e[e]]}}function ke(n,a){const r=(0,e.useRef)(!1);(0,e.useEffect)((()=>()=>{r.current=!1}),[]),(0,e.useEffect)((()=>{if(r.current)return n();r.current=!0}),a)}function ze({duration:n,exitDuration:a,timingFunction:r,mounted:t,onEnter:o,onExit:i,onEntered:l,onExited:c}){const s=j(),d=function(n,a,{getInitialValueInEffect:r}={getInitialValueInEffect:!0}){const[t,o]=(0,e.useState)(r?a:function(n,e){return"undefined"!=typeof window&&"matchMedia"in window&&window.matchMedia(n).matches}(n)),i=(0,e.useRef)();return(0,e.useEffect)((()=>{if("matchMedia"in window)return i.current=window.matchMedia(n),o(i.current.matches),function(n,e){try{return n.addEventListener("change",e),()=>n.removeEventListener("change",e)}catch(a){return n.addListener(e),()=>n.removeListener(e)}}(i.current,(n=>o(n.matches)))}),[n]),t}("(prefers-reduced-motion: reduce)",void 0,void 0),m=!!s.respectReducedMotion&&d,[h,v]=(0,e.useState)(m?0:n),[f,b]=(0,e.useState)(t?"entered":"exited"),p=(0,e.useRef)(-1),g=(0,e.useRef)(-1);return ke((()=>{(e=>{const r=e?o:i,t=e?l:c;window.clearTimeout(p.current);const s=m?0:e?n:a;v(s),0===s?("function"==typeof r&&r(),"function"==typeof t&&t(),b(e?"entered":"exited")):g.current=requestAnimationFrame((()=>{wn.flushSync((()=>{b(e?"pre-entering":"pre-exiting")})),g.current=requestAnimationFrame((()=>{"function"==typeof r&&r(),b(e?"entering":"exiting"),p.current=window.setTimeout((()=>{"function"==typeof t&&t(),b(e?"entered":"exited")}),s)}))}))})(t)}),[t]),(0,e.useEffect)((()=>()=>{window.clearTimeout(p.current),cancelAnimationFrame(g.current)}),[]),{transitionDuration:h,transitionStatus:f,transitionTimingFunction:r||"ease"}}function $e({keepMounted:e,transition:a="fade",duration:r=250,exitDuration:t=r,mounted:o,children:i,timingFunction:l="ease",onExit:c,onEntered:s,onEnter:d,onExited:m}){const{transitionDuration:h,transitionStatus:v,transitionTimingFunction:f}=ze({mounted:o,exitDuration:t,duration:r,timingFunction:l,onExit:c,onEntered:s,onEnter:d,onExited:m});return 0===h?o?(0,n.jsx)(n.Fragment,{children:i({})}):e?i({display:"none"}):null:"exited"===v?e?i({display:"none"}):null:(0,n.jsx)(n.Fragment,{children:i(xe({transition:a,duration:h,state:v,timingFunction:f}))})}$e.displayName="@mantine/core/Transition";const Ce={duration:100,transition:"fade"};function Ee(n,e){return Array.isArray(n)?[...n].reduce(((n,a)=>({...n,...Ee(a,e)})),{}):"function"==typeof n?n(e):null==n?{}:n}function Se(n){return Ne(n)?(n.nodeName||"").toLowerCase():"#document"}function je(n){var e;return(null==n||null==(e=n.ownerDocument)?void 0:e.defaultView)||window}function Re(n){var e;return null==(e=(Ne(n)?n.ownerDocument:n.document)||window.document)?void 0:e.documentElement}function Ne(n){return n instanceof Node||n instanceof je(n).Node}function Pe(n){return n instanceof Element||n instanceof je(n).Element}function Le(n){return n instanceof HTMLElement||n instanceof je(n).HTMLElement}function Te(n){return"undefined"!=typeof ShadowRoot&&(n instanceof ShadowRoot||n instanceof je(n).ShadowRoot)}function Me(n){const{overflow:e,overflowX:a,overflowY:r,display:t}=De(n);return/auto|scroll|overlay|hidden|clip/.test(e+r+a)&&!["inline","contents"].includes(t)}function Ae(n){return["table","td","th"].includes(Se(n))}function Ie(n){const e=Oe(),a=De(n);return"none"!==a.transform||"none"!==a.perspective||!!a.containerType&&"normal"!==a.containerType||!e&&!!a.backdropFilter&&"none"!==a.backdropFilter||!e&&!!a.filter&&"none"!==a.filter||["transform","perspective","filter"].some((n=>(a.willChange||"").includes(n)))||["paint","layout","strict","content"].some((n=>(a.contain||"").includes(n)))}function Oe(){return!("undefined"==typeof CSS||!CSS.supports)&&CSS.supports("-webkit-backdrop-filter","none")}function Fe(n){return["html","body","#document"].includes(Se(n))}function De(n){return je(n).getComputedStyle(n)}function He(n){return Pe(n)?{scrollLeft:n.scrollLeft,scrollTop:n.scrollTop}:{scrollLeft:n.pageXOffset,scrollTop:n.pageYOffset}}function Be(n){if("html"===Se(n))return n;const e=n.assignedSlot||n.parentNode||Te(n)&&n.host||Re(n);return Te(e)?e.host:e}function We(n){const e=Be(n);return Fe(e)?n.ownerDocument?n.ownerDocument.body:n.body:Le(e)&&Me(e)?e:We(e)}function Ye(n,e,a){var r;void 0===e&&(e=[]),void 0===a&&(a=!0);const t=We(n),o=t===(null==(r=n.ownerDocument)?void 0:r.body),i=je(t);return o?e.concat(i,i.visualViewport||[],Me(t)?t:[],i.frameElement&&a?Ye(i.frameElement):[]):e.concat(t,Ye(t,[],a))}function Ve(n){let e=n.activeElement;for(;null!=(null==(a=e)||null==(a=a.shadowRoot)?void 0:a.activeElement);){var a;e=e.shadowRoot.activeElement}return e}function qe(n,e){if(!n||!e)return!1;const a=null==e.getRootNode?void 0:e.getRootNode();if(n.contains(e))return!0;if(a&&Te(a)){let a=e;for(;a;){if(n===a)return!0;a=a.parentNode||a.host}}return!1}function Xe(){const n=navigator.userAgentData;return null!=n&&n.platform?n.platform:navigator.platform}function Ue(){const n=navigator.userAgentData;return n&&Array.isArray(n.brands)?n.brands.map((n=>{let{brand:e,version:a}=n;return e+"/"+a})).join(" "):navigator.userAgent}function Ge(){const n=/android/i;return n.test(Xe())||n.test(Ue())}function Ke(n,e){const a=["mouse","pen"];return e||a.push("",void 0),a.includes(n)}function Ze(n){return(null==n?void 0:n.ownerDocument)||document}function Je(n,e){if(null==e)return!1;if("composedPath"in n)return n.composedPath().includes(e);const a=n;return null!=a.target&&e.contains(a.target)}function Qe(n){return"composedPath"in n?n.composedPath()[0]:n.target}const na="input:not([type='hidden']):not([disabled]),[contenteditable]:not([contenteditable='false']),textarea:not([disabled])";const ea=Math.min,aa=Math.max,ra=Math.round,ta=Math.floor,oa=n=>({x:n,y:n}),ia={left:"right",right:"left",bottom:"top",top:"bottom"},la={start:"end",end:"start"};function ca(n,e,a){return aa(n,ea(e,a))}function sa(n,e){return"function"==typeof n?n(e):n}function da(n){return n.split("-")[0]}function ma(n){return n.split("-")[1]}function ha(n){return"x"===n?"y":"x"}function va(n){return"y"===n?"height":"width"}function fa(n){return["top","bottom"].includes(da(n))?"y":"x"}function ba(n){return ha(fa(n))}function pa(n){return n.replace(/start|end/g,(n=>la[n]))}function ga(n){return n.replace(/left|right|bottom|top/g,(n=>ia[n]))}function ua(n){return"number"!=typeof n?function(n){return{top:0,right:0,bottom:0,left:0,...n}}(n):{top:n,right:n,bottom:n,left:n}}function wa(n){const{x:e,y:a,width:r,height:t}=n;return{width:r,height:t,top:a,left:e,right:e+r,bottom:a+t,x:e,y:a}}function ya(n,e,a){let{reference:r,floating:t}=n;const o=fa(e),i=ba(e),l=va(i),c=da(e),s="y"===o,d=r.x+r.width/2-t.width/2,m=r.y+r.height/2-t.height/2,h=r[l]/2-t[l]/2;let v;switch(c){case"top":v={x:d,y:r.y-t.height};break;case"bottom":v={x:d,y:r.y+r.height};break;case"right":v={x:r.x+r.width,y:m};break;case"left":v={x:r.x-t.width,y:m};break;default:v={x:r.x,y:r.y}}switch(ma(e)){case"start":v[i]-=h*(a&&s?-1:1);break;case"end":v[i]+=h*(a&&s?-1:1)}return v}async function _a(n,e){var a;void 0===e&&(e={});const{x:r,y:t,platform:o,rects:i,elements:l,strategy:c}=n,{boundary:s="clippingAncestors",rootBoundary:d="viewport",elementContext:m="floating",altBoundary:h=!1,padding:v=0}=sa(e,n),f=ua(v),b=l[h?"floating"===m?"reference":"floating":m],p=wa(await o.getClippingRect({element:null==(a=await(null==o.isElement?void 0:o.isElement(b)))||a?b:b.contextElement||await(null==o.getDocumentElement?void 0:o.getDocumentElement(l.floating)),boundary:s,rootBoundary:d,strategy:c})),g="floating"===m?{x:r,y:t,width:i.floating.width,height:i.floating.height}:i.reference,u=await(null==o.getOffsetParent?void 0:o.getOffsetParent(l.floating)),w=await(null==o.isElement?void 0:o.isElement(u))&&await(null==o.getScale?void 0:o.getScale(u))||{x:1,y:1},y=wa(o.convertOffsetParentRelativeRectToViewportRelativeRect?await o.convertOffsetParentRelativeRectToViewportRelativeRect({elements:l,rect:g,offsetParent:u,strategy:c}):g);return{top:(p.top-y.top+f.top)/w.y,bottom:(y.bottom-p.bottom+f.bottom)/w.y,left:(p.left-y.left+f.left)/w.x,right:(y.right-p.right+f.right)/w.x}}const xa=function(n){return void 0===n&&(n={}),{name:"flip",options:n,async fn(e){var a,r;const{placement:t,middlewareData:o,rects:i,initialPlacement:l,platform:c,elements:s}=e,{mainAxis:d=!0,crossAxis:m=!0,fallbackPlacements:h,fallbackStrategy:v="bestFit",fallbackAxisSideDirection:f="none",flipAlignment:b=!0,...p}=sa(n,e);if(null!=(a=o.arrow)&&a.alignmentOffset)return{};const g=da(t),u=da(l)===l,w=await(null==c.isRTL?void 0:c.isRTL(s.floating)),y=h||(u||!b?[ga(l)]:function(n){const e=ga(n);return[pa(n),e,pa(e)]}(l));h||"none"===f||y.push(...function(n,e,a,r){const t=ma(n);let o=function(n,e,a){const r=["left","right"],t=["right","left"],o=["top","bottom"],i=["bottom","top"];switch(n){case"top":case"bottom":return a?e?t:r:e?r:t;case"left":case"right":return e?o:i;default:return[]}}(da(n),"start"===a,r);return t&&(o=o.map((n=>n+"-"+t)),e&&(o=o.concat(o.map(pa)))),o}(l,b,f,w));const _=[l,...y],x=await _a(e,p),k=[];let z=(null==(r=o.flip)?void 0:r.overflows)||[];if(d&&k.push(x[g]),m){const n=function(n,e,a){void 0===a&&(a=!1);const r=ma(n),t=ba(n),o=va(t);let i="x"===t?r===(a?"end":"start")?"right":"left":"start"===r?"bottom":"top";return e.reference[o]>e.floating[o]&&(i=ga(i)),[i,ga(i)]}(t,i,w);k.push(x[n[0]],x[n[1]])}if(z=[...z,{placement:t,overflows:k}],!k.every((n=>n<=0))){var $,C;const n=((null==($=o.flip)?void 0:$.index)||0)+1,e=_[n];if(e)return{data:{index:n,overflows:z},reset:{placement:e}};let a=null==(C=z.filter((n=>n.overflows[0]<=0)).sort(((n,e)=>n.overflows[1]-e.overflows[1]))[0])?void 0:C.placement;if(!a)switch(v){case"bestFit":{var E;const n=null==(E=z.map((n=>[n.placement,n.overflows.filter((n=>n>0)).reduce(((n,e)=>n+e),0)])).sort(((n,e)=>n[1]-e[1]))[0])?void 0:E[0];n&&(a=n);break}case"initialPlacement":a=l}if(t!==a)return{reset:{placement:a}}}return{}}}};function ka(n){const e=ea(...n.map((n=>n.left))),a=ea(...n.map((n=>n.top)));return{x:e,y:a,width:aa(...n.map((n=>n.right)))-e,height:aa(...n.map((n=>n.bottom)))-a}}const za=function(n){return void 0===n&&(n={}),{name:"inline",options:n,async fn(e){const{placement:a,elements:r,rects:t,platform:o,strategy:i}=e,{padding:l=2,x:c,y:s}=sa(n,e),d=Array.from(await(null==o.getClientRects?void 0:o.getClientRects(r.reference))||[]),m=function(n){const e=n.slice().sort(((n,e)=>n.y-e.y)),a=[];let r=null;for(let n=0;n<e.length;n++){const t=e[n];!r||t.y-r.y>r.height/2?a.push([t]):a[a.length-1].push(t),r=t}return a.map((n=>wa(ka(n))))}(d),h=wa(ka(d)),v=ua(l),f=await o.getElementRects({reference:{getBoundingClientRect:function(){if(2===m.length&&m[0].left>m[1].right&&null!=c&&null!=s)return m.find((n=>c>n.left-v.left&&c<n.right+v.right&&s>n.top-v.top&&s<n.bottom+v.bottom))||h;if(m.length>=2){if("y"===fa(a)){const n=m[0],e=m[m.length-1],r="top"===da(a),t=n.top,o=e.bottom,i=r?n.left:e.left,l=r?n.right:e.right;return{top:t,bottom:o,left:i,right:l,width:l-i,height:o-t,x:i,y:t}}const n="left"===da(a),e=aa(...m.map((n=>n.right))),r=ea(...m.map((n=>n.left))),t=m.filter((a=>n?a.left===r:a.right===e)),o=t[0].top,i=t[t.length-1].bottom;return{top:o,bottom:i,left:r,right:e,width:e-r,height:i-o,x:r,y:o}}return h}},floating:r.floating,strategy:i});return t.reference.x!==f.reference.x||t.reference.y!==f.reference.y||t.reference.width!==f.reference.width||t.reference.height!==f.reference.height?{reset:{rects:f}}:{}}}},$a=function(n){return void 0===n&&(n=0),{name:"offset",options:n,async fn(e){var a,r;const{x:t,y:o,placement:i,middlewareData:l}=e,c=await async function(n,e){const{placement:a,platform:r,elements:t}=n,o=await(null==r.isRTL?void 0:r.isRTL(t.floating)),i=da(a),l=ma(a),c="y"===fa(a),s=["left","top"].includes(i)?-1:1,d=o&&c?-1:1,m=sa(e,n);let{mainAxis:h,crossAxis:v,alignmentAxis:f}="number"==typeof m?{mainAxis:m,crossAxis:0,alignmentAxis:null}:{mainAxis:0,crossAxis:0,alignmentAxis:null,...m};return l&&"number"==typeof f&&(v="end"===l?-1*f:f),c?{x:v*d,y:h*s}:{x:h*s,y:v*d}}(e,n);return i===(null==(a=l.offset)?void 0:a.placement)&&null!=(r=l.arrow)&&r.alignmentOffset?{}:{x:t+c.x,y:o+c.y,data:{...c,placement:i}}}}};function Ca(n){const e=De(n);let a=parseFloat(e.width)||0,r=parseFloat(e.height)||0;const t=Le(n),o=t?n.offsetWidth:a,i=t?n.offsetHeight:r,l=ra(a)!==o||ra(r)!==i;return l&&(a=o,r=i),{width:a,height:r,$:l}}function Ea(n){return Pe(n)?n:n.contextElement}function Sa(n){const e=Ea(n);if(!Le(e))return oa(1);const a=e.getBoundingClientRect(),{width:r,height:t,$:o}=Ca(e);let i=(o?ra(a.width):a.width)/r,l=(o?ra(a.height):a.height)/t;return i&&Number.isFinite(i)||(i=1),l&&Number.isFinite(l)||(l=1),{x:i,y:l}}const ja=oa(0);function Ra(n){const e=je(n);return Oe()&&e.visualViewport?{x:e.visualViewport.offsetLeft,y:e.visualViewport.offsetTop}:ja}function Na(n,e,a,r){void 0===e&&(e=!1),void 0===a&&(a=!1);const t=n.getBoundingClientRect(),o=Ea(n);let i=oa(1);e&&(r?Pe(r)&&(i=Sa(r)):i=Sa(n));const l=function(n,e,a){return void 0===e&&(e=!1),!(!a||e&&a!==je(n))&&e}(o,a,r)?Ra(o):oa(0);let c=(t.left+l.x)/i.x,s=(t.top+l.y)/i.y,d=t.width/i.x,m=t.height/i.y;if(o){const n=je(o),e=r&&Pe(r)?je(r):r;let a=n,t=a.frameElement;for(;t&&r&&e!==a;){const n=Sa(t),e=t.getBoundingClientRect(),r=De(t),o=e.left+(t.clientLeft+parseFloat(r.paddingLeft))*n.x,i=e.top+(t.clientTop+parseFloat(r.paddingTop))*n.y;c*=n.x,s*=n.y,d*=n.x,m*=n.y,c+=o,s+=i,a=je(t),t=a.frameElement}}return wa({width:d,height:m,x:c,y:s})}const Pa=[":popover-open",":modal"];function La(n){return Pa.some((e=>{try{return n.matches(e)}catch(n){return!1}}))}function Ta(n){return Na(Re(n)).left+He(n).scrollLeft}function Ma(n,e,a){let r;if("viewport"===e)r=function(n,e){const a=je(n),r=Re(n),t=a.visualViewport;let o=r.clientWidth,i=r.clientHeight,l=0,c=0;if(t){o=t.width,i=t.height;const n=Oe();(!n||n&&"fixed"===e)&&(l=t.offsetLeft,c=t.offsetTop)}return{width:o,height:i,x:l,y:c}}(n,a);else if("document"===e)r=function(n){const e=Re(n),a=He(n),r=n.ownerDocument.body,t=aa(e.scrollWidth,e.clientWidth,r.scrollWidth,r.clientWidth),o=aa(e.scrollHeight,e.clientHeight,r.scrollHeight,r.clientHeight);let i=-a.scrollLeft+Ta(n);const l=-a.scrollTop;return"rtl"===De(r).direction&&(i+=aa(e.clientWidth,r.clientWidth)-t),{width:t,height:o,x:i,y:l}}(Re(n));else if(Pe(e))r=function(n,e){const a=Na(n,!0,"fixed"===e),r=a.top+n.clientTop,t=a.left+n.clientLeft,o=Le(n)?Sa(n):oa(1);return{width:n.clientWidth*o.x,height:n.clientHeight*o.y,x:t*o.x,y:r*o.y}}(e,a);else{const a=Ra(n);r={...e,x:e.x-a.x,y:e.y-a.y}}return wa(r)}function Aa(n,e){const a=Be(n);return!(a===e||!Pe(a)||Fe(a))&&("fixed"===De(a).position||Aa(a,e))}function Ia(n,e,a){const r=Le(e),t=Re(e),o="fixed"===a,i=Na(n,!0,o,e);let l={scrollLeft:0,scrollTop:0};const c=oa(0);if(r||!r&&!o)if(("body"!==Se(e)||Me(t))&&(l=He(e)),r){const n=Na(e,!0,o,e);c.x=n.x+e.clientLeft,c.y=n.y+e.clientTop}else t&&(c.x=Ta(t));return{x:i.left+l.scrollLeft-c.x,y:i.top+l.scrollTop-c.y,width:i.width,height:i.height}}function Oa(n,e){return Le(n)&&"fixed"!==De(n).position?e?e(n):n.offsetParent:null}function Fa(n,e){const a=je(n);if(!Le(n)||La(n))return a;let r=Oa(n,e);for(;r&&Ae(r)&&"static"===De(r).position;)r=Oa(r,e);return r&&("html"===Se(r)||"body"===Se(r)&&"static"===De(r).position&&!Ie(r))?a:r||function(n){let e=Be(n);for(;Le(e)&&!Fe(e);){if(Ie(e))return e;e=Be(e)}return null}(n)||a}const Da={convertOffsetParentRelativeRectToViewportRelativeRect:function(n){let{elements:e,rect:a,offsetParent:r,strategy:t}=n;const o="fixed"===t,i=Re(r),l=!!e&&La(e.floating);if(r===i||l&&o)return a;let c={scrollLeft:0,scrollTop:0},s=oa(1);const d=oa(0),m=Le(r);if((m||!m&&!o)&&(("body"!==Se(r)||Me(i))&&(c=He(r)),Le(r))){const n=Na(r);s=Sa(r),d.x=n.x+r.clientLeft,d.y=n.y+r.clientTop}return{width:a.width*s.x,height:a.height*s.y,x:a.x*s.x-c.scrollLeft*s.x+d.x,y:a.y*s.y-c.scrollTop*s.y+d.y}},getDocumentElement:Re,getClippingRect:function(n){let{element:e,boundary:a,rootBoundary:r,strategy:t}=n;const o=[..."clippingAncestors"===a?function(n,e){const a=e.get(n);if(a)return a;let r=Ye(n,[],!1).filter((n=>Pe(n)&&"body"!==Se(n))),t=null;const o="fixed"===De(n).position;let i=o?Be(n):n;for(;Pe(i)&&!Fe(i);){const e=De(i),a=Ie(i);a||"fixed"!==e.position||(t=null),(o?!a&&!t:!a&&"static"===e.position&&t&&["absolute","fixed"].includes(t.position)||Me(i)&&!a&&Aa(n,i))?r=r.filter((n=>n!==i)):t=e,i=Be(i)}return e.set(n,r),r}(e,this._c):[].concat(a),r],i=o[0],l=o.reduce(((n,a)=>{const r=Ma(e,a,t);return n.top=aa(r.top,n.top),n.right=ea(r.right,n.right),n.bottom=ea(r.bottom,n.bottom),n.left=aa(r.left,n.left),n}),Ma(e,i,t));return{width:l.right-l.left,height:l.bottom-l.top,x:l.left,y:l.top}},getOffsetParent:Fa,getElementRects:async function(n){const e=this.getOffsetParent||Fa,a=this.getDimensions,r=await a(n.floating);return{reference:Ia(n.reference,await e(n.floating),n.strategy),floating:{x:0,y:0,width:r.width,height:r.height}}},getClientRects:function(n){return Array.from(n.getClientRects())},getDimensions:function(n){const{width:e,height:a}=Ca(n);return{width:e,height:a}},getScale:Sa,isElement:Pe,isRTL:function(n){return"rtl"===De(n).direction}};const Ha=$a,Ba=function(n){return void 0===n&&(n={}),{name:"shift",options:n,async fn(e){const{x:a,y:r,placement:t}=e,{mainAxis:o=!0,crossAxis:i=!1,limiter:l={fn:n=>{let{x:e,y:a}=n;return{x:e,y:a}}},...c}=sa(n,e),s={x:a,y:r},d=await _a(e,c),m=fa(da(t)),h=ha(m);let v=s[h],f=s[m];if(o){const n="y"===h?"bottom":"right";v=ca(v+d["y"===h?"top":"left"],v,v-d[n])}if(i){const n="y"===m?"bottom":"right";f=ca(f+d["y"===m?"top":"left"],f,f-d[n])}const b=l.fn({...e,[h]:v,[m]:f});return{...b,data:{x:b.x-a,y:b.y-r}}}}},Wa=xa,Ya=n=>({name:"arrow",options:n,async fn(e){const{x:a,y:r,placement:t,rects:o,platform:i,elements:l,middlewareData:c}=e,{element:s,padding:d=0}=sa(n,e)||{};if(null==s)return{};const m=ua(d),h={x:a,y:r},v=ba(t),f=va(v),b=await i.getDimensions(s),p="y"===v,g=p?"top":"left",u=p?"bottom":"right",w=p?"clientHeight":"clientWidth",y=o.reference[f]+o.reference[v]-h[v]-o.floating[f],_=h[v]-o.reference[v],x=await(null==i.getOffsetParent?void 0:i.getOffsetParent(s));let k=x?x[w]:0;k&&await(null==i.isElement?void 0:i.isElement(x))||(k=l.floating[w]||o.floating[f]);const z=y/2-_/2,$=k/2-b[f]/2-1,C=ea(m[g],$),E=ea(m[u],$),S=C,j=k-b[f]-E,R=k/2-b[f]/2+z,N=ca(S,R,j),P=!c.arrow&&null!=ma(t)&&R!==N&&o.reference[f]/2-(R<S?C:E)-b[f]/2<0,L=P?R<S?R-S:R-j:0;return{[v]:h[v]+L,data:{[v]:N,centerOffset:R-N-L,...P&&{alignmentOffset:L}},reset:P}}}),Va=za,qa=(n,e,a)=>{const r=new Map,t={platform:Da,...a},o={...t.platform,_c:r};return(async(n,e,a)=>{const{placement:r="bottom",strategy:t="absolute",middleware:o=[],platform:i}=a,l=o.filter(Boolean),c=await(null==i.isRTL?void 0:i.isRTL(e));let s=await i.getElementRects({reference:n,floating:e,strategy:t}),{x:d,y:m}=ya(s,r,c),h=r,v={},f=0;for(let a=0;a<l.length;a++){const{name:o,fn:b}=l[a],{x:p,y:g,data:u,reset:w}=await b({x:d,y:m,initialPlacement:r,placement:h,strategy:t,middlewareData:v,rects:s,platform:i,elements:{reference:n,floating:e}});d=null!=p?p:d,m=null!=g?g:m,v={...v,[o]:{...v[o],...u}},w&&f<=50&&(f++,"object"==typeof w&&(w.placement&&(h=w.placement),w.rects&&(s=!0===w.rects?await i.getElementRects({reference:n,floating:e,strategy:t}):w.rects),({x:d,y:m}=ya(s,h,c))),a=-1)}return{x:d,y:m,placement:h,strategy:t,middlewareData:v}})(n,e,{...t,platform:o})},Xa=n=>({name:"arrow",options:n,fn(e){const{element:a,padding:r}="function"==typeof n?n(e):n;return a&&(t=a,{}.hasOwnProperty.call(t,"current"))?null!=a.current?Ya({element:a.current,padding:r}).fn(e):{}:a?Ya({element:a,padding:r}).fn(e):{};var t}});var Ua="undefined"!=typeof document?e.useLayoutEffect:e.useEffect;function Ga(n,e){if(n===e)return!0;if(typeof n!=typeof e)return!1;if("function"==typeof n&&n.toString()===e.toString())return!0;let a,r,t;if(n&&e&&"object"==typeof n){if(Array.isArray(n)){if(a=n.length,a!==e.length)return!1;for(r=a;0!=r--;)if(!Ga(n[r],e[r]))return!1;return!0}if(t=Object.keys(n),a=t.length,a!==Object.keys(e).length)return!1;for(r=a;0!=r--;)if(!{}.hasOwnProperty.call(e,t[r]))return!1;for(r=a;0!=r--;){const a=t[r];if(!("_owner"===a&&n.$$typeof||Ga(n[a],e[a])))return!1}return!0}return n!=n&&e!=e}function Ka(n){return"undefined"==typeof window?1:(n.ownerDocument.defaultView||window).devicePixelRatio||1}function Za(n,e){const a=Ka(n);return Math.round(e*a)/a}function Ja(n){const a=e.useRef(n);return Ua((()=>{a.current=n})),a}function Qa(n){void 0===n&&(n={});const{placement:a="bottom",strategy:r="absolute",middleware:t=[],platform:o,elements:{reference:i,floating:l}={},transform:c=!0,whileElementsMounted:s,open:d}=n,[m,h]=e.useState({x:0,y:0,strategy:r,placement:a,middlewareData:{},isPositioned:!1}),[v,f]=e.useState(t);Ga(v,t)||f(t);const[b,p]=e.useState(null),[g,u]=e.useState(null),w=e.useCallback((n=>{n!==k.current&&(k.current=n,p(n))}),[]),y=e.useCallback((n=>{n!==z.current&&(z.current=n,u(n))}),[]),_=i||b,x=l||g,k=e.useRef(null),z=e.useRef(null),$=e.useRef(m),C=null!=s,E=Ja(s),S=Ja(o),j=e.useCallback((()=>{if(!k.current||!z.current)return;const n={placement:a,strategy:r,middleware:v};S.current&&(n.platform=S.current),qa(k.current,z.current,n).then((n=>{const e={...n,isPositioned:!0};R.current&&!Ga($.current,e)&&($.current=e,wn.flushSync((()=>{h(e)})))}))}),[v,a,r,S]);Ua((()=>{!1===d&&$.current.isPositioned&&($.current.isPositioned=!1,h((n=>({...n,isPositioned:!1}))))}),[d]);const R=e.useRef(!1);Ua((()=>(R.current=!0,()=>{R.current=!1})),[]),Ua((()=>{if(_&&(k.current=_),x&&(z.current=x),_&&x){if(E.current)return E.current(_,x,j);j()}}),[_,x,j,E,C]);const N=e.useMemo((()=>({reference:k,floating:z,setReference:w,setFloating:y})),[w,y]),P=e.useMemo((()=>({reference:_,floating:x})),[_,x]),L=e.useMemo((()=>{const n={position:r,left:0,top:0};if(!P.floating)return n;const e=Za(P.floating,m.x),a=Za(P.floating,m.y);return c?{...n,transform:"translate("+e+"px, "+a+"px)",...Ka(P.floating)>=1.5&&{willChange:"transform"}}:{position:r,left:e,top:a}}),[r,c,P.floating,m.x,m.y]);return e.useMemo((()=>({...m,update:j,refs:N,elements:P,floatingStyles:L})),[m,j,N,P,L])}const nr={...a},er=nr.useInsertionEffect||(n=>n());function ar(n){const a=e.useRef((()=>{}));return er((()=>{a.current=n})),e.useCallback((function(){for(var n=arguments.length,e=new Array(n),r=0;r<n;r++)e[r]=arguments[r];return null==a.current?void 0:a.current(...e)}),[])}var rr="undefined"!=typeof document?e.useLayoutEffect:e.useEffect;let tr=!1,or=0;const ir=()=>"floating-ui-"+Math.random().toString(36).slice(2,6)+or++,lr=nr.useId||function(){const[n,a]=e.useState((()=>tr?ir():void 0));return rr((()=>{null==n&&a(ir())}),[]),e.useEffect((()=>{tr=!0}),[]),n};const cr=e.createContext(null),sr=e.createContext(null),dr=()=>{var n;return(null==(n=e.useContext(cr))?void 0:n.id)||null},mr=()=>e.useContext(sr);function hr(n){return"data-floating-ui-"+n}function vr(n){const a=(0,e.useRef)(n);return rr((()=>{a.current=n})),a}const fr=hr("safe-polygon");function br(n,e,a){return a&&!Ke(a)?0:"number"==typeof n?n:null==n?void 0:n[e]}function pr(n,a){void 0===a&&(a={});const{open:r,onOpenChange:t,dataRef:o,events:i,elements:{domReference:l,floating:c},refs:s}=n,{enabled:d=!0,delay:m=0,handleClose:h=null,mouseOnly:v=!1,restMs:f=0,move:b=!0}=a,p=mr(),g=dr(),u=vr(h),w=vr(m),y=e.useRef(),_=e.useRef(-1),x=e.useRef(),k=e.useRef(-1),z=e.useRef(!0),$=e.useRef(!1),C=e.useRef((()=>{})),E=e.useCallback((()=>{var n;const e=null==(n=o.current.openEvent)?void 0:n.type;return(null==e?void 0:e.includes("mouse"))&&"mousedown"!==e}),[o]);e.useEffect((()=>{if(d)return i.on("openchange",n),()=>{i.off("openchange",n)};function n(n){let{open:e}=n;e||(clearTimeout(_.current),clearTimeout(k.current),z.current=!0)}}),[d,i]),e.useEffect((()=>{if(!d||!u.current||!r)return;function n(n){E()&&t(!1,n,"hover")}const e=Ze(c).documentElement;return e.addEventListener("mouseleave",n),()=>{e.removeEventListener("mouseleave",n)}}),[c,r,t,d,u,E]);const S=e.useCallback((function(n,e,a){void 0===e&&(e=!0),void 0===a&&(a="hover");const r=br(w.current,"close",y.current);r&&!x.current?(clearTimeout(_.current),_.current=window.setTimeout((()=>t(!1,n,a)),r)):e&&(clearTimeout(_.current),t(!1,n,a))}),[w,t]),j=e.useCallback((()=>{C.current(),x.current=void 0}),[]),R=e.useCallback((()=>{if($.current){const n=Ze(s.floating.current).body;n.style.pointerEvents="",n.removeAttribute(fr),$.current=!1}}),[s]);return e.useEffect((()=>{if(d&&Pe(l)){const n=l;return r&&n.addEventListener("mouseleave",s),null==c||c.addEventListener("mouseleave",s),b&&n.addEventListener("mousemove",a,{once:!0}),n.addEventListener("mouseenter",a),n.addEventListener("mouseleave",i),()=>{r&&n.removeEventListener("mouseleave",s),null==c||c.removeEventListener("mouseleave",s),b&&n.removeEventListener("mousemove",a),n.removeEventListener("mouseenter",a),n.removeEventListener("mouseleave",i)}}function e(){return!!o.current.openEvent&&["click","mousedown"].includes(o.current.openEvent.type)}function a(n){if(clearTimeout(_.current),z.current=!1,v&&!Ke(y.current)||f>0&&!br(w.current,"open"))return;const e=br(w.current,"open",y.current);e?_.current=window.setTimeout((()=>{t(!0,n,"hover")}),e):t(!0,n,"hover")}function i(a){if(e())return;C.current();const t=Ze(c);if(clearTimeout(k.current),u.current){r||clearTimeout(_.current),x.current=u.current({...n,tree:p,x:a.clientX,y:a.clientY,onClose(){R(),j(),S(a,!0,"safe-polygon")}});const e=x.current;return t.addEventListener("mousemove",e),void(C.current=()=>{t.removeEventListener("mousemove",e)})}("touch"!==y.current||!qe(c,a.relatedTarget))&&S(a)}function s(a){e()||null==u.current||u.current({...n,tree:p,x:a.clientX,y:a.clientY,onClose(){R(),j(),S(a)}})(a)}}),[l,c,d,n,v,f,b,S,j,R,t,r,p,w,u,o]),rr((()=>{var n;if(d&&r&&null!=(n=u.current)&&n.__options.blockPointerEvents&&E()){const n=Ze(c).body;if(n.setAttribute(fr,""),n.style.pointerEvents="none",$.current=!0,Pe(l)&&c){var e;const n=l,a=null==p||null==(e=p.nodesRef.current.find((n=>n.id===g)))||null==(e=e.context)?void 0:e.elements.floating;return a&&(a.style.pointerEvents=""),n.style.pointerEvents="auto",c.style.pointerEvents="auto",()=>{n.style.pointerEvents="",c.style.pointerEvents=""}}}}),[d,r,g,c,l,p,u,E]),rr((()=>{r||(y.current=void 0,j(),R())}),[r,j,R]),e.useEffect((()=>()=>{j(),clearTimeout(_.current),clearTimeout(k.current),R()}),[d,l,j,R]),e.useMemo((()=>{if(!d)return{};function n(n){y.current=n.pointerType}return{reference:{onPointerDown:n,onPointerEnter:n,onMouseMove(n){function e(){z.current||t(!0,n.nativeEvent,"hover")}v&&!Ke(y.current)||r||0===f||(clearTimeout(k.current),"touch"===y.current?e():k.current=window.setTimeout(e,f))}},floating:{onMouseEnter(){clearTimeout(_.current)},onMouseLeave(n){S(n.nativeEvent,!1)}}}}),[d,v,r,f,t,S])}const gr=()=>{},ur=e.createContext({delay:0,initialDelay:0,timeoutMs:0,currentId:null,setCurrentId:gr,setState:gr,isInstantPhase:!1}),wr=()=>e.useContext(ur);function yr(n){const{children:a,delay:r,timeoutMs:t=0}=n,[o,i]=e.useReducer(((n,e)=>({...n,...e})),{delay:r,timeoutMs:t,initialDelay:r,currentId:null,isInstantPhase:!1}),l=e.useRef(null),c=e.useCallback((n=>{i({currentId:n})}),[]);return rr((()=>{o.currentId?null===l.current?l.current=o.currentId:i({isInstantPhase:!0}):(i({isInstantPhase:!1}),l.current=null)}),[o.currentId]),e.createElement(ur.Provider,{value:e.useMemo((()=>({...o,setState:i,setCurrentId:c})),[o,c])},a)}function _r(n,e){void 0===e&&(e={});const{open:a,onOpenChange:r,floatingId:t}=n,{id:o}=e,i=null!=o?o:t,l=wr(),{currentId:c,setCurrentId:s,initialDelay:d,setState:m,timeoutMs:h}=l;return rr((()=>{c&&(m({delay:{open:1,close:br(d,"close")}}),c!==i&&r(!1))}),[i,r,m,c,d]),rr((()=>{function n(){r(!1),m({delay:d,currentId:null})}if(c&&!a&&c===i){if(h){const e=window.setTimeout(n,h);return()=>{clearTimeout(e)}}n()}}),[a,m,c,i,r,d,h]),rr((()=>{s!==gr&&a&&s(i)}),[a,s,i]),l}function xr(n,e){let a=n.filter((n=>{var a;return n.parentId===e&&(null==(a=n.context)?void 0:a.open)})),r=a;for(;r.length;)r=n.filter((n=>{var e;return null==(e=r)?void 0:e.some((e=>{var a;return n.parentId===e.id&&(null==(a=n.context)?void 0:a.open)}))})),a=a.concat(r);return a}const kr={pointerdown:"onPointerDown",mousedown:"onMouseDown",click:"onClick"},zr={pointerdown:"onPointerDownCapture",mousedown:"onMouseDownCapture",click:"onClickCapture"},$r=n=>{var e,a;return{escapeKey:"boolean"==typeof n?n:null!=(e=null==n?void 0:n.escapeKey)&&e,outsidePress:"boolean"==typeof n?n:null==(a=null==n?void 0:n.outsidePress)||a}};function Cr(n,a){void 0===a&&(a={});const{open:r,onOpenChange:t,nodeId:o,elements:{reference:i,domReference:l,floating:c},dataRef:s}=n,{enabled:d=!0,escapeKey:m=!0,outsidePress:h=!0,outsidePressEvent:v="pointerdown",referencePress:f=!1,referencePressEvent:b="pointerdown",ancestorScroll:p=!1,bubbles:g,capture:u}=a,w=mr(),y=ar("function"==typeof h?h:()=>!1),_="function"==typeof h?y:h,x=e.useRef(!1),k=e.useRef(!1),{escapeKey:z,outsidePress:$}=$r(g),{escapeKey:C,outsidePress:E}=$r(u),S=ar((n=>{if(!r||!d||!m||"Escape"!==n.key)return;const e=w?xr(w.nodesRef.current,o):[];if(!z&&(n.stopPropagation(),e.length>0)){let n=!0;if(e.forEach((e=>{var a;null==(a=e.context)||!a.open||e.context.dataRef.current.__escapeKeyBubbles||(n=!1)})),!n)return}t(!1,function(n){return"nativeEvent"in n}(n)?n.nativeEvent:n,"escape-key")})),j=ar((n=>{var e;const a=()=>{var e;S(n),null==(e=Qe(n))||e.removeEventListener("keydown",a)};null==(e=Qe(n))||e.addEventListener("keydown",a)})),R=ar((n=>{const e=x.current;x.current=!1;const a=k.current;if(k.current=!1,"click"===v&&a)return;if(e)return;if("function"==typeof _&&!_(n))return;const r=Qe(n),i="["+hr("inert")+"]",s=Ze(c).querySelectorAll(i);let d=Pe(r)?r:null;for(;d&&!Fe(d);){const n=Be(d);if(Fe(n)||!Pe(n))break;d=n}if(s.length&&Pe(r)&&!r.matches("html,body")&&!qe(r,c)&&Array.from(s).every((n=>!qe(d,n))))return;if(Le(r)&&c){const e=r.clientWidth>0&&r.scrollWidth>r.clientWidth,a=r.clientHeight>0&&r.scrollHeight>r.clientHeight;let t=a&&n.offsetX>r.clientWidth;if(a&&"rtl"===De(r).direction&&(t=n.offsetX<=r.offsetWidth-r.clientWidth),t||e&&n.offsetY>r.clientHeight)return}const m=w&&xr(w.nodesRef.current,o).some((e=>{var a;return Je(n,null==(a=e.context)?void 0:a.elements.floating)}));if(Je(n,c)||Je(n,l)||m)return;const h=w?xr(w.nodesRef.current,o):[];if(h.length>0){let n=!0;if(h.forEach((e=>{var a;null==(a=e.context)||!a.open||e.context.dataRef.current.__outsidePressBubbles||(n=!1)})),!n)return}t(!1,n,"outside-press")})),N=ar((n=>{var e;const a=()=>{var e;R(n),null==(e=Qe(n))||e.removeEventListener(v,a)};null==(e=Qe(n))||e.addEventListener(v,a)}));return e.useEffect((()=>{if(!r||!d)return;function n(n){t(!1,n,"ancestor-scroll")}s.current.__escapeKeyBubbles=z,s.current.__outsidePressBubbles=$;const e=Ze(c);m&&e.addEventListener("keydown",C?j:S,C),_&&e.addEventListener(v,E?N:R,E);let a=[];return p&&(Pe(l)&&(a=Ye(l)),Pe(c)&&(a=a.concat(Ye(c))),!Pe(i)&&i&&i.contextElement&&(a=a.concat(Ye(i.contextElement)))),a=a.filter((n=>{var a;return n!==(null==(a=e.defaultView)?void 0:a.visualViewport)})),a.forEach((e=>{e.addEventListener("scroll",n,{passive:!0})})),()=>{m&&e.removeEventListener("keydown",C?j:S,C),_&&e.removeEventListener(v,E?N:R,E),a.forEach((e=>{e.removeEventListener("scroll",n)}))}}),[s,c,l,i,m,_,v,r,t,p,d,z,$,S,C,j,R,E,N]),e.useEffect((()=>{x.current=!1}),[_,v]),e.useMemo((()=>d?{reference:{onKeyDown:S,[kr[b]]:n=>{f&&t(!1,n.nativeEvent,"reference-press")}},floating:{onKeyDown:S,onMouseDown(){k.current=!0},onMouseUp(){k.current=!0},[zr[v]]:()=>{x.current=!0}}}:{}),[d,f,v,b,t,S])}function Er(n){var a;void 0===n&&(n={});const{open:r=!1,onOpenChange:t,nodeId:o}=n,[i,l]=e.useState(null),[c,s]=e.useState(null),d=(null==(a=n.elements)?void 0:a.reference)||i;rr((()=>{d&&(b.current=d)}),[d]);const m=Qa({...n,elements:{...n.elements,...c&&{reference:c}}}),h=mr(),v=null!=dr(),f=ar(((n,e,a)=>{p.current.openEvent=n?e:void 0,g.emit("openchange",{open:n,event:e,reason:a,nested:v}),null==t||t(n,e,a)})),b=e.useRef(null),p=e.useRef({}),g=e.useState((()=>function(){const n=new Map;return{emit(e,a){var r;null==(r=n.get(e))||r.forEach((n=>n(a)))},on(e,a){n.set(e,[...n.get(e)||[],a])},off(e,a){var r;n.set(e,(null==(r=n.get(e))?void 0:r.filter((n=>n!==a)))||[])}}}()))[0],u=lr(),w=e.useCallback((n=>{const e=Pe(n)?{getBoundingClientRect:()=>n.getBoundingClientRect(),contextElement:n}:n;s(e),m.refs.setReference(e)}),[m.refs]),y=e.useCallback((n=>{(Pe(n)||null===n)&&(b.current=n,l(n)),(Pe(m.refs.reference.current)||null===m.refs.reference.current||null!==n&&!Pe(n))&&m.refs.setReference(n)}),[m.refs]),_=e.useMemo((()=>({...m.refs,setReference:y,setPositionReference:w,domReference:b})),[m.refs,y,w]),x=e.useMemo((()=>({...m.elements,domReference:d})),[m.elements,d]),k=e.useMemo((()=>({...m,refs:_,elements:x,dataRef:p,nodeId:o,floatingId:u,events:g,open:r,onOpenChange:f})),[m,o,u,g,r,f,_,x]);return rr((()=>{const n=null==h?void 0:h.nodesRef.current.find((n=>n.id===o));n&&(n.context=k)})),e.useMemo((()=>({...m,context:k,refs:_,elements:x})),[m,_,x,k])}function Sr(n,a){void 0===a&&(a={});const{open:r,onOpenChange:t,events:o,refs:i,elements:{domReference:l}}=n,{enabled:c=!0,visibleOnly:s=!0}=a,d=e.useRef(!1),m=e.useRef(),h=e.useRef(!0);return e.useEffect((()=>{if(!c)return;const n=je(l);function e(){!r&&Le(l)&&l===Ve(Ze(l))&&(d.current=!0)}function a(){h.current=!0}return n.addEventListener("blur",e),n.addEventListener("keydown",a,!0),()=>{n.removeEventListener("blur",e),n.removeEventListener("keydown",a,!0)}}),[l,r,c]),e.useEffect((()=>{if(c)return o.on("openchange",n),()=>{o.off("openchange",n)};function n(n){let{reason:e}=n;"reference-press"!==e&&"escape-key"!==e||(d.current=!0)}}),[o,c]),e.useEffect((()=>()=>{clearTimeout(m.current)}),[]),e.useMemo((()=>c?{reference:{onPointerDown(n){(function(n){return!Ue().includes("jsdom/")&&(!Ge()&&0===n.width&&0===n.height||Ge()&&1===n.width&&1===n.height&&0===n.pressure&&0===n.detail&&"mouse"===n.pointerType||n.width<1&&n.height<1&&0===n.pressure&&0===n.detail&&"touch"===n.pointerType)})(n.nativeEvent)||(h.current=!1)},onMouseLeave(){d.current=!1},onFocus(n){if(d.current)return;const e=Qe(n.nativeEvent);if(s&&Pe(e))try{if(/apple/i.test(navigator.vendor)&&Xe().toLowerCase().startsWith("mac")&&!navigator.maxTouchPoints)throw Error();if(!e.matches(":focus-visible"))return}catch(n){if(!h.current&&(!Le(a=e)||!a.matches(na)))return}var a;t(!0,n.nativeEvent,"focus")},onBlur(n){d.current=!1;const e=n.relatedTarget,a=Pe(e)&&e.hasAttribute(hr("focus-guard"))&&"outside"===e.getAttribute("data-type");m.current=window.setTimeout((()=>{const r=Ve(l?l.ownerDocument:document);(e||r!==l)&&(qe(i.floating.current,r)||qe(l,r)||a||t(!1,n.nativeEvent,"focus"))}))}}}:{}),[c,s,l,i,t])}const jr="active",Rr="selected";function Nr(n,e,a){const r=new Map,t="item"===a;let o=n;if(t&&n){const{[jr]:e,[Rr]:a,...r}=n;o=r}return{..."floating"===a&&{tabIndex:-1},...o,...e.map((e=>{const r=e?e[a]:null;return"function"==typeof r?n?r(n):null:r})).concat(n).reduce(((n,e)=>e?(Object.entries(e).forEach((e=>{let[a,o]=e;var i;t&&[jr,Rr].includes(a)||(0===a.indexOf("on")?(r.has(a)||r.set(a,[]),"function"==typeof o&&(null==(i=r.get(a))||i.push(o),n[a]=function(){for(var n,e=arguments.length,t=new Array(e),o=0;o<e;o++)t[o]=arguments[o];return null==(n=r.get(a))?void 0:n.map((n=>n(...t))).find((n=>void 0!==n))})):n[a]=o)})),n):n),{})}}const Pr=new Map([["select","listbox"],["combobox","listbox"],["label",!1]]);function Lr(n,a){var r;void 0===a&&(a={});const{open:t,floatingId:o}=n,{enabled:i=!0,role:l="dialog"}=a,c=null!=(r=Pr.get(l))?r:l,s=lr(),d=null!=dr();return e.useMemo((()=>{if(!i)return{};const n={id:o,...c&&{role:c}};return"tooltip"===c||"label"===l?{reference:{["aria-"+("label"===l?"labelledby":"describedby")]:t?o:void 0},floating:n}:{reference:{"aria-expanded":t?"true":"false","aria-haspopup":"alertdialog"===c?"dialog":c,"aria-controls":t?o:void 0,..."listbox"===c&&{role:"combobox"},..."menu"===c&&{id:s},..."menu"===c&&d&&{role:"menuitem"},..."select"===l&&{"aria-autocomplete":"none"},..."combobox"===l&&{"aria-autocomplete":"list"}},floating:{...n,..."menu"===c&&{"aria-labelledby":s}},item(n){let{active:e,selected:a}=n;const r={role:"option",...e&&{id:o+"-option"}};switch(l){case"select":return{...r,"aria-selected":e&&a};case"combobox":return{...r,...e&&{"aria-selected":!0}}}return{}}}}),[i,l,c,t,o,s,d])}var Tr={tooltip:"m_1b3c8819",arrow:"m_f898399f"};const Mr={refProp:"ref",withinPortal:!0,offset:10,position:"right",zIndex:P("popover")},Ar=(n,{radius:e,color:a})=>({tooltip:{"--tooltip-radius":void 0===e?void 0:se(e),"--tooltip-bg":a?b(a,n):void 0,"--tooltip-color":a?"var(--mantine-color-white)":void 0}}),Ir=un(((a,r)=>{const t=T("TooltipFloating",Mr,a),{children:o,refProp:i,withinPortal:l,style:c,className:s,classNames:d,styles:m,unstyled:h,radius:v,color:f,label:b,offset:p,position:g,multiline:u,zIndex:w,disabled:y,variant:_,vars:x,portalProps:k,...z}=t,$=j(),C=K({name:"TooltipFloating",props:t,classes:Tr,className:s,style:c,classNames:d,styles:m,unstyled:h,rootSelector:"tooltip",vars:x,varsResolver:Ar}),{handleMouseMove:E,x:S,y:R,opened:N,boundaryRef:P,floating:L,setOpened:M}=function({offset:n,position:a}){const[r,t]=(0,e.useState)(!1),o=(0,e.useRef)(),{x:i,y:l,elements:c,refs:s,update:d,placement:m}=Er({placement:a,middleware:[Ba({crossAxis:!0,padding:5,rootBoundary:"document"})]}),h=m.includes("right")?n:a.includes("left")?-1*n:0,v=m.includes("bottom")?n:a.includes("top")?-1*n:0,f=(0,e.useCallback)((({clientX:n,clientY:e})=>{s.setPositionReference({getBoundingClientRect:()=>({width:0,height:0,x:n,y:e,left:n+h,top:e+v,right:n,bottom:e})})}),[c.reference]);return(0,e.useEffect)((()=>{if(s.floating.current){const n=o.current;n.addEventListener("mousemove",f);const e=Ye(s.floating.current);return e.forEach((n=>{n.addEventListener("scroll",d)})),()=>{n.removeEventListener("mousemove",f),e.forEach((n=>{n.removeEventListener("scroll",d)}))}}}),[c.reference,s.floating.current,d,f,r]),{handleMouseMove:f,x:i,y:l,opened:r,setOpened:t,boundaryRef:o,floating:s.setFloating}}({offset:p,position:g});if(!ie(o))throw new Error("[@mantine/core] Tooltip.Floating component children should be an element or a component that accepts ref, fragments, strings, numbers and other primitive values are not supported");const A=xn(P,o.ref,r);return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)($n,{...k,withinPortal:l,children:(0,n.jsx)(pn,{...z,...C("tooltip",{style:{...Ee(c,$),zIndex:w,display:!y&&N?"block":"none",top:(R&&Math.round(R))??"",left:(S&&Math.round(S))??""}}),variant:_,ref:L,mod:{multiline:u},children:b})}),(0,e.cloneElement)(o,{...o.props,[i]:A,onMouseEnter:n=>{o.props.onMouseEnter?.(n),E(n),M(!0)},onMouseLeave:n=>{o.props.onMouseLeave?.(n),M(!1)}})]})}));Ir.classes=Tr,Ir.displayName="@mantine/core/TooltipFloating";const Or=(0,e.createContext)(!1),Fr=Or.Provider,Dr={openDelay:0,closeDelay:0};function Hr(e){const{openDelay:a,closeDelay:r,children:t}=T("TooltipGroup",Dr,e);return(0,n.jsx)(Fr,{value:!0,children:(0,n.jsx)(yr,{delay:{open:a,close:r},children:t})})}Hr.displayName="@mantine/core/TooltipGroup";const Br=e["useId".toString()]||(()=>{});function Wr(n){const[a,r]=(0,e.useState)(!1),t="boolean"==typeof n.opened?n.opened:a,o=(0,e.useContext)(Or),i=function(n){const a=function(){const n=Br();return n?`mantine-${n.replace(/:/g,"")}`:""}(),[r,t]=(0,e.useState)(a);return yn((()=>{t(`mantine-${Math.random().toString(36).slice(2,11)}`)}),[]),"string"==typeof n?n:"undefined"==typeof window?a:r}(),{delay:l,currentId:c,setCurrentId:s}=wr(),d=(0,e.useCallback)((n=>{r(n),n&&s(i)}),[s,i]),{x:m,y:h,context:v,refs:f,update:b,placement:p,middlewareData:{arrow:{x:g,y:u}={}}}=Er({strategy:n.strategy,placement:n.position,open:t,onOpenChange:d,middleware:[Ha(n.offset),Ba({padding:8}),Wa(),Xa({element:n.arrowRef,padding:n.arrowOffset}),...n.inline?[Va()]:[]]}),{getReferenceProps:w,getFloatingProps:y}=function(n){void 0===n&&(n=[]);const a=n,r=e.useCallback((e=>Nr(e,n,"reference")),a),t=e.useCallback((e=>Nr(e,n,"floating")),a),o=e.useCallback((e=>Nr(e,n,"item")),n.map((n=>null==n?void 0:n.item)));return e.useMemo((()=>({getReferenceProps:r,getFloatingProps:t,getItemProps:o})),[r,t,o])}([pr(v,{enabled:n.events?.hover,delay:o?l:{open:n.openDelay,close:n.closeDelay},mouseOnly:!n.events?.touch}),Sr(v,{enabled:n.events?.focus,visibleOnly:!0}),Lr(v,{role:"tooltip"}),Cr(v,{enabled:void 0===n.opened}),_r(v,{id:i})]);!function({opened:n,floating:a,position:r,positionDependencies:t}){const[o,i]=(0,e.useState)(0);(0,e.useEffect)((()=>{if(a.refs.reference.current&&a.refs.floating.current)return function(n,e,a,r){void 0===r&&(r={});const{ancestorScroll:t=!0,ancestorResize:o=!0,elementResize:i="function"==typeof ResizeObserver,layoutShift:l="function"==typeof IntersectionObserver,animationFrame:c=!1}=r,s=Ea(n),d=t||o?[...s?Ye(s):[],...Ye(e)]:[];d.forEach((n=>{t&&n.addEventListener("scroll",a,{passive:!0}),o&&n.addEventListener("resize",a)}));const m=s&&l?function(n,e){let a,r=null;const t=Re(n);function o(){var n;clearTimeout(a),null==(n=r)||n.disconnect(),r=null}return function i(l,c){void 0===l&&(l=!1),void 0===c&&(c=1),o();const{left:s,top:d,width:m,height:h}=n.getBoundingClientRect();if(l||e(),!m||!h)return;const v={rootMargin:-ta(d)+"px "+-ta(t.clientWidth-(s+m))+"px "+-ta(t.clientHeight-(d+h))+"px "+-ta(s)+"px",threshold:aa(0,ea(1,c))||1};let f=!0;function b(n){const e=n[0].intersectionRatio;if(e!==c){if(!f)return i();e?i(!1,e):a=setTimeout((()=>{i(!1,1e-7)}),1e3)}f=!1}try{r=new IntersectionObserver(b,{...v,root:t.ownerDocument})}catch(n){r=new IntersectionObserver(b,v)}r.observe(n)}(!0),o}(s,a):null;let h,v=-1,f=null;i&&(f=new ResizeObserver((n=>{let[r]=n;r&&r.target===s&&f&&(f.unobserve(e),cancelAnimationFrame(v),v=requestAnimationFrame((()=>{var n;null==(n=f)||n.observe(e)}))),a()})),s&&!c&&f.observe(s),f.observe(e));let b=c?Na(n):null;return c&&function e(){const r=Na(n);!b||r.x===b.x&&r.y===b.y&&r.width===b.width&&r.height===b.height||a(),b=r,h=requestAnimationFrame(e)}(),a(),()=>{var n;d.forEach((n=>{t&&n.removeEventListener("scroll",a),o&&n.removeEventListener("resize",a)})),null==m||m(),null==(n=f)||n.disconnect(),f=null,c&&cancelAnimationFrame(h)}}(a.refs.reference.current,a.refs.floating.current,a.update)}),[a.refs.reference.current,a.refs.floating.current,n,o,r]),ke((()=>{a.update()}),t),ke((()=>{i((n=>n+1))}),[n])}({opened:t,position:n.position,positionDependencies:n.positionDependencies,floating:{refs:f,update:b}}),ke((()=>{n.onPositionChange?.(p)}),[p]);const _=t&&c&&c!==i;return{x:m,y:h,arrowX:g,arrowY:u,reference:f.setReference,floating:f.setFloating,getFloatingProps:y,getReferenceProps:w,isGroupPhase:_,opened:t,placement:p}}const Yr={position:"top",refProp:"ref",withinPortal:!0,inline:!1,arrowSize:4,arrowOffset:5,arrowRadius:0,arrowPosition:"side",offset:5,transitionProps:{duration:100,transition:"fade"},events:{hover:!0,focus:!1,touch:!1},zIndex:P("popover"),positionDependencies:[]},Vr=(n,{radius:e,color:a})=>({tooltip:{"--tooltip-radius":void 0===e?void 0:se(e),"--tooltip-bg":a?b(a,n):void 0,"--tooltip-color":a?"var(--mantine-color-white)":void 0}}),qr=un(((a,r)=>{const t=T("Tooltip",Yr,a),{children:o,position:i,refProp:l,label:c,openDelay:s,closeDelay:d,onPositionChange:m,opened:h,withinPortal:v,radius:f,color:b,classNames:p,styles:g,unstyled:u,style:w,className:y,withArrow:_,arrowSize:x,arrowOffset:k,arrowRadius:z,arrowPosition:$,offset:C,transitionProps:E,multiline:S,events:j,zIndex:R,disabled:N,positionDependencies:P,onClick:L,onMouseEnter:M,onMouseLeave:A,inline:I,variant:O,keepMounted:D,vars:H,portalProps:B,mod:W,floatingStrategy:Y,...V}=T("Tooltip",Yr,t),{dir:q}=he(),X=(0,e.useRef)(null),U=Wr({position:ve(q,i),closeDelay:d,openDelay:s,onPositionChange:m,opened:h,events:j,arrowRef:X,arrowOffset:k,offset:"number"==typeof C?C+(_?x/2:0):C,positionDependencies:[...P,o],inline:I,strategy:Y}),G=K({name:"Tooltip",props:t,classes:Tr,className:y,style:w,classNames:p,styles:g,unstyled:u,rootSelector:"tooltip",vars:H,varsResolver:Vr});if(!ie(o))throw new Error("[@mantine/core] Tooltip component children should be an element or a component that accepts ref, fragments, strings, numbers and other primitive values are not supported");const Z=xn(U.reference,o.ref,r),J=function(n,e){return{...Ce,duration:100,transition:"fade",...n}}(E);return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)($n,{...B,withinPortal:v,children:(0,n.jsx)($e,{...J,keepMounted:D,mounted:!N&&!!U.opened,duration:U.isGroupPhase?10:J.duration,children:e=>(0,n.jsxs)(pn,{...V,variant:O,mod:[{multiline:S},W],...U.getFloatingProps({ref:U.floating,className:G("tooltip").className,style:{...G("tooltip").style,...e,zIndex:R,top:U.y??0,left:U.x??0}}),children:[c,(0,n.jsx)(ue,{ref:X,arrowX:U.arrowX,arrowY:U.arrowY,visible:_,position:U.placement,arrowSize:x,arrowOffset:k,arrowRadius:z,arrowPosition:$,...G("arrow")})]})})}),(0,e.cloneElement)(o,U.getReferenceProps({onClick:L,onMouseEnter:M,onMouseLeave:A,onMouseMove:t.onMouseMove,onPointerDown:t.onPointerDown,onPointerEnter:t.onPointerEnter,[l]:Z,className:F(y,o.props.className),...o.props}))]})}));function Xr(n){const a=(0,e.forwardRef)(n);return a.extend=gn,a}qr.classes=Tr,qr.displayName="@mantine/core/Tooltip",qr.Floating=Ir,qr.Group=Hr;var Ur={root:"m_5ae2e3c",barsLoader:"m_7a2bd4cd",bar:"m_870bb79","bars-loader-animation":"m_5d2b3b9d",dotsLoader:"m_4e3f22d7",dot:"m_870c4af","loader-dots-animation":"m_aac34a1",ovalLoader:"m_b34414df","oval-loader-animation":"m_f8e89c4b"};const Gr=(0,e.forwardRef)((({className:e,...a},r)=>(0,n.jsxs)(pn,{component:"span",className:F(Ur.barsLoader,e),...a,ref:r,children:[(0,n.jsx)("span",{className:Ur.bar}),(0,n.jsx)("span",{className:Ur.bar}),(0,n.jsx)("span",{className:Ur.bar})]}))),Kr=(0,e.forwardRef)((({className:e,...a},r)=>(0,n.jsxs)(pn,{component:"span",className:F(Ur.dotsLoader,e),...a,ref:r,children:[(0,n.jsx)("span",{className:Ur.dot}),(0,n.jsx)("span",{className:Ur.dot}),(0,n.jsx)("span",{className:Ur.dot})]}))),Zr={bars:Gr,oval:(0,e.forwardRef)((({className:e,...a},r)=>(0,n.jsx)(pn,{component:"span",className:F(Ur.ovalLoader,e),...a,ref:r}))),dots:Kr},Jr={loaders:Zr,type:"oval"},Qr=(n,{size:e,color:a})=>({root:{"--loader-size":le(e,"loader-size"),"--loader-color":a?b(a,n):void 0}}),nt=un(((e,a)=>{const r=T("Loader",Jr,e),{size:t,color:o,type:i,vars:l,className:c,style:s,classNames:d,styles:m,unstyled:h,loaders:v,variant:f,children:b,...p}=r,g=K({name:"Loader",props:r,classes:Ur,className:c,style:s,classNames:d,styles:m,unstyled:h,vars:l,varsResolver:Qr});return b?(0,n.jsx)(pn,{...g("root"),ref:a,...p,children:b}):(0,n.jsx)(pn,{...g("root"),ref:a,component:v[i],variant:f,size:t,...p})}));nt.defaultLoaders=Zr,nt.classes=Ur,nt.displayName="@mantine/core/Loader";var et={root:"m_87cf2631"};const at={__staticSelector:"UnstyledButton"},rt=Xr(((e,a)=>{const r=T("UnstyledButton",at,e),{className:t,component:o="button",__staticSelector:i,unstyled:l,classNames:c,styles:s,style:d,...m}=r,h=K({name:i,props:r,classes:et,className:t,style:d,classNames:c,styles:s,unstyled:l});return(0,n.jsx)(pn,{...h("root",{focusable:!0}),component:o,ref:a,type:"button"===o?"button":void 0,...m})}));rt.classes=et,rt.displayName="@mantine/core/UnstyledButton";var tt={root:"m_8d3f4000",icon:"m_8d3afb97",loader:"m_302b9fb1",group:"m_1a0f1b21"};const ot={orientation:"horizontal"},it=(n,{borderWidth:e})=>({group:{"--ai-border-width":l(e)}}),lt=un(((e,a)=>{const r=T("ActionIconGroup",ot,e),{className:t,style:o,classNames:i,styles:l,unstyled:c,orientation:s,vars:d,borderWidth:m,variant:h,mod:v,...f}=T("ActionIconGroup",ot,e),b=K({name:"ActionIconGroup",props:r,classes:tt,className:t,style:o,classNames:i,styles:l,unstyled:c,vars:d,varsResolver:it,rootSelector:"group"});return(0,n.jsx)(pn,{...b("group"),ref:a,variant:h,mod:[{"data-orientation":s},v],role:"group",...f})}));lt.classes=tt,lt.displayName="@mantine/core/ActionIconGroup";const ct={},st=(n,{size:e,radius:a,variant:r,gradient:t,color:o,autoContrast:i})=>{const l=n.variantColorResolver({color:o||n.primaryColor,theme:n,gradient:t,variant:r||"filled",autoContrast:i});return{root:{"--ai-size":le(e,"ai-size"),"--ai-radius":void 0===a?void 0:se(a),"--ai-bg":o||r?l.background:void 0,"--ai-hover":o||r?l.hover:void 0,"--ai-hover-color":o||r?l.hoverColor:void 0,"--ai-color":l.color,"--ai-bd":o||r?l.border:void 0}}},dt=Xr(((e,a)=>{const r=T("ActionIcon",ct,e),{className:t,unstyled:o,variant:i,classNames:l,styles:c,style:s,loading:d,loaderProps:m,size:h,color:v,radius:f,__staticSelector:b,gradient:p,vars:g,children:u,disabled:w,"data-disabled":y,autoContrast:_,mod:x,...k}=r,z=K({name:["ActionIcon",b],props:r,className:t,style:s,classes:tt,classNames:l,styles:c,unstyled:o,vars:g,varsResolver:st});return(0,n.jsxs)(rt,{...z("root",{active:!w&&!d&&!y}),...k,unstyled:o,variant:i,size:h,disabled:w||d,ref:a,mod:[{loading:d,disabled:w||y},x],children:[(0,n.jsx)($e,{mounted:!!d,transition:"slide-down",duration:150,children:e=>(0,n.jsx)(pn,{component:"span",...z("loader",{style:e}),"aria-hidden":!0,children:(0,n.jsx)(nt,{color:"var(--ai-color)",size:"calc(var(--ai-size) * 0.55)",...m})})}),(0,n.jsx)(pn,{component:"span",mod:{loading:d},...z("icon"),children:u})]})}));dt.classes=tt,dt.displayName="@mantine/core/ActionIcon",dt.Group=lt;const mt="annotate-js-style",ht="annotate-js-highlight",vt="annotate-js-highlight-hover",ft="annotate-js-highlight-active",bt=n=>{if(0!==n.length)return n[n.length-1]},pt={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let gt;const ut=new Uint8Array(16);function wt(){if(!gt&&(gt="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto),!gt))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return gt(ut)}const yt=[];for(let n=0;n<256;++n)yt.push((n+256).toString(16).slice(1));const _t=function(n,e,a){if(pt.randomUUID&&!e&&!n)return pt.randomUUID();const r=(n=n||{}).random||(n.rng||wt)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,e){a=a||0;for(let n=0;n<16;++n)e[a+n]=r[n];return e}return function(n,e=0){return yt[n[e+0]]+yt[n[e+1]]+yt[n[e+2]]+yt[n[e+3]]+"-"+yt[n[e+4]]+yt[n[e+5]]+"-"+yt[n[e+6]]+yt[n[e+7]]+"-"+yt[n[e+8]]+yt[n[e+9]]+"-"+yt[n[e+10]]+yt[n[e+11]]+yt[n[e+12]]+yt[n[e+13]]+yt[n[e+14]]+yt[n[e+15]]}(r)},xt=(n,e,a)=>{if(!n||n.isCollapsed)return[];const r=n.getRangeAt(0);if(r.commonAncestorContainer.nodeType===Node.TEXT_NODE)return e(r,0),[];const t=document.createTreeWalker(r.commonAncestorContainer,NodeFilter.SHOW_TEXT,{acceptNode:function(e){return n.containsNode(e,!0)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP}}),o=[];let i=t.nextNode();for(;i;)o.push(i),i=t.nextNode();const{startContainer:l,startOffset:c,endContainer:s,endOffset:d}=r,m=[];for(let n=0;n<o.length;n++){const a=o[n];let r;if(a===l){const a=document.createRange();a.setStart(l,c),a.setEnd(l,l.textContent?.length??c),r=e(a,n)}else if(a===s){const a=document.createRange();a.setStart(s,0),a.setEnd(s,d),r=e(a,n)}else r=e(a,n);null!=r&&m.push(r)}a(m)},kt=n=>(e,a)=>{let r;return e instanceof Node?e.nodeType===Node.TEXT_NODE&&(r=document.createElement("span"),r.textContent=e.textContent,e.parentNode?.replaceChild(r,e)):(r=document.createElement("span"),r.appendChild(e.extractContents()),e.insertNode(r)),r&&((n=>{n.classList&&!n.classList.contains(ht)?n.classList.add(ht):n.className=ht})(r),r.dataset.annotateHighlightId=n,r.dataset.annotateHighlightIndex=String(a)),r},zt=()=>document.querySelectorAll(`.${ht}`),$t=n=>document.querySelectorAll(`span[data-annotate-highlight-id="${n}"]`),Ct=n=>{n.forEach((n=>{const e=n.parentNode;e&&(e.replaceChild(document.createTextNode(n.textContent??""),n),e.normalize())}))},Et=({icon:e})=>(0,n.jsx)(e,{strokeWidth:1.5,style:{width:"70%",height:"70%"}});var St={outline:{xmlns:"http://www.w3.org/2000/svg",width:24,height:24,viewBox:"0 0 24 24",fill:"none",stroke:"currentColor",strokeWidth:2,strokeLinecap:"round",strokeLinejoin:"round"},filled:{xmlns:"http://www.w3.org/2000/svg",width:24,height:24,viewBox:"0 0 24 24",fill:"currentColor",stroke:"none"}};const jt=(n,a,r,t)=>{const o=(0,e.forwardRef)((({color:r="currentColor",size:o=24,stroke:i=2,className:l,children:c,...s},d)=>(0,e.createElement)("svg",{ref:d,...St[n],width:o,height:o,className:["tabler-icon",`tabler-icon-${a}`,l].join(" "),..."filled"===n?{fill:r}:{strokeWidth:i,stroke:r},...s},[...t.map((([n,a])=>(0,e.createElement)(n,a))),...Array.isArray(c)?c:[c]])));return o.displayName=`${r}`,o};var Rt=jt("outline","pencil-off","IconPencilOff",[["path",{d:"M10 10l-6 6v4h4l6 -6m1.99 -1.99l2.504 -2.504a2.828 2.828 0 1 0 -4 -4l-2.5 2.5",key:"svg-0"}],["path",{d:"M13.5 6.5l4 4",key:"svg-1"}],["path",{d:"M3 3l18 18",key:"svg-2"}]]);const Nt=({})=>{const{hasHighlight:e,removeAllHighlights:a}=oe();return(0,n.jsx)(qr,{label:"clear all highlights",position:"left",offset:10,children:(0,n.jsx)(dt,{variant:"default",size:"md",disabled:!e,onClick:()=>{const n=zt();Ct(n),a()},children:(0,n.jsx)(Et,{icon:Rt})})})},Pt=({highlightIdToDelete:e,onDelete:a})=>{const{hasHighlight:r,removeHighlight:t}=oe();return(0,n.jsx)(qr,{label:"clear highlight",position:"left",offset:10,children:(0,n.jsx)(dt,{variant:"default",size:"md",disabled:!r,onClick:()=>{const n=$t(e);Ct(n),t(e),a()},children:(0,n.jsx)(Et,{icon:Rt})})})};var Lt={root:"m_1b7284a3"};const Tt={},Mt=(n,{radius:e,shadow:a})=>({root:{"--paper-radius":void 0===e?void 0:se(e),"--paper-shadow":de(a)}}),At=Xr(((e,a)=>{const r=T("Paper",Tt,e),{classNames:t,className:o,style:i,styles:l,unstyled:c,withBorder:s,vars:d,radius:m,shadow:h,variant:v,mod:f,...b}=r,p=K({name:"Paper",props:r,classes:Lt,className:o,style:i,classNames:t,styles:l,unstyled:c,vars:d,varsResolver:Mt});return(0,n.jsx)(pn,{ref:a,mod:[{"data-with-border":s},f],...p("root"),variant:v,...b})}));At.classes=Lt,At.displayName="@mantine/core/Paper";var It={root:"m_4081bf90"};const Ot={preventGrowOverflow:!0,gap:"md",align:"center",justify:"flex-start",wrap:"wrap"},Ft=(n,{grow:e,preventGrowOverflow:a,gap:r,align:t,justify:o,wrap:i},{childWidth:l})=>({root:{"--group-child-width":e&&a?l:void 0,"--group-gap":ce(r),"--group-align":t,"--group-justify":o,"--group-wrap":i}}),Dt=un(((a,r)=>{const t=T("Group",Ot,a),{classNames:o,className:i,style:l,styles:c,unstyled:s,children:d,gap:m,align:h,justify:v,wrap:f,grow:b,preventGrowOverflow:p,vars:g,variant:u,__size:w,mod:y,..._}=t,x=function(n){return e.Children.toArray(n).filter(Boolean)}(d),k=x.length,z=ce(m??"md"),$=K({name:"Group",props:t,stylesCtx:{childWidth:`calc(${100/k}% - (${z} - ${z} / ${k}))`},className:i,style:l,classes:It,classNames:o,styles:c,unstyled:s,vars:g,varsResolver:Ft});return(0,n.jsx)(pn,{...$("root"),ref:r,variant:u,mod:[{grow:b},y],size:w,..._,children:x})}));Dt.classes=It,Dt.displayName="@mantine/core/Group";var Ht={root:"m_6d731127"};const Bt={gap:"md",align:"stretch",justify:"flex-start"},Wt=(n,{gap:e,align:a,justify:r})=>({root:{"--stack-gap":ce(e),"--stack-align":a,"--stack-justify":r}}),Yt=un(((e,a)=>{const r=T("Stack",Bt,e),{classNames:t,className:o,style:i,styles:l,unstyled:c,vars:s,align:d,justify:m,gap:h,variant:v,...f}=r,b=K({name:"Stack",props:r,classes:Ht,className:o,style:i,classNames:t,styles:l,unstyled:c,vars:s,varsResolver:Wt});return(0,n.jsx)(pn,{ref:a,...b("root"),variant:v,...f})}));Yt.classes=Ht,Yt.displayName="@mantine/core/Stack";const Vt=({direction:a="vertical",transparentByDefault:r=!1,children:t})=>{const{hovered:o,ref:i}=function(){const[n,a]=(0,e.useState)(!1),r=(0,e.useRef)(null),t=(0,e.useCallback)((()=>a(!0)),[]),o=(0,e.useCallback)((()=>a(!1)),[]);return(0,e.useEffect)((()=>{if(r.current)return r.current.addEventListener("mouseenter",t),r.current.addEventListener("mouseleave",o),()=>{r.current?.removeEventListener("mouseenter",t),r.current?.removeEventListener("mouseleave",o)}}),[]),{ref:r,hovered:n}}();return(0,n.jsx)(At,{ref:i,shadow:"xl",radius:"md",withBorder:!0,style:{padding:5,opacity:!r||o?1:.7,transition:"opacity 0.2s",background:!r||o?"linear-gradient(0deg, #0070c9 0%, #e66465 100%)":"white"},children:"horizontal"===a?(0,n.jsx)(Dt,{gap:5,justify:"space-between",children:t}):(0,n.jsx)(Yt,{gap:5,justify:"space-between",children:t})})},qt={top:0,left:0,height:0,width:0},Xt=({})=>{const{debug:a,activeHighlight:r,setActiveHighlight:t}=oe(),[o,i]=(0,e.useState)(!1),[l,c]=(0,e.useState)(qt),{refs:s,floatingStyles:d,update:m}=Qa({placement:"bottom-end",middleware:[$a(8),xa({padding:10}),za()]});return(0,e.useEffect)((()=>{const n=n=>{let e;if(n.target instanceof HTMLElement&&n.target.classList.contains(ht)){const a=n.target.dataset.annotateHighlightId;if(a&&a!==r?.highlightId){e=r?.highlightId;const n=(n=>{const e=Array.from($t(n));if(e){const n=e[0].getClientRects()[0],a=bt(Array.from(bt(e)?.getClientRects()??[]));return{elements:e,boundingBox:{top:n.top,left:a.left,height:a.bottom-n.top,width:a.width}}}return null})(a);if(n){const{elements:e,boundingBox:r}=n;e.forEach((n=>n.classList.add(ft))),t({highlightId:a,elements:e}),c(r),i(!0),m()}}}else e=r?.highlightId,t(void 0),c(qt),i(!1);e&&zt().forEach((n=>{const a=n;a.dataset.annotateHighlightId===e&&a.classList.remove(ft)}))};return document.addEventListener("click",n),()=>{document.removeEventListener("click",n)}}),[r?.highlightId,t,m]),(0,e.useEffect)((()=>{const n=()=>{if(r){const n=(n=>{const e=n.filter((n=>n instanceof HTMLElement)).map((n=>n.getBoundingClientRect())).sort(((n,e)=>n.bottom===e.bottom?n.left-e.left:n.bottom-e.bottom)),a=e[0],r=e[e.length-1];return{top:a.top,left:r.left,height:r.bottom-a.top,width:r.width}})(r.elements);c(n),m()}};return window.addEventListener("resize",n),()=>{window.removeEventListener("resize",n)}}),[r,m]),r&&o?(0,n.jsxs)(zn,{children:[(0,n.jsx)("div",{ref:s.setReference,style:{position:"absolute",top:l.top+window.scrollY,left:l.left+window.scrollX,height:l.height,width:l.width,borderStyle:a?"dashed":"none",borderWidth:a?3:0,borderColor:a?"#e66465":"transparent",pointerEvents:"none"}}),(0,n.jsx)("div",{ref:s.setFloating,style:d,children:(0,n.jsx)(Vt,{children:(0,n.jsx)(Pt,{highlightIdToDelete:r.highlightId,onDelete:()=>i(!1)})})})]}):null};var Ut=jt("outline","pencil","IconPencil",[["path",{d:"M4 20h4l10.5 -10.5a2.828 2.828 0 1 0 -4 -4l-10.5 10.5v4",key:"svg-0"}],["path",{d:"M13.5 6.5l4 4",key:"svg-1"}]]);const Gt=({})=>{const{addHighlight:e}=oe();return(0,n.jsx)(qr,{label:"highlight",children:(0,n.jsx)(dt,{variant:"default",color:"red",size:"md",onClick:()=>((n,e)=>{const a=n.getSelection();if(!a||a.isCollapsed)return;const r=_t();xt(a,kt(r),(n=>{for(const e of n)e.addEventListener("mouseenter",(()=>{n.filter((n=>n!==e)).forEach((n=>n.classList.add(vt)))})),e.addEventListener("mouseleave",(()=>{n.filter((n=>n!==e)).forEach((n=>n.classList.remove(vt)))}))})),e(r),a.removeAllRanges()})(document,e),children:(0,n.jsx)(Et,{icon:Ut})})})},Kt=n=>{const e=document.createRange();return e.selectNodeContents(n),e.getBoundingClientRect().top},Zt=({})=>{const{debug:a}=oe(),[r,t]=(0,e.useState)(!1),[o,i]=(0,e.useState)(!1),[l,c]=(0,e.useState)({text:"",top:0,left:0,height:0,width:0,direction:"top-down"}),{refs:s,floatingStyles:d,update:m}=Qa({placement:"top-down"===l.direction?"bottom-end":"top-start",middleware:[$a(8),xa({padding:10}),za()]});return(0,e.useEffect)((()=>{const n=()=>{const n=document.getSelection();if(n&&n.rangeCount>0){const e=n.getRangeAt(0).getClientRects();if(e.length>0){const a=e[0],r=e[e.length-1],t=n.anchorNode?.compareDocumentPosition(n.focusNode);let o;return o=0===t?n.anchorOffset<=n.focusOffset:Kt(n.anchorNode)<=Kt(n.focusNode),{text:n.toString(),top:a.top,left:o?r.left:a.left,height:r.bottom-a.top,width:o?r.width:a.width,direction:o?"top-down":"bottom-up"}}}return null},e=()=>{if((n=>!(n&&!n.isCollapsed)||""===n.toString().trim())(document.getSelection()))return i(!1),void t(!1);m(),i(!0)},a=()=>{const e=n();e&&o&&(c(e),t(!0)),i(!1)},r=()=>{const e=n();e&&(c(e),m())};return document.addEventListener("selectionchange",e),document.addEventListener("mouseup",a),window.addEventListener("resize",r),()=>{document.removeEventListener("selectionchange",e),document.removeEventListener("mouseup",a),window.removeEventListener("resize",r)}}),[o,m]),r?(0,n.jsxs)(zn,{children:[(0,n.jsx)("div",{ref:s.setReference,style:{position:"absolute",top:l.top+window.scrollY,left:l.left+window.scrollX,height:l.height,width:l.width,borderStyle:a?"dashed":"none",borderWidth:a?3:0,borderColor:a?"#e66465":"transparent",pointerEvents:"none"}}),(0,n.jsx)("div",{ref:s.setFloating,style:d,children:(0,n.jsx)(Vt,{children:(0,n.jsx)(Gt,{})})})]}):null};var Jt=jt("filled","bug-filled","IconBugFilled",[["path",{d:"M12 4a4 4 0 0 1 3.995 3.8l.005 .2a1 1 0 0 1 .428 .096l3.033 -1.938a1 1 0 1 1 1.078 1.684l-3.015 1.931a7.17 7.17 0 0 1 .476 2.227h3a1 1 0 0 1 0 2h-3v1a6.01 6.01 0 0 1 -.195 1.525l2.708 1.616a1 1 0 1 1 -1.026 1.718l-2.514 -1.501a6.002 6.002 0 0 1 -3.973 2.56v-5.918a1 1 0 0 0 -2 0v5.917a6.002 6.002 0 0 1 -3.973 -2.56l-2.514 1.503a1 1 0 1 1 -1.026 -1.718l2.708 -1.616a6.01 6.01 0 0 1 -.195 -1.526v-1h-3a1 1 0 0 1 0 -2h3.001v-.055a7 7 0 0 1 .474 -2.173l-3.014 -1.93a1 1 0 1 1 1.078 -1.684l3.032 1.939l.024 -.012l.068 -.027l.019 -.005l.016 -.006l.032 -.008l.04 -.013l.034 -.007l.034 -.004l.045 -.008l.015 -.001l.015 -.002l.087 -.004a4 4 0 0 1 4 -4zm0 2a2 2 0 0 0 -2 2h4a2 2 0 0 0 -2 -2z",key:"svg-0"}]]),Qt=jt("outline","bug","IconBug",[["path",{d:"M9 9v-1a3 3 0 0 1 6 0v1",key:"svg-0"}],["path",{d:"M8 9h8a6 6 0 0 1 1 3v3a5 5 0 0 1 -10 0v-3a6 6 0 0 1 1 -3",key:"svg-1"}],["path",{d:"M3 13l4 0",key:"svg-2"}],["path",{d:"M17 13l4 0",key:"svg-3"}],["path",{d:"M12 20l0 -6",key:"svg-4"}],["path",{d:"M4 19l3.35 -2",key:"svg-5"}],["path",{d:"M20 19l-3.35 -2",key:"svg-6"}],["path",{d:"M4 7l3.75 2.4",key:"svg-7"}],["path",{d:"M20 7l-3.75 2.4",key:"svg-8"}]]);const no=({})=>{const{debug:e,setDebug:a}=oe();return(0,n.jsx)(qr,{label:"debug mode: "+(e?"on":"off"),position:"left",offset:10,children:(0,n.jsx)(dt,{variant:"default",color:"gray",size:"md",onClick:()=>a(!e),children:e?(0,n.jsx)(Et,{icon:Jt}):(0,n.jsx)(Et,{icon:Qt})})})};var eo=jt("outline","brand-github","IconBrandGithub",[["path",{d:"M9 19c-4.3 1.4 -4.3 -2.5 -6 -3m12 5v-3.5c0 -1 .1 -1.4 -.5 -2c2.8 -.3 5.5 -1.4 5.5 -6a4.6 4.6 0 0 0 -1.3 -3.2a4.2 4.2 0 0 0 -.1 -3.2s-1.1 -.3 -3.5 1.3a12.3 12.3 0 0 0 -6.2 0c-2.4 -1.6 -3.5 -1.3 -3.5 -1.3a4.2 4.2 0 0 0 -.1 3.2a4.6 4.6 0 0 0 -1.3 3.2c0 4.6 2.7 5.7 5.5 6c-.6 .6 -.6 1.2 -.5 2v3.5",key:"svg-0"}]]);const ao=({})=>(0,n.jsx)(qr,{label:"Go to GitHub repository",children:(0,n.jsx)(dt,{component:"a",href:"https://github.com/tuliren/annotate",target:"_blank",rel:"noopener noreferrer",variant:"default",children:(0,n.jsx)(Et,{icon:eo})})}),ro=({})=>{const a=j();return(0,e.useEffect)((()=>{(n=>{if(document.getElementById(mt))return;const e=document.createElement("style");e.id=mt,e.innerHTML=`\n    .${ht} {\n      background: ${g(n.colors.yellow[3],.3)};\n      border-bottom: 2px solid ${n.colors.yellow[5]};\n      padding-bottom: 0.1em;\n    }\n    .${vt}, .${ht}:hover {\n      background: ${g(n.colors.yellow[3],.7)};\n    }\n    .${ft}, .${ft}:hover {\n      background: ${g(n.colors.yellow[5],.7)};\n    }\n  `,document.head.appendChild(e)})(a)}),[a]),(0,n.jsxs)(te,{children:[(0,n.jsx)(Zt,{}),(0,n.jsx)(Xt,{}),(0,n.jsx)(jn,{position:{bottom:50,right:50},style:{display:"flex",justifyContent:"center"},children:(0,n.jsxs)(Vt,{transparentByDefault:!0,children:[(0,n.jsx)(no,{}),(0,n.jsx)(Nt,{}),(0,n.jsx)(ao,{})]})})]})},to=({})=>(0,n.jsx)(Bn,{children:(0,n.jsx)(ro,{})})})(),module.exports=o})();